--[[

Quest Map
by Drakanwulf

This module creates, initializes, and updates the Quest Map quest by zone reference tables.  It provide the questId's and 
(x,y) locations of every quest available to a character whenever the character enters or accesses a game zone.  Note that you 
should not be able to see below ground (ie. dungeon) quests when you are on the surface.  It's confusing... :)

--]]

local quests = {
    ["stormhaven/alcairecastle_base"] = {
        {
            id = 2564,
            x = 0.473,
            y = 0.367,
        },
        {
            id = 2552,
            x = 0.703,
            y = 0.503,
        },
        {
            id = 2576,
            x = 0.401,
            y = 0.437,
        },
        {
            id = 2567,
            x = 0.334,
            y = 0.518,
        },
        {
            id = 2566,
            x = 0.404,
            y = 0.436,
        },
        {
            id = 2567,
            x = 0.334,
            y = 0.520,
        },
        {
            id = 2569,
            x = 0.402,
            y = 0.436,
        },
        {
            id = 2576,
            x = 0.396,
            y = 0.439,
        },
        {
            id = 2567,
            x = 0.344,
            y = 0.521,
        },
        {
            id = 2564,
            x = 0.470,
            y = 0.370,
        },
        {
            id = 2566,
            x = 0.392,
            y = 0.439,
        },
        {
            id = 2576,
            x = 0.397,
            y = 0.441,
        },
    },
    ["glenumbra/aldcroft_base"] = {
        {
            id = 3013,
            x = 0.309,
            y = 0.528,
        },
        {
            id = 974,
            x = 0.334,
            y = 0.525,
        },
        {
            id = 3184,
            x = 0.317,
            y = 0.586,
        },
        {
            id = 3018,
            x = 0.307,
            y = 0.529,
        },
        {
            id = 4335,
            x = 0.561,
            y = 0.339,
        },
        {
            id = 4335,
            x = 0.562,
            y = 0.346,
        },
        {
            id = 3858,
            x = 0.425,
            y = 0.378,
        },
        {
            id = 3040,
            x = 0.265,
            y = 0.968,
        },
        {
            id = 4335,
            x = 0.557,
            y = 0.338,
        },
        {
            id = 974,
            x = 0.331,
            y = 0.537,
        },
        {
            id = 3184,
            x = 0.323,
            y = 0.585,
        },
        {
            id = 4474,
            x = 0.323,
            y = 0.585,
        },
        {
            id = 3184,
            x = 0.300,
            y = 0.528,
        },
        {
            id = 3858,
            x = 0.414,
            y = 0.378,
        },
        {
            id = 4435,
            x = 0.592,
            y = 0.391,
        },
        {
            id = 3018,
            x = 0.306,
            y = 0.530,
        },
        {
            id = 3013,
            x = 0.294,
            y = 0.528,
        },
        {
            id = 3184,
            x = 0.319,
            y = 0.595,
        },
        {
            id = 3858,
            x = 0.446,
            y = 0.355,
        },
        {
            id = 3023,
            x = 0.587,
            y = 0.022,
        },
        {
            id = 3018,
            x = 0.310,
            y = 0.528,
        },
        {
            id = 3858,
            x = 0.417,
            y = 0.382,
        },
        {
            id = 4335,
            x = 0.559,
            y = 0.341,
        },
        {
            id = 974,
            x = 0.329,
            y = 0.525,
        },
        {
            id = 4435,
            x = 0.595,
            y = 0.385,
        },
        {
            id = 3184,
            x = 0.320,
            y = 0.590,
        },
        {
            id = 974,
            x = 0.327,
            y = 0.534,
        },
        {
            id = 3858,
            x = 0.401,
            y = 0.355,
        },
        {
            id = 3184,
            x = 0.322,
            y = 0.580,
        },
        {
            id = 3858,
            x = 0.400,
            y = 0.362,
        },
        {
            id = 3013,
            x = 0.300,
            y = 0.530,
        },
    },
    ["alikr/alikr_base"] = {
        {
            id = 4754,
            x = 0.604,
            y = 0.514,
        },
        {
            id = 4731,
            x = 0.655,
            y = 0.440,
        },
        {
            id = 2240,
            x = 0.567,
            y = 0.356,
        },
        {
            id = 2403,
            x = 0.737,
            y = 0.509,
        },
        {
            id = 2404,
            x = 0.841,
            y = 0.392,
        },
        {
            id = 2997,
            x = 0.841,
            y = 0.341,
        },
        {
            id = 3029,
            x = 0.810,
            y = 0.340,
        },
        {
            id = 2222,
            x = 0.604,
            y = 0.313,
        },
        {
            id = 3438,
            x = 0.143,
            y = 0.499,
        },
        {
            id = 2998,
            x = 0.776,
            y = 0.296,
        },
        {
            id = 4721,
            x = 0.835,
            y = 0.516,
        },
        {
            id = 4760,
            x = 0.558,
            y = 0.433,
        },
        {
            id = 2222,
            x = 0.623,
            y = 0.340,
        },
        {
            id = 4656,
            x = 0.143,
            y = 0.498,
        },
        {
            id = 4672,
            x = 0.290,
            y = 0.637,
        },
        {
            id = 3296,
            x = 0.756,
            y = 0.569,
        },
        {
            id = 2344,
            x = 0.589,
            y = 0.586,
        },
        {
            id = 4841,
            x = 0.285,
            y = 0.550,
        },
        {
            id = 2255,
            x = 0.515,
            y = 0.517,
        },
        {
            id = 4751,
            x = 0.572,
            y = 0.334,
        },
        {
            id = 2222,
            x = 0.568,
            y = 0.355,
        },
        {
            id = 3381,
            x = 0.497,
            y = 0.610,
        },
        {
            id = 3482,
            x = 0.597,
            y = 0.612,
        },
        {
            id = 2193,
            x = 0.432,
            y = 0.531,
        },
        {
            id = 3303,
            x = 0.275,
            y = 0.676,
        },
        {
            id = 4754,
            x = 0.579,
            y = 0.506,
        },
        {
            id = 3385,
            x = 0.565,
            y = 0.517,
        },
        {
            id = 3383,
            x = 0.325,
            y = 0.535,
        },
        {
            id = 4817,
            x = 0.804,
            y = 0.355,
        },
        {
            id = 3353,
            x = 0.320,
            y = 0.600,
        },
        {
            id = 2184,
            x = 0.399,
            y = 0.575,
        },
        {
            id = 4656,
            x = 0.243,
            y = 0.547,
        },
        {
            id = 2187,
            x = 0.410,
            y = 0.555,
        },
        {
            id = 2192,
            x = 0.403,
            y = 0.531,
        },
        {
            id = 3344,
            x = 0.396,
            y = 0.641,
        },
        {
            id = 3385,
            x = 0.565,
            y = 0.516,
        },
        {
            id = 4754,
            x = 0.632,
            y = 0.501,
        },
        {
            id = 3367,
            x = 0.664,
            y = 0.520,
        },
        {
            id = 4731,
            x = 0.699,
            y = 0.484,
        },
        {
            id = 2356,
            x = 0.734,
            y = 0.513,
        },
        {
            id = 4686,
            x = 0.298,
            y = 0.659,
        },
        {
            id = 3190,
            x = 0.297,
            y = 0.660,
        },
        {
            id = 4659,
            x = 0.246,
            y = 0.661,
        },
        {
            id = 3353,
            x = 0.322,
            y = 0.600,
        },
        {
            id = 3385,
            x = 0.565,
            y = 0.518,
        },
        {
            id = 2364,
            x = 0.758,
            y = 0.414,
        },
    },
    ["shadowfen/altencorimont_base"] = {
        {
            id = 3674,
            x = 0.451,
            y = 0.417,
        },
        {
            id = 3675,
            x = 0.514,
            y = 0.524,
        },
        {
            id = 3724,
            x = 0.480,
            y = 0.489,
        },
        {
            id = 4152,
            x = 0.696,
            y = 0.674,
        },
        {
            id = 3674,
            x = 0.343,
            y = 0.567,
        },
        {
            id = 3675,
            x = 0.515,
            y = 0.530,
        },
        {
            id = 3724,
            x = 0.478,
            y = 0.486,
        },
        {
            id = 3724,
            x = 0.479,
            y = 0.490,
        },
        {
            id = 3674,
            x = 0.454,
            y = 0.425,
        },
        {
            id = 3674,
            x = 0.626,
            y = 0.498,
        },
        {
            id = 3724,
            x = 0.482,
            y = 0.490,
        },
        {
            id = 3953,
            x = 0.517,
            y = 0.524,
        },
        {
            id = 3674,
            x = 0.631,
            y = 0.499,
        },
        {
            id = 3674,
            x = 0.542,
            y = 0.715,
        },
        {
            id = 3674,
            x = 0.377,
            y = 0.573,
        },
        {
            id = 3827,
            x = 0.757,
            y = 0.316,
        },
        {
            id = 3674,
            x = 0.354,
            y = 0.559,
        },
    },
    ["reapersmarch/arenthia_base"] = {
        {
            id = 3997,
            x = 0.348,
            y = 0.459,
        },
        {
            id = 4653,
            x = 0.490,
            y = 0.490,
        },
        {
            id = 4697,
            x = 0.489,
            y = 0.486,
        },
        {
            id = 4653,
            x = 0.489,
            y = 0.490,
        },
        {
            id = 4653,
            x = 0.490,
            y = 0.489,
        },
        {
            id = 4578,
            x = 0.226,
            y = 0.603,
        },
        {
            id = 4697,
            x = 0.492,
            y = 0.487,
        },
        {
            id = 4653,
            x = 0.487,
            y = 0.483,
        },
    },
    ["shadowfen/arxcorinium_base"] = {
        {
            id = 4202,
            x = 0.589,
            y = 0.411,
        },
        {
            id = 4202,
            x = 0.592,
            y = 0.405,
        },
        {
            id = 4202,
            x = 0.588,
            y = 0.409,
        },
    },
    ["shadowfen/atanazruins_base"] = {
        {
            id = 4556,
            x = 0.508,
            y = 0.459,
        },
        {
            id = 4556,
            x = 0.512,
            y = 0.460,
        },
        {
            id = 4556,
            x = 0.510,
            y = 0.457,
        },
        {
            id = 4556,
            x = 0.502,
            y = 0.462,
        },
    },
    ["auridon/auridon_base"] = {
        {
            id = 4220,
            x = 0.588,
            y = 0.456,
        },
        {
            id = 4221,
            x = 0.615,
            y = 0.441,
        },
        {
            id = 4293,
            x = 0.582,
            y = 0.587,
        },
        {
            id = 4294,
            x = 0.583,
            y = 0.598,
        },
        {
            id = 4329,
            x = 0.520,
            y = 0.298,
        },
        {
            id = 4309,
            x = 0.430,
            y = 0.121,
        },
        {
            id = 4361,
            x = 0.352,
            y = 0.147,
        },
        {
            id = 4295,
            x = 0.446,
            y = 0.181,
        },
        {
            id = 4362,
            x = 0.301,
            y = 0.076,
        },
        {
            id = 4331,
            x = 0.788,
            y = 0.513,
        },
        {
            id = 4345,
            x = 0.820,
            y = 0.520,
        },
        {
            id = 5071,
            x = 0.632,
            y = 0.916,
        },
        {
            id = 4300,
            x = 0.454,
            y = 0.305,
        },
        {
            id = 4301,
            x = 0.433,
            y = 0.290,
        },
        {
            id = 4217,
            x = 0.512,
            y = 0.759,
        },
        {
            id = 4209,
            x = 0.654,
            y = 0.784,
        },
        {
            id = 4366,
            x = 0.442,
            y = 0.709,
        },
        {
            id = 4222,
            x = 0.441,
            y = 0.708,
        },
        {
            id = 4210,
            x = 0.632,
            y = 0.825,
        },
        {
            id = 4223,
            x = 0.480,
            y = 0.760,
        },
        {
            id = 4526,
            x = 0.484,
            y = 0.371,
        },
        {
            id = 4266,
            x = 0.592,
            y = 0.707,
        },
        {
            id = 4293,
            x = 0.547,
            y = 0.609,
        },
        {
            id = 4272,
            x = 0.464,
            y = 0.653,
        },
        {
            id = 4219,
            x = 0.512,
            y = 0.841,
        },
        {
            id = 4361,
            x = 0.326,
            y = 0.118,
        },
        {
            id = 4330,
            x = 0.642,
            y = 0.542,
        },
        {
            id = 4264,
            x = 0.641,
            y = 0.739,
        },
        {
            id = 4524,
            x = 0.699,
            y = 0.828,
        },
        {
            id = 4256,
            x = 0.642,
            y = 0.901,
        },
        {
            id = 4474,
            x = 0.820,
            y = 0.520,
        },
        {
            id = 4326,
            x = 0.590,
            y = 0.397,
        },
        {
            id = 4355,
            x = 0.499,
            y = 0.417,
        },
        {
            id = 4327,
            x = 0.598,
            y = 0.348,
        },
        {
            id = 4278,
            x = 0.472,
            y = 0.538,
        },
        {
            id = 4330,
            x = 0.636,
            y = 0.503,
        },
        {
            id = 4295,
            x = 0.441,
            y = 0.135,
        },
        {
            id = 4355,
            x = 0.491,
            y = 0.330,
        },
        {
            id = 4300,
            x = 0.376,
            y = 0.238,
        },
        {
            id = 4411,
            x = 0.622,
            y = 0.501,
        },
        {
            id = 4435,
            x = 0.681,
            y = 0.488,
        },
        {
            id = 4329,
            x = 0.534,
            y = 0.249,
        },
        {
            id = 4277,
            x = 0.531,
            y = 0.511,
        },
        {
            id = 4219,
            x = 0.503,
            y = 0.850,
        },
        {
            id = 4219,
            x = 0.502,
            y = 0.849,
        },
        {
            id = 4223,
            x = 0.479,
            y = 0.760,
        },
        {
            id = 4524,
            x = 0.487,
            y = 0.847,
        },
        {
            id = 4338,
            x = 0.346,
            y = 0.333,
        },
        {
            id = 4350,
            x = 0.326,
            y = 0.356,
        },
        {
            id = 4208,
            x = 0.719,
            y = 0.842,
        },
        {
            id = 4293,
            x = 0.600,
            y = 0.638,
        },
        {
            id = 4410,
            x = 0.685,
            y = 0.484,
        },
        {
            id = 4300,
            x = 0.472,
            y = 0.248,
        },
        {
            id = 4368,
            x = 0.610,
            y = 0.605,
        },
        {
            id = 4408,
            x = 0.665,
            y = 0.464,
        },
        {
            id = 4261,
            x = 0.292,
            y = 0.192,
        },
        {
            id = 4220,
            x = 0.605,
            y = 0.450,
        },
        {
            id = 4326,
            x = 0.589,
            y = 0.398,
        },
        {
            id = 4264,
            x = 0.603,
            y = 0.739,
        },
        {
            id = 4524,
            x = 0.508,
            y = 0.908,
        },
        {
            id = 4366,
            x = 0.442,
            y = 0.710,
        },
        {
            id = 4220,
            x = 0.618,
            y = 0.450,
        },
        {
            id = 4350,
            x = 0.256,
            y = 0.316,
        },
        {
            id = 4264,
            x = 0.584,
            y = 0.703,
        },
        {
            id = 4208,
            x = 0.547,
            y = 0.914,
        },
        {
            id = 4309,
            x = 0.429,
            y = 0.122,
        },
        {
            id = 4549,
            x = 0.244,
            y = 0.242,
        },
        {
            id = 4223,
            x = 0.479,
            y = 0.759,
        },
        {
            id = 4767,
            x = 0.325,
            y = 0.115,
        },
        {
            id = 4526,
            x = 0.499,
            y = 0.418,
        },
        {
            id = 4217,
            x = 0.483,
            y = 0.772,
        },
        {
            id = 4338,
            x = 0.249,
            y = 0.310,
        },
        {
            id = 4219,
            x = 0.490,
            y = 0.799,
        },
        {
            id = 4361,
            x = 0.337,
            y = 0.111,
        },
        {
            id = 4277,
            x = 0.533,
            y = 0.530,
        },
        {
            id = 4264,
            x = 0.560,
            y = 0.720,
        },
        {
            id = 4409,
            x = 0.672,
            y = 0.529,
        },
        {
            id = 4208,
            x = 0.555,
            y = 0.817,
        },
        {
            id = 4277,
            x = 0.506,
            y = 0.525,
        },
        {
            id = 4277,
            x = 0.525,
            y = 0.490,
        },
        {
            id = 4258,
            x = 0.659,
            y = 0.920,
        },
        {
            id = 4217,
            x = 0.485,
            y = 0.695,
        },
        {
            id = 4368,
            x = 0.609,
            y = 0.605,
        },
        {
            id = 4220,
            x = 0.618,
            y = 0.449,
        },
        {
            id = 4680,
            x = 0.639,
            y = 0.923,
        },
        {
            id = 4277,
            x = 0.533,
            y = 0.529,
        },
        {
            id = 4361,
            x = 0.325,
            y = 0.120,
        },
        {
            id = 4474,
            x = 0.599,
            y = 0.512,
        },
        {
            id = 4524,
            x = 0.625,
            y = 0.811,
        },
        {
            id = 4355,
            x = 0.500,
            y = 0.418,
        },
        {
            id = 4208,
            x = 0.640,
            y = 0.870,
        },
        {
            id = 4524,
            x = 0.703,
            y = 0.893,
        },
        {
            id = 4217,
            x = 0.436,
            y = 0.737,
        },
        {
            id = 4220,
            x = 0.657,
            y = 0.399,
        },
        {
            id = 4361,
            x = 0.338,
            y = 0.109,
        },
        {
            id = 4474,
            x = 0.610,
            y = 0.605,
        },
        {
            id = 4300,
            x = 0.377,
            y = 0.240,
        },
        {
            id = 4293,
            x = 0.547,
            y = 0.610,
        },
        {
            id = 4293,
            x = 0.623,
            y = 0.592,
        },
        {
            id = 4264,
            x = 0.601,
            y = 0.740,
        },
        {
            id = 4277,
            x = 0.526,
            y = 0.489,
        },
        {
            id = 4526,
            x = 0.500,
            y = 0.418,
        },
        {
            id = 4357,
            x = 0.483,
            y = 0.371,
        },
        {
            id = 4552,
            x = 0.419,
            y = 0.137,
        },
        {
            id = 4524,
            x = 0.641,
            y = 0.870,
        },
        {
            id = 4524,
            x = 0.591,
            y = 0.697,
        },
        {
            id = 4474,
            x = 0.488,
            y = 0.847,
        },
        {
            id = 4329,
            x = 0.553,
            y = 0.206,
        },
        {
            id = 4223,
            x = 0.480,
            y = 0.759,
        },
        {
            id = 4474,
            x = 0.464,
            y = 0.653,
        },
        {
            id = 4552,
            x = 0.357,
            y = 0.210,
        },
        {
            id = 4208,
            x = 0.626,
            y = 0.810,
        },
        {
            id = 4260,
            x = 0.357,
            y = 0.210,
        },
        {
            id = 4260,
            x = 0.244,
            y = 0.242,
        },
    },
    ["malabaltor/baandaritradingpost_base"] = {
        {
            id = 4196,
            x = 0.571,
            y = 0.583,
        },
        {
            id = 4199,
            x = 0.571,
            y = 0.608,
        },
        {
            id = 4199,
            x = 0.572,
            y = 0.620,
        },
        {
            id = 4196,
            x = 0.652,
            y = 0.417,
        },
        {
            id = 4199,
            x = 0.563,
            y = 0.620,
        },
        {
            id = 3997,
            x = 0.703,
            y = 0.574,
        },
        {
            id = 4196,
            x = 0.569,
            y = 0.591,
        },
        {
            id = 4199,
            x = 0.569,
            y = 0.612,
        },
        {
            id = 4199,
            x = 0.571,
            y = 0.611,
        },
        {
            id = 4196,
            x = 0.570,
            y = 0.585,
        },
    },
    ["glenumbra/badmanscave_base"] = {
        {
            id = 4088,
            x = 0.597,
            y = 0.594,
        },
        {
            id = 4080,
            x = 0.460,
            y = 0.648,
        },
        {
            id = 4080,
            x = 0.444,
            y = 0.643,
        },
        {
            id = 4080,
            x = 0.460,
            y = 0.653,
        },
        {
            id = 4831,
            x = 0.485,
            y = 0.417,
        },
        {
            id = 4080,
            x = 0.463,
            y = 0.663,
        },
        {
            id = 4080,
            x = 0.436,
            y = 0.661,
        },
        {
            id = 4080,
            x = 0.440,
            y = 0.650,
        },
        {
            id = 4080,
            x = 0.459,
            y = 0.659,
        },
        {
            id = 4080,
            x = 0.437,
            y = 0.650,
        },
        {
            id = 4080,
            x = 0.450,
            y = 0.640,
        },
    },
    ["stonefalls/balfoyen_base"] = {
        {
            id = 4024,
            x = 0.608,
            y = 0.560,
        },
        {
            id = 4028,
            x = 0.463,
            y = 0.452,
        },
        {
            id = 4041,
            x = 0.597,
            y = 0.579,
        },
        {
            id = 4022,
            x = 0.452,
            y = 0.498,
        },
        {
            id = 4038,
            x = 0.327,
            y = 0.604,
        },
        {
            id = 4051,
            x = 0.341,
            y = 0.279,
        },
        {
            id = 4023,
            x = 0.730,
            y = 0.577,
        },
        {
            id = 4067,
            x = 0.438,
            y = 0.310,
        },
        {
            id = 4038,
            x = 0.452,
            y = 0.656,
        },
        {
            id = 4024,
            x = 0.610,
            y = 0.558,
        },
        {
            id = 4041,
            x = 0.596,
            y = 0.582,
        },
        {
            id = 4026,
            x = 0.264,
            y = 0.759,
        },
        {
            id = 4022,
            x = 0.380,
            y = 0.632,
        },
        {
            id = 4051,
            x = 0.371,
            y = 0.809,
        },
        {
            id = 4023,
            x = 0.729,
            y = 0.575,
        },
        {
            id = 4038,
            x = 0.449,
            y = 0.653,
        },
        {
            id = 4024,
            x = 0.609,
            y = 0.559,
        },
        {
            id = 4026,
            x = 0.265,
            y = 0.760,
        },
        {
            id = 4022,
            x = 0.381,
            y = 0.628,
        },
        {
            id = 4022,
            x = 0.387,
            y = 0.490,
        },
        {
            id = 4067,
            x = 0.437,
            y = 0.309,
        },
        {
            id = 4051,
            x = 0.340,
            y = 0.280,
        },
        {
            id = 4051,
            x = 0.338,
            y = 0.282,
        },
        {
            id = 4022,
            x = 0.455,
            y = 0.501,
        },
        {
            id = 4831,
            x = 0.371,
            y = 0.808,
        },
        {
            id = 4831,
            x = 0.501,
            y = 0.375,
        },
        {
            id = 4831,
            x = 0.339,
            y = 0.282,
        },
        {
            id = 4831,
            x = 0.340,
            y = 0.280,
        },
        {
            id = 4022,
            x = 0.339,
            y = 0.525,
        },
        {
            id = 4022,
            x = 0.390,
            y = 0.491,
        },
    },
    ["bangkorai/bangkorai_base"] = {
        {
            id = 4881,
            x = 0.516,
            y = 0.400,
        },
        {
            id = 1834,
            x = 0.573,
            y = 0.093,
        },
        {
            id = 4912,
            x = 0.471,
            y = 0.549,
        },
        {
            id = 4881,
            x = 0.616,
            y = 0.299,
        },
        {
            id = 1834,
            x = 0.698,
            y = 0.179,
        },
        {
            id = 4938,
            x = 0.439,
            y = 0.544,
        },
        {
            id = 3335,
            x = 0.457,
            y = 0.171,
        },
        {
            id = 1802,
            x = 0.487,
            y = 0.140,
        },
        {
            id = 4881,
            x = 0.541,
            y = 0.355,
        },
        {
            id = 4899,
            x = 0.460,
            y = 0.305,
        },
        {
            id = 4992,
            x = 0.526,
            y = 0.554,
        },
        {
            id = 4891,
            x = 0.604,
            y = 0.147,
        },
        {
            id = 3530,
            x = 0.459,
            y = 0.301,
        },
        {
            id = 1835,
            x = 0.658,
            y = 0.149,
        },
        {
            id = 4900,
            x = 0.517,
            y = 0.492,
        },
        {
            id = 3533,
            x = 0.480,
            y = 0.447,
        },
        {
            id = 4766,
            x = 0.660,
            y = 0.229,
        },
        {
            id = 3530,
            x = 0.460,
            y = 0.301,
        },
        {
            id = 4969,
            x = 0.326,
            y = 0.642,
        },
        {
            id = 3496,
            x = 0.679,
            y = 0.662,
        },
        {
            id = 4900,
            x = 0.553,
            y = 0.462,
        },
        {
            id = 4982,
            x = 0.600,
            y = 0.507,
        },
        {
            id = 3841,
            x = 0.252,
            y = 0.882,
        },
        {
            id = 1802,
            x = 0.522,
            y = 0.183,
        },
        {
            id = 4959,
            x = 0.441,
            y = 0.839,
        },
        {
            id = 4970,
            x = 0.280,
            y = 0.679,
        },
        {
            id = 4964,
            x = 0.478,
            y = 0.429,
        },
        {
            id = 4986,
            x = 0.630,
            y = 0.656,
        },
        {
            id = 3841,
            x = 0.294,
            y = 0.855,
        },
        {
            id = 4989,
            x = 0.559,
            y = 0.722,
        },
        {
            id = 3963,
            x = 0.584,
            y = 0.652,
        },
        {
            id = 3963,
            x = 0.478,
            y = 0.648,
        },
        {
            id = 3533,
            x = 0.452,
            y = 0.425,
        },
        {
            id = 4991,
            x = 0.575,
            y = 0.093,
        },
        {
            id = 4989,
            x = 0.560,
            y = 0.722,
        },
        {
            id = 4978,
            x = 0.546,
            y = 0.602,
        },
        {
            id = 3317,
            x = 0.422,
            y = 0.695,
        },
        {
            id = 3335,
            x = 0.418,
            y = 0.244,
        },
        {
            id = 4900,
            x = 0.536,
            y = 0.441,
        },
        {
            id = 3317,
            x = 0.380,
            y = 0.734,
        },
        {
            id = 3496,
            x = 0.649,
            y = 0.621,
        },
        {
            id = 4982,
            x = 0.653,
            y = 0.490,
        },
        {
            id = 4898,
            x = 0.370,
            y = 0.841,
        },
    },
    ["greenshade/barrowtrench_base"] = {
        {
            id = 4849,
            x = 0.897,
            y = 0.746,
        },
    },
    ["craglorn/belkarth_base"] = {
        {
            id = 5025,
            x = 0.242,
            y = 0.458,
        },
        {
            id = 5130,
            x = 0.700,
            y = 0.540,
        },
    },
    ["alikr/bergama_base"] = {
        {
            id = 4761,
            x = 0.531,
            y = 0.440,
        },
        {
            id = 3172,
            x = 0.609,
            y = 0.448,
        },
        {
            id = 3172,
            x = 0.597,
            y = 0.449,
        },
        {
            id = 2344,
            x = 0.881,
            y = 0.307,
        },
        {
            id = 4761,
            x = 0.534,
            y = 0.439,
        },
        {
            id = 731,
            x = 0.269,
            y = 0.560,
        },
        {
            id = 731,
            x = 0.821,
            y = 0.404,
        },
        {
            id = 731,
            x = 0.649,
            y = 0.255,
        },
    },
    ["glenumbra/betnihk_base"] = {
        {
            id = 4547,
            x = 0.293,
            y = 0.705,
        },
        {
            id = 4559,
            x = 0.580,
            y = 0.450,
        },
        {
            id = 4523,
            x = 0.592,
            y = 0.527,
        },
        {
            id = 4548,
            x = 0.570,
            y = 0.731,
        },
        {
            id = 4525,
            x = 0.420,
            y = 0.392,
        },
        {
            id = 4468,
            x = 0.296,
            y = 0.651,
        },
        {
            id = 4478,
            x = 0.495,
            y = 0.550,
        },
        {
            id = 4449,
            x = 0.507,
            y = 0.460,
        },
        {
            id = 4566,
            x = 0.525,
            y = 0.481,
        },
        {
            id = 4831,
            x = 0.640,
            y = 0.532,
        },
        {
            id = 4559,
            x = 0.580,
            y = 0.449,
        },
        {
            id = 4468,
            x = 0.221,
            y = 0.612,
        },
        {
            id = 4525,
            x = 0.419,
            y = 0.391,
        },
        {
            id = 4525,
            x = 0.420,
            y = 0.389,
        },
        {
            id = 4449,
            x = 0.507,
            y = 0.459,
        },
        {
            id = 4468,
            x = 0.374,
            y = 0.610,
        },
        {
            id = 4548,
            x = 0.571,
            y = 0.729,
        },
        {
            id = 4468,
            x = 0.379,
            y = 0.549,
        },
        {
            id = 4548,
            x = 0.258,
            y = 0.377,
        },
        {
            id = 4548,
            x = 0.572,
            y = 0.730,
        },
        {
            id = 4468,
            x = 0.296,
            y = 0.649,
        },
        {
            id = 4525,
            x = 0.317,
            y = 0.419,
        },
        {
            id = 4468,
            x = 0.320,
            y = 0.522,
        },
        {
            id = 4523,
            x = 0.589,
            y = 0.526,
        },
        {
            id = 4468,
            x = 0.381,
            y = 0.548,
        },
        {
            id = 4468,
            x = 0.233,
            y = 0.504,
        },
        {
            id = 4468,
            x = 0.345,
            y = 0.617,
        },
        {
            id = 4559,
            x = 0.581,
            y = 0.449,
        },
        {
            id = 4525,
            x = 0.317,
            y = 0.421,
        },
        {
            id = 4831,
            x = 0.648,
            y = 0.528,
        },
        {
            id = 4468,
            x = 0.375,
            y = 0.554,
        },
        {
            id = 4468,
            x = 0.375,
            y = 0.609,
        },
        {
            id = 4468,
            x = 0.220,
            y = 0.585,
        },
        {
            id = 4478,
            x = 0.495,
            y = 0.549,
        },
        {
            id = 4831,
            x = 0.639,
            y = 0.534,
        },
        {
            id = 4548,
            x = 0.354,
            y = 0.734,
        },
        {
            id = 4478,
            x = 0.487,
            y = 0.720,
        },
        {
            id = 4468,
            x = 0.533,
            y = 0.734,
        },
        {
            id = 4468,
            x = 0.321,
            y = 0.519,
        },
    },
    ["auridon/bewan_base"] = {
        {
            id = 4526,
            x = 0.503,
            y = 0.839,
        },
    },
    ["bangkorai/bisnensel_base"] = {
        {
            id = 1804,
            x = 0.330,
            y = 0.603,
        },
        {
            id = 1804,
            x = 0.321,
            y = 0.602,
        },
    },
    ["malabaltor/blackvineruins_base"] = {
        {
            id = 4503,
            x = 0.209,
            y = 0.181,
        },
        {
            id = 4503,
            x = 0.212,
            y = 0.186,
        },
        {
            id = 4503,
            x = 0.221,
            y = 0.182,
        },
    },
    ["bangkorai/blackhearthavenarea4_base"] = {
        {
            id = 4589,
            x = 0.599,
            y = 0.576,
        },
    },
    ["stonefalls/bleakrock_base"] = {
        {
            id = 3986,
            x = 0.497,
            y = 0.439,
        },
        {
            id = 4002,
            x = 0.534,
            y = 0.589,
        },
        {
            id = 3996,
            x = 0.306,
            y = 0.250,
        },
        {
            id = 3988,
            x = 0.308,
            y = 0.250,
        },
        {
            id = 3995,
            x = 0.494,
            y = 0.229,
        },
        {
            id = 3987,
            x = 0.384,
            y = 0.403,
        },
        {
            id = 3999,
            x = 0.341,
            y = 0.578,
        },
        {
            id = 4016,
            x = 0.787,
            y = 0.447,
        },
        {
            id = 3988,
            x = 0.309,
            y = 0.249,
        },
        {
            id = 4831,
            x = 0.255,
            y = 0.396,
        },
        {
            id = 3992,
            x = 0.683,
            y = 0.545,
        },
        {
            id = 3999,
            x = 0.338,
            y = 0.579,
        },
        {
            id = 3985,
            x = 0.623,
            y = 0.600,
        },
        {
            id = 3987,
            x = 0.275,
            y = 0.515,
        },
        {
            id = 3992,
            x = 0.719,
            y = 0.557,
        },
        {
            id = 4831,
            x = 0.694,
            y = 0.254,
        },
        {
            id = 3986,
            x = 0.485,
            y = 0.371,
        },
        {
            id = 3986,
            x = 0.495,
            y = 0.388,
        },
        {
            id = 3988,
            x = 0.310,
            y = 0.249,
        },
        {
            id = 3996,
            x = 0.381,
            y = 0.405,
        },
        {
            id = 3985,
            x = 0.623,
            y = 0.599,
        },
        {
            id = 3992,
            x = 0.678,
            y = 0.551,
        },
        {
            id = 3986,
            x = 0.518,
            y = 0.408,
        },
        {
            id = 4831,
            x = 0.209,
            y = 0.688,
        },
        {
            id = 3991,
            x = 0.482,
            y = 0.635,
        },
        {
            id = 3996,
            x = 0.787,
            y = 0.449,
        },
        {
            id = 3992,
            x = 0.676,
            y = 0.541,
        },
        {
            id = 3986,
            x = 0.562,
            y = 0.418,
        },
        {
            id = 3986,
            x = 0.416,
            y = 0.376,
        },
        {
            id = 3996,
            x = 0.275,
            y = 0.517,
        },
        {
            id = 3992,
            x = 0.676,
            y = 0.537,
        },
        {
            id = 3986,
            x = 0.419,
            y = 0.454,
        },
        {
            id = 4831,
            x = 0.305,
            y = 0.250,
        },
        {
            id = 4002,
            x = 0.534,
            y = 0.590,
        },
        {
            id = 3992,
            x = 0.656,
            y = 0.537,
        },
        {
            id = 3986,
            x = 0.413,
            y = 0.402,
        },
        {
            id = 3986,
            x = 0.414,
            y = 0.448,
        },
        {
            id = 3986,
            x = 0.414,
            y = 0.397,
        },
        {
            id = 3995,
            x = 0.490,
            y = 0.230,
        },
        {
            id = 3996,
            x = 0.697,
            y = 0.283,
        },
        {
            id = 3996,
            x = 0.255,
            y = 0.396,
        },
        {
            id = 3992,
            x = 0.646,
            y = 0.477,
        },
        {
            id = 3996,
            x = 0.210,
            y = 0.687,
        },
        {
            id = 3986,
            x = 0.560,
            y = 0.423,
        },
        {
            id = 3992,
            x = 0.761,
            y = 0.553,
        },
        {
            id = 3996,
            x = 0.457,
            y = 0.425,
        },
        {
            id = 3996,
            x = 0.306,
            y = 0.425,
        },
        {
            id = 3995,
            x = 0.489,
            y = 0.228,
        },
        {
            id = 3992,
            x = 0.729,
            y = 0.552,
        },
        {
            id = 3986,
            x = 0.497,
            y = 0.440,
        },
        {
            id = 3986,
            x = 0.484,
            y = 0.369,
        },
        {
            id = 3992,
            x = 0.707,
            y = 0.318,
        },
        {
            id = 3992,
            x = 0.713,
            y = 0.316,
        },
        {
            id = 4016,
            x = 0.497,
            y = 0.206,
        },
        {
            id = 4016,
            x = 0.259,
            y = 0.397,
        },
        {
            id = 4016,
            x = 0.260,
            y = 0.396,
        },
        {
            id = 3992,
            x = 0.722,
            y = 0.306,
        },
        {
            id = 3986,
            x = 0.529,
            y = 0.420,
        },
        {
            id = 3992,
            x = 0.669,
            y = 0.536,
        },
        {
            id = 3986,
            x = 0.558,
            y = 0.411,
        },
        {
            id = 4016,
            x = 0.500,
            y = 0.206,
        },
    },
    ["bleakrock/bleakrockvillage_base"] = {
        {
            id = 3991,
            x = 0.616,
            y = 0.628,
        },
        {
            id = 3999,
            x = 0.150,
            y = 0.429,
        },
        {
            id = 3991,
            x = 0.620,
            y = 0.625,
        },
        {
            id = 3990,
            x = 0.784,
            y = 0.476,
        },
        {
            id = 4002,
            x = 0.789,
            y = 0.469,
        },
        {
            id = 4002,
            x = 0.782,
            y = 0.482,
        },
        {
            id = 3999,
            x = 0.151,
            y = 0.434,
        },
        {
            id = 3999,
            x = 0.144,
            y = 0.429,
        },
        {
            id = 3999,
            x = 0.148,
            y = 0.430,
        },
        {
            id = 3991,
            x = 0.615,
            y = 0.634,
        },
        {
            id = 3991,
            x = 0.624,
            y = 0.630,
        },
        {
            id = 4002,
            x = 0.779,
            y = 0.479,
        },
        {
            id = 3999,
            x = 0.134,
            y = 0.432,
        },
        {
            id = 4002,
            x = 0.790,
            y = 0.472,
        },
        {
            id = 4002,
            x = 0.780,
            y = 0.470,
        },
        {
            id = 3999,
            x = 0.140,
            y = 0.440,
        },
    },
    ["therift/blessedcrucible1_base"] = {
        {
            id = 4469,
            x = 0.447,
            y = 0.161,
        },
    },
    ["stormhaven/bonesnapruins_base"] = {
        {
            id = 3784,
            x = 0.694,
            y = 0.845,
        },
        {
            id = 3783,
            x = 0.607,
            y = 0.643,
        },
        {
            id = 3783,
            x = 0.606,
            y = 0.639,
        },
        {
            id = 3784,
            x = 0.701,
            y = 0.849,
        },
    },
    ["stormhaven/bonesnapruinssecret_base"] = {
        {
            id = 3784,
            x = 0.694,
            y = 0.845,
        },
        {
            id = 3783,
            x = 0.607,
            y = 0.643,
        },
        {
            id = 3783,
            x = 0.606,
            y = 0.639,
        },
        {
            id = 3784,
            x = 0.701,
            y = 0.849,
        },
    },
    ["grahtwood/brackenleaf_base"] = {
        {
            id = 4946,
            x = 0.235,
            y = 0.980,
        },
        {
            id = 4946,
            x = 0.239,
            y = 0.972,
        },
        {
            id = 4946,
            x = 0.246,
            y = 0.979,
        },
        {
            id = 4946,
            x = 0.229,
            y = 0.965,
        },
        {
            id = 4946,
            x = 0.231,
            y = 0.968,
        },
    },
    ["shadowfen/brokentuskcave_base"] = {
        {
            id = 4557,
            x = 0.314,
            y = 0.486,
        },
        {
            id = 4557,
            x = 0.321,
            y = 0.492,
        },
        {
            id = 4557,
            x = 0.318,
            y = 0.490,
        },
    },
    ["deshaan/bthanual_base"] = {
        {
            id = 3874,
            x = 0.693,
            y = 0.140,
        },
        {
            id = 3874,
            x = 0.701,
            y = 0.148,
        },
        {
            id = 3874,
            x = 0.696,
            y = 0.138,
        },
        {
            id = 3874,
            x = 0.689,
            y = 0.142,
        },
    },
    ["grahtwood/burrootkwamamine_base"] = {
        {
            id = 4968,
            x = 0.736,
            y = 0.472,
        },
    },
    ["glenumbra/cathbedraud_base"] = {
        {
            id = 3379,
            x = 0.403,
            y = 0.378,
        },
        {
            id = 3379,
            x = 0.399,
            y = 0.376,
        },
        {
            id = 3379,
            x = 0.406,
            y = 0.380,
        },
    },
    ["grahtwood/caveofbrokensails_base"] = {
        {
            id = 4445,
            x = 0.597,
            y = 0.840,
        },
    },
    ["greenshade/cityofashmain_base"] = {
        {
            id = 4778,
            x = 0.380,
            y = 0.430,
        },
        {
            id = 4379,
            x = 0.717,
            y = 0.668,
        },
        {
            id = 4778,
            x = 0.379,
            y = 0.430,
        },
        {
            id = 4778,
            x = 0.380,
            y = 0.426,
        },
        {
            id = 4778,
            x = 0.379,
            y = 0.428,
        },
    },
    ["coldharbor/coldharbour_base"] = {
        {
            id = 4757,
            x = 0.438,
            y = 0.454,
        },
        {
            id = 4364,
            x = 0.669,
            y = 0.528,
        },
        {
            id = 4371,
            x = 0.389,
            y = 0.801,
        },
        {
            id = 4623,
            x = 0.602,
            y = 0.734,
        },
        {
            id = 4758,
            x = 0.471,
            y = 0.328,
        },
        {
            id = 4352,
            x = 0.375,
            y = 0.716,
        },
        {
            id = 4642,
            x = 0.597,
            y = 0.630,
        },
        {
            id = 4392,
            x = 0.433,
            y = 0.627,
        },
        {
            id = 4370,
            x = 0.670,
            y = 0.528,
        },
        {
            id = 4774,
            x = 0.519,
            y = 0.419,
        },
        {
            id = 4746,
            x = 0.622,
            y = 0.658,
        },
        {
            id = 4679,
            x = 0.231,
            y = 0.665,
        },
        {
            id = 4354,
            x = 0.670,
            y = 0.527,
        },
        {
            id = 4746,
            x = 0.651,
            y = 0.559,
        },
        {
            id = 4399,
            x = 0.331,
            y = 0.664,
        },
        {
            id = 4748,
            x = 0.451,
            y = 0.648,
        },
        {
            id = 4774,
            x = 0.519,
            y = 0.420,
        },
        {
            id = 4626,
            x = 0.714,
            y = 0.685,
        },
        {
            id = 4351,
            x = 0.416,
            y = 0.699,
        },
        {
            id = 4347,
            x = 0.651,
            y = 0.559,
        },
        {
            id = 4370,
            x = 0.669,
            y = 0.529,
        },
        {
            id = 4371,
            x = 0.357,
            y = 0.834,
        },
        {
            id = 4814,
            x = 0.640,
            y = 0.406,
        },
        {
            id = 4743,
            x = 0.356,
            y = 0.678,
        },
        {
            id = 4743,
            x = 0.357,
            y = 0.680,
        },
        {
            id = 4371,
            x = 0.402,
            y = 0.787,
        },
        {
            id = 4348,
            x = 0.580,
            y = 0.417,
        },
        {
            id = 4814,
            x = 0.436,
            y = 0.481,
        },
        {
            id = 4746,
            x = 0.649,
            y = 0.558,
        },
        {
            id = 4814,
            x = 0.509,
            y = 0.518,
        },
        {
            id = 4369,
            x = 0.670,
            y = 0.528,
        },
        {
            id = 4351,
            x = 0.421,
            y = 0.697,
        },
        {
            id = 4358,
            x = 0.635,
            y = 0.380,
        },
        {
            id = 4351,
            x = 0.409,
            y = 0.693,
        },
        {
            id = 4351,
            x = 0.396,
            y = 0.685,
        },
        {
            id = 4605,
            x = 0.522,
            y = 0.771,
        },
        {
            id = 4757,
            x = 0.424,
            y = 0.419,
        },
        {
            id = 4351,
            x = 0.357,
            y = 0.669,
        },
        {
            id = 4748,
            x = 0.435,
            y = 0.481,
        },
        {
            id = 4715,
            x = 0.509,
            y = 0.517,
        },
        {
            id = 4392,
            x = 0.414,
            y = 0.614,
        },
        {
            id = 4642,
            x = 0.597,
            y = 0.629,
        },
        {
            id = 4351,
            x = 0.416,
            y = 0.700,
        },
        {
            id = 4371,
            x = 0.395,
            y = 0.786,
        },
        {
            id = 4748,
            x = 0.318,
            y = 0.576,
        },
        {
            id = 4654,
            x = 0.231,
            y = 0.665,
        },
        {
            id = 4347,
            x = 0.622,
            y = 0.658,
        },
        {
            id = 4351,
            x = 0.365,
            y = 0.672,
        },
        {
            id = 4371,
            x = 0.390,
            y = 0.807,
        },
        {
            id = 4642,
            x = 0.623,
            y = 0.655,
        },
        {
            id = 4364,
            x = 0.670,
            y = 0.528,
        },
        {
            id = 4347,
            x = 0.596,
            y = 0.779,
        },
        {
            id = 4814,
            x = 0.512,
            y = 0.468,
        },
        {
            id = 4374,
            x = 0.648,
            y = 0.449,
        },
        {
            id = 4374,
            x = 0.647,
            y = 0.450,
        },
    },
    ["alikr/coldrockdiggings_base"] = {
        {
            id = 4631,
            x = 0.677,
            y = 0.301,
        },
    },
    ["rivenspire/crestshademine_base"] = {
        {
            id = 4944,
            x = 0.412,
            y = 0.367,
        },
        {
            id = 4944,
            x = 0.408,
            y = 0.361,
        },
    },
    ["malabaltor/crimsoncove_base"] = {
        {
            id = 4378,
            x = 0.289,
            y = 0.411,
        },
        {
            id = 4378,
            x = 0.292,
            y = 0.414,
        },
    },
    ["glenumbra/crosswych_base"] = {
        {
            id = 3337,
            x = 0.435,
            y = 0.665,
        },
        {
            id = 3302,
            x = 0.617,
            y = 0.609,
        },
        {
            id = 3302,
            x = 0.620,
            y = 0.610,
        },
        {
            id = 3345,
            x = 0.628,
            y = 0.678,
        },
        {
            id = 3302,
            x = 0.618,
            y = 0.611,
        },
        {
            id = 3345,
            x = 0.627,
            y = 0.669,
        },
        {
            id = 3343,
            x = 0.634,
            y = 0.598,
        },
        {
            id = 3302,
            x = 0.620,
            y = 0.607,
        },
        {
            id = 3345,
            x = 0.623,
            y = 0.586,
        },
        {
            id = 3343,
            x = 0.638,
            y = 0.603,
        },
        {
            id = 4435,
            x = 0.655,
            y = 0.673,
        },
        {
            id = 3337,
            x = 0.425,
            y = 0.774,
        },
        {
            id = 3412,
            x = 0.827,
            y = 0.575,
        },
        {
            id = 4435,
            x = 0.653,
            y = 0.669,
        },
        {
            id = 5935,
            x = 0.604,
            y = 0.590,
        },
    },
    ["stonefalls/crowswood_base"] = {
        {
            id = 3915,
            x = 0.286,
            y = 0.734,
        },
        {
            id = 3902,
            x = 0.512,
            y = 0.799,
        },
        {
            id = 3902,
            x = 0.508,
            y = 0.797,
        },
        {
            id = 3915,
            x = 0.485,
            y = 0.304,
        },
        {
            id = 3902,
            x = 0.510,
            y = 0.800,
        },
    },
    ["rivenspire/cryptofhearts_base"] = {
        {
            id = 4379,
            x = 0.277,
            y = 0.632,
        },
        {
            id = 4379,
            x = 0.278,
            y = 0.629,
        },
        {
            id = 5113,
            x = 0.291,
            y = 0.725,
        },
    },
    ["bangkorai/cryptoftheexiles_base"] = {
        {
            id = 4864,
            x = 0.840,
            y = 0.670,
        },
    },
    ["cyrodiil/ava_whole"] = {
        {
            id = 4072,
            x = 0.306,
            y = 0.658,
        },
        {
            id = 4695,
            x = 0.267,
            y = 0.486,
        },
        {
            id = 4065,
            x = 0.307,
            y = 0.663,
        },
        {
            id = 4074,
            x = 0.306,
            y = 0.658,
        },
        {
            id = 4635,
            x = 0.309,
            y = 0.664,
        },
        {
            id = 4073,
            x = 0.310,
            y = 0.664,
        },
        {
            id = 4684,
            x = 0.477,
            y = 0.597,
        },
        {
            id = 4079,
            x = 0.306,
            y = 0.663,
        },
        {
            id = 4520,
            x = 0.688,
            y = 0.631,
        },
        {
            id = 4530,
            x = 0.704,
            y = 0.629,
        },
        {
            id = 4068,
            x = 0.306,
            y = 0.663,
        },
        {
            id = 4705,
            x = 0.085,
            y = 0.248,
        },
        {
            id = 4696,
            x = 0.437,
            y = 0.699,
        },
        {
            id = 4706,
            x = 0.086,
            y = 0.250,
        },
        {
            id = 4052,
            x = 0.306,
            y = 0.658,
        },
        {
            id = 4704,
            x = 0.154,
            y = 0.105,
        },
        {
            id = 4640,
            x = 0.525,
            y = 0.288,
        },
        {
            id = 4244,
            x = 0.216,
            y = 0.398,
        },
        {
            id = 4265,
            x = 0.173,
            y = 0.385,
        },
        {
            id = 4706,
            x = 0.862,
            y = 0.144,
        },
        {
            id = 4704,
            x = 0.924,
            y = 0.308,
        },
        {
            id = 4809,
            x = 0.307,
            y = 0.119,
        },
        {
            id = 4224,
            x = 0.217,
            y = 0.398,
        },
        {
            id = 4228,
            x = 0.216,
            y = 0.398,
        },
        {
            id = 4572,
            x = 0.470,
            y = 0.173,
        },
        {
            id = 4226,
            x = 0.174,
            y = 0.385,
        },
        {
            id = 4434,
            x = 0.771,
            y = 0.396,
        },
        {
            id = 4066,
            x = 0.306,
            y = 0.658,
        },
        {
            id = 4696,
            x = 0.437,
            y = 0.700,
        },
        {
            id = 4425,
            x = 0.766,
            y = 0.397,
        },
        {
            id = 4540,
            x = 0.688,
            y = 0.631,
        },
        {
            id = 4421,
            x = 0.766,
            y = 0.396,
        },
        {
            id = 4639,
            x = 0.647,
            y = 0.238,
        },
        {
            id = 4424,
            x = 0.771,
            y = 0.397,
        },
        {
            id = 4433,
            x = 0.767,
            y = 0.396,
        },
        {
            id = 4417,
            x = 0.771,
            y = 0.396,
        },
        {
            id = 4426,
            x = 0.771,
            y = 0.397,
        },
        {
            id = 4270,
            x = 0.174,
            y = 0.385,
        },
        {
            id = 4671,
            x = 0.336,
            y = 0.769,
        },
        {
            id = 4809,
            x = 0.383,
            y = 0.725,
        },
        {
            id = 4527,
            x = 0.688,
            y = 0.631,
        },
        {
            id = 4637,
            x = 0.510,
            y = 0.718,
        },
        {
            id = 4809,
            x = 0.647,
            y = 0.238,
        },
        {
            id = 4238,
            x = 0.216,
            y = 0.398,
        },
        {
            id = 4706,
            x = 0.556,
            y = 0.880,
        },
        {
            id = 4581,
            x = 0.469,
            y = 0.173,
        },
        {
            id = 4572,
            x = 0.469,
            y = 0.173,
        },
        {
            id = 4430,
            x = 0.766,
            y = 0.396,
        },
        {
            id = 4563,
            x = 0.477,
            y = 0.181,
        },
        {
            id = 4569,
            x = 0.475,
            y = 0.182,
        },
        {
            id = 4517,
            x = 0.688,
            y = 0.635,
        },
        {
            id = 4705,
            x = 0.565,
            y = 0.879,
        },
        {
            id = 4507,
            x = 0.688,
            y = 0.635,
        },
        {
            id = 4420,
            x = 0.771,
            y = 0.396,
        },
        {
            id = 4628,
            x = 0.408,
            y = 0.166,
        },
        {
            id = 4568,
            x = 0.476,
            y = 0.182,
        },
        {
            id = 4705,
            x = 0.862,
            y = 0.141,
        },
        {
            id = 4678,
            x = 0.558,
            y = 0.142,
        },
        {
            id = 4263,
            x = 0.173,
            y = 0.385,
        },
        {
            id = 4682,
            x = 0.216,
            y = 0.398,
        },
        {
            id = 4247,
            x = 0.174,
            y = 0.385,
        },
        {
            id = 4512,
            x = 0.688,
            y = 0.631,
        },
        {
            id = 4509,
            x = 0.688,
            y = 0.631,
        },
        {
            id = 4632,
            x = 0.234,
            y = 0.344,
        },
        {
            id = 2759,
            x = 0.064,
            y = 0.287,
        },
        {
            id = 4561,
            x = 0.478,
            y = 0.182,
        },
        {
            id = 4564,
            x = 0.475,
            y = 0.181,
        },
        {
            id = 4570,
            x = 0.470,
            y = 0.173,
        },
        {
            id = 4591,
            x = 0.469,
            y = 0.173,
        },
        {
            id = 4581,
            x = 0.470,
            y = 0.173,
        },
        {
            id = 4579,
            x = 0.470,
            y = 0.173,
        },
        {
            id = 2759,
            x = 0.608,
            y = 0.885,
        },
        {
            id = 4048,
            x = 0.306,
            y = 0.658,
        },
        {
            id = 4081,
            x = 0.307,
            y = 0.663,
        },
        {
            id = 4522,
            x = 0.688,
            y = 0.635,
        },
        {
            id = 2759,
            x = 0.840,
            y = 0.110,
        },
        {
            id = 4242,
            x = 0.216,
            y = 0.398,
        },
        {
            id = 4683,
            x = 0.596,
            y = 0.509,
        },
        {
            id = 4716,
            x = 0.785,
            y = 0.281,
        },
        {
            id = 4663,
            x = 0.751,
            y = 0.254,
        },
        {
            id = 4591,
            x = 0.470,
            y = 0.173,
        },
        {
            id = 4570,
            x = 0.469,
            y = 0.173,
        },
        {
            id = 4579,
            x = 0.469,
            y = 0.173,
        },
        {
            id = 4505,
            x = 0.688,
            y = 0.635,
        },
        {
            id = 4671,
            x = 0.336,
            y = 0.770,
        },
        {
            id = 4422,
            x = 0.767,
            y = 0.396,
        },
        {
            id = 2608,
            x = 0.608,
            y = 0.883,
        },
        {
            id = 2925,
            x = 0.605,
            y = 0.888,
        },
        {
            id = 4666,
            x = 0.785,
            y = 0.281,
        },
        {
            id = 4637,
            x = 0.509,
            y = 0.718,
        },
        {
            id = 4662,
            x = 0.461,
            y = 0.615,
        },
        {
            id = 4714,
            x = 0.714,
            y = 0.531,
        },
        {
            id = 4666,
            x = 0.763,
            y = 0.342,
        },
    },
    ["glenumbra/daggerfall_base"] = {
        {
            id = 3017,
            x = 0.585,
            y = 0.553,
        },
        {
            id = 5076,
            x = 0.499,
            y = 0.393,
        },
        {
            id = 3856,
            x = 0.557,
            y = 0.337,
        },
        {
            id = 3916,
            x = 0.451,
            y = 0.388,
        },
        {
            id = 3009,
            x = 0.348,
            y = 0.487,
        },
        {
            id = 3006,
            x = 0.435,
            y = 0.459,
        },
        {
            id = 4767,
            x = 0.516,
            y = 0.290,
        },
        {
            id = 3414,
            x = 0.965,
            y = 0.226,
        },
        {
            id = 4767,
            x = 0.515,
            y = 0.291,
        },
        {
            id = 3011,
            x = 0.466,
            y = 0.323,
        },
        {
            id = 3858,
            x = 0.564,
            y = 0.366,
        },
        {
            id = 3011,
            x = 0.450,
            y = 0.320,
        },
        {
            id = 3000,
            x = 0.674,
            y = 0.635,
        },
        {
            id = 5076,
            x = 0.358,
            y = 0.249,
        },
        {
            id = 3006,
            x = 0.435,
            y = 0.461,
        },
        {
            id = 3916,
            x = 0.449,
            y = 0.389,
        },
        {
            id = 5076,
            x = 0.500,
            y = 0.395,
        },
        {
            id = 4435,
            x = 0.526,
            y = 0.393,
        },
        {
            id = 3858,
            x = 0.538,
            y = 0.369,
        },
        {
            id = 3858,
            x = 0.537,
            y = 0.375,
        },
        {
            id = 3000,
            x = 0.632,
            y = 0.397,
        },
        {
            id = 3858,
            x = 0.541,
            y = 0.372,
        },
        {
            id = 3856,
            x = 0.560,
            y = 0.337,
        },
        {
            id = 4767,
            x = 0.508,
            y = 0.289,
        },
        {
            id = 5077,
            x = 0.557,
            y = 0.338,
        },
        {
            id = 4435,
            x = 0.527,
            y = 0.389,
        },
        {
            id = 3017,
            x = 0.523,
            y = 0.575,
        },
        {
            id = 3000,
            x = 0.523,
            y = 0.576,
        },
        {
            id = 4466,
            x = 0.656,
            y = 0.801,
        },
        {
            id = 3011,
            x = 0.470,
            y = 0.328,
        },
        {
            id = 3916,
            x = 0.449,
            y = 0.391,
        },
        {
            id = 3000,
            x = 0.671,
            y = 0.512,
        },
        {
            id = 3916,
            x = 0.450,
            y = 0.390,
        },
        {
            id = 5076,
            x = 0.454,
            y = 0.325,
        },
        {
            id = 3011,
            x = 0.460,
            y = 0.330,
        },
        {
            id = 4831,
            x = 0.732,
            y = 0.671,
        },
        {
            id = 3000,
            x = 0.668,
            y = 0.514,
        },
        {
            id = 3017,
            x = 0.518,
            y = 0.573,
        },
        {
            id = 3000,
            x = 0.530,
            y = 0.573,
        },
        {
            id = 3000,
            x = 0.598,
            y = 0.357,
        },
        {
            id = 3000,
            x = 0.667,
            y = 0.508,
        },
        {
            id = 4831,
            x = 0.741,
            y = 0.695,
        },
        {
            id = 5077,
            x = 0.560,
            y = 0.336,
        },
        {
            id = 3011,
            x = 0.458,
            y = 0.339,
        },
        {
            id = 3011,
            x = 0.453,
            y = 0.319,
        },
        {
            id = 3000,
            x = 0.502,
            y = 0.566,
        },
        {
            id = 4466,
            x = 0.658,
            y = 0.637,
        },
        {
            id = 4466,
            x = 0.661,
            y = 0.639,
        },
        {
            id = 3000,
            x = 0.599,
            y = 0.414,
        },
        {
            id = 4466,
            x = 0.665,
            y = 0.643,
        },
        {
            id = 4767,
            x = 0.508,
            y = 0.291,
        },
        {
            id = 3000,
            x = 0.557,
            y = 0.530,
        },
        {
            id = 3000,
            x = 0.563,
            y = 0.565,
        },
        {
            id = 3000,
            x = 0.564,
            y = 0.551,
        },
        {
            id = 3000,
            x = 0.584,
            y = 0.578,
        },
        {
            id = 3000,
            x = 0.562,
            y = 0.571,
        },
        {
            id = 3000,
            x = 0.570,
            y = 0.528,
        },
        {
            id = 3000,
            x = 0.580,
            y = 0.579,
        },
        {
            id = 3000,
            x = 0.601,
            y = 0.421,
        },
        {
            id = 3858,
            x = 0.540,
            y = 0.369,
        },
        {
            id = 4054,
            x = 0.589,
            y = 0.648,
        },
        {
            id = 3011,
            x = 0.445,
            y = 0.322,
        },
        {
            id = 3000,
            x = 0.559,
            y = 0.558,
        },
        {
            id = 4831,
            x = 0.316,
            y = 0.491,
        },
        {
            id = 4831,
            x = 0.525,
            y = 0.434,
        },
        {
            id = 3858,
            x = 0.569,
            y = 0.376,
        },
        {
            id = 5450,
            x = 0.479,
            y = 0.236,
        },
    },
    ["deshaan/darkshadecaverns_base"] = {
        {
            id = 4145,
            x = 0.171,
            y = 0.102,
        },
        {
            id = 4145,
            x = 0.184,
            y = 0.112,
        },
        {
            id = 4145,
            x = 0.177,
            y = 0.118,
        },
        {
            id = 4145,
            x = 0.180,
            y = 0.125,
        },
        {
            id = 4641,
            x = 0.182,
            y = 0.115,
        },
        {
            id = 4641,
            x = 0.173,
            y = 0.109,
        },
    },
    ["stonefalls/davonswatch_base"] = {
        {
            id = 3585,
            x = 0.729,
            y = 0.731,
        },
        {
            id = 3856,
            x = 0.699,
            y = 0.520,
        },
        {
            id = 3916,
            x = 0.481,
            y = 0.433,
        },
        {
            id = 5075,
            x = 0.701,
            y = 0.525,
        },
        {
            id = 1294,
            x = 0.476,
            y = 0.405,
        },
        {
            id = 3588,
            x = 0.262,
            y = 0.395,
        },
        {
            id = 3589,
            x = 0.578,
            y = 0.346,
        },
        {
            id = 3587,
            x = 0.603,
            y = 0.326,
        },
        {
            id = 3858,
            x = 0.712,
            y = 0.564,
        },
        {
            id = 5075,
            x = 0.602,
            y = 0.330,
        },
        {
            id = 3588,
            x = 0.258,
            y = 0.397,
        },
        {
            id = 3587,
            x = 0.602,
            y = 0.330,
        },
        {
            id = 3860,
            x = 0.657,
            y = 0.654,
        },
        {
            id = 4767,
            x = 0.801,
            y = 0.479,
        },
        {
            id = 4767,
            x = 0.796,
            y = 0.477,
        },
        {
            id = 3589,
            x = 0.584,
            y = 0.349,
        },
        {
            id = 4767,
            x = 0.799,
            y = 0.481,
        },
        {
            id = 3594,
            x = 0.526,
            y = 0.900,
        },
        {
            id = 3916,
            x = 0.479,
            y = 0.433,
        },
        {
            id = 3856,
            x = 0.700,
            y = 0.520,
        },
        {
            id = 3858,
            x = 0.698,
            y = 0.550,
        },
        {
            id = 5074,
            x = 0.659,
            y = 0.658,
        },
        {
            id = 5074,
            x = 0.486,
            y = 0.454,
        },
        {
            id = 5075,
            x = 0.422,
            y = 0.667,
        },
        {
            id = 3590,
            x = 0.456,
            y = 0.813,
        },
        {
            id = 1294,
            x = 0.468,
            y = 0.408,
        },
        {
            id = 3856,
            x = 0.702,
            y = 0.519,
        },
        {
            id = 5075,
            x = 0.703,
            y = 0.517,
        },
        {
            id = 5075,
            x = 0.531,
            y = 0.507,
        },
        {
            id = 3590,
            x = 0.458,
            y = 0.809,
        },
        {
            id = 3858,
            x = 0.705,
            y = 0.563,
        },
        {
            id = 3595,
            x = 0.288,
            y = 0.951,
        },
        {
            id = 3990,
            x = 0.735,
            y = 0.431,
        },
        {
            id = 3860,
            x = 0.597,
            y = 0.507,
        },
        {
            id = 3990,
            x = 0.735,
            y = 0.428,
        },
        {
            id = 4831,
            x = 0.583,
            y = 0.348,
        },
        {
            id = 3585,
            x = 0.659,
            y = 0.658,
        },
        {
            id = 3585,
            x = 0.663,
            y = 0.659,
        },
        {
            id = 3585,
            x = 0.663,
            y = 0.664,
        },
        {
            id = 4831,
            x = 0.578,
            y = 0.346,
        },
        {
            id = 4831,
            x = 0.258,
            y = 0.397,
        },
        {
            id = 4767,
            x = 0.800,
            y = 0.480,
        },
        {
            id = 4435,
            x = 0.491,
            y = 0.474,
        },
        {
            id = 4107,
            x = 0.532,
            y = 0.508,
        },
        {
            id = 3858,
            x = 0.690,
            y = 0.549,
        },
        {
            id = 5075,
            x = 0.605,
            y = 0.329,
        },
        {
            id = 5075,
            x = 0.722,
            y = 0.665,
        },
        {
            id = 3860,
            x = 0.596,
            y = 0.511,
        },
        {
            id = 3594,
            x = 0.272,
            y = 0.836,
        },
        {
            id = 3990,
            x = 0.593,
            y = 0.618,
        },
        {
            id = 5075,
            x = 0.592,
            y = 0.619,
        },
        {
            id = 3990,
            x = 0.590,
            y = 0.620,
        },
        {
            id = 5074,
            x = 0.487,
            y = 0.448,
        },
        {
            id = 4831,
            x = 0.263,
            y = 0.392,
        },
        {
            id = 3860,
            x = 0.600,
            y = 0.504,
        },
        {
            id = 4054,
            x = 0.531,
            y = 0.509,
        },
        {
            id = 5075,
            x = 0.452,
            y = 0.525,
        },
        {
            id = 4474,
            x = 0.484,
            y = 0.437,
        },
        {
            id = 4831,
            x = 0.597,
            y = 0.507,
        },
        {
            id = 3589,
            x = 0.583,
            y = 0.350,
        },
        {
            id = 4435,
            x = 0.489,
            y = 0.475,
        },
        {
            id = 1294,
            x = 0.470,
            y = 0.410,
        },
        {
            id = 3598,
            x = 0.283,
            y = 0.956,
        },
        {
            id = 5075,
            x = 0.259,
            y = 0.395,
        },
        {
            id = 4435,
            x = 0.490,
            y = 0.480,
        },
        {
            id = 3858,
            x = 0.679,
            y = 0.535,
        },
        {
            id = 3990,
            x = 0.600,
            y = 0.619,
        },
        {
            id = 1294,
            x = 0.469,
            y = 0.410,
        },
        {
            id = 4493,
            x = 0.467,
            y = 0.412,
        },
    },
    ["deshaan/deepcragden_base"] = {
        {
            id = 3657,
            x = 0.206,
            y = 0.703,
        },
        {
            id = 3657,
            x = 0.211,
            y = 0.700,
        },
    },
    ["deshaan/deshaan_base"] = {
        {
            id = 4493,
            x = 0.861,
            y = 0.396,
        },
        {
            id = 3838,
            x = 0.791,
            y = 0.395,
        },
        {
            id = 3880,
            x = 0.860,
            y = 0.397,
        },
        {
            id = 3650,
            x = 0.887,
            y = 0.497,
        },
        {
            id = 3624,
            x = 0.870,
            y = 0.497,
        },
        {
            id = 3620,
            x = 0.833,
            y = 0.472,
        },
        {
            id = 3703,
            x = 0.252,
            y = 0.570,
        },
        {
            id = 3820,
            x = 0.652,
            y = 0.501,
        },
        {
            id = 3705,
            x = 0.319,
            y = 0.411,
        },
        {
            id = 3864,
            x = 0.345,
            y = 0.550,
        },
        {
            id = 3663,
            x = 0.428,
            y = 0.404,
        },
        {
            id = 3673,
            x = 0.283,
            y = 0.454,
        },
        {
            id = 3797,
            x = 0.349,
            y = 0.410,
        },
        {
            id = 3796,
            x = 0.302,
            y = 0.459,
        },
        {
            id = 3608,
            x = 0.283,
            y = 0.597,
        },
        {
            id = 3661,
            x = 0.395,
            y = 0.453,
        },
        {
            id = 5067,
            x = 0.129,
            y = 0.427,
        },
        {
            id = 3600,
            x = 0.157,
            y = 0.592,
        },
        {
            id = 4453,
            x = 0.423,
            y = 0.556,
        },
        {
            id = 3620,
            x = 0.831,
            y = 0.530,
        },
        {
            id = 4459,
            x = 0.419,
            y = 0.598,
        },
        {
            id = 3611,
            x = 0.273,
            y = 0.622,
        },
        {
            id = 5067,
            x = 0.130,
            y = 0.428,
        },
        {
            id = 4494,
            x = 0.190,
            y = 0.462,
        },
        {
            id = 3703,
            x = 0.252,
            y = 0.571,
        },
        {
            id = 3904,
            x = 0.712,
            y = 0.477,
        },
        {
            id = 3611,
            x = 0.252,
            y = 0.598,
        },
        {
            id = 5068,
            x = 0.145,
            y = 0.433,
        },
        {
            id = 3958,
            x = 0.145,
            y = 0.437,
        },
        {
            id = 5057,
            x = 0.138,
            y = 0.414,
        },
        {
            id = 4455,
            x = 0.646,
            y = 0.515,
        },
        {
            id = 3819,
            x = 0.775,
            y = 0.363,
        },
        {
            id = 4435,
            x = 0.797,
            y = 0.447,
        },
        {
            id = 3684,
            x = 0.777,
            y = 0.446,
        },
        {
            id = 3749,
            x = 0.866,
            y = 0.409,
        },
        {
            id = 4163,
            x = 0.400,
            y = 0.488,
        },
        {
            id = 3715,
            x = 0.849,
            y = 0.519,
        },
        {
            id = 3666,
            x = 0.798,
            y = 0.464,
        },
        {
            id = 3683,
            x = 0.761,
            y = 0.464,
        },
        {
            id = 3818,
            x = 0.699,
            y = 0.480,
        },
        {
            id = 3605,
            x = 0.128,
            y = 0.572,
        },
        {
            id = 3797,
            x = 0.349,
            y = 0.409,
        },
        {
            id = 3956,
            x = 0.322,
            y = 0.475,
        },
        {
            id = 3652,
            x = 0.183,
            y = 0.526,
        },
        {
            id = 3958,
            x = 0.182,
            y = 0.457,
        },
        {
            id = 3651,
            x = 0.614,
            y = 0.557,
        },
        {
            id = 3908,
            x = 0.598,
            y = 0.328,
        },
        {
            id = 3852,
            x = 0.656,
            y = 0.479,
        },
        {
            id = 3728,
            x = 0.614,
            y = 0.557,
        },
        {
            id = 3918,
            x = 0.798,
            y = 0.447,
        },
        {
            id = 3600,
            x = 0.114,
            y = 0.575,
        },
        {
            id = 3958,
            x = 0.140,
            y = 0.440,
        },
        {
            id = 3715,
            x = 0.850,
            y = 0.519,
        },
        {
            id = 3604,
            x = 0.112,
            y = 0.615,
        },
        {
            id = 3903,
            x = 0.597,
            y = 0.328,
        },
        {
            id = 3818,
            x = 0.699,
            y = 0.479,
        },
        {
            id = 3612,
            x = 0.241,
            y = 0.505,
        },
        {
            id = 3703,
            x = 0.322,
            y = 0.622,
        },
        {
            id = 3656,
            x = 0.437,
            y = 0.648,
        },
        {
            id = 5057,
            x = 0.158,
            y = 0.418,
        },
        {
            id = 3593,
            x = 0.116,
            y = 0.527,
        },
        {
            id = 3703,
            x = 0.285,
            y = 0.580,
        },
        {
            id = 5057,
            x = 0.130,
            y = 0.427,
        },
        {
            id = 4455,
            x = 0.523,
            y = 0.576,
        },
        {
            id = 4495,
            x = 0.613,
            y = 0.557,
        },
        {
            id = 3749,
            x = 0.866,
            y = 0.412,
        },
        {
            id = 3820,
            x = 0.684,
            y = 0.527,
        },
        {
            id = 5057,
            x = 0.153,
            y = 0.407,
        },
        {
            id = 3880,
            x = 0.859,
            y = 0.397,
        },
        {
            id = 3796,
            x = 0.302,
            y = 0.460,
        },
        {
            id = 4552,
            x = 0.115,
            y = 0.527,
        },
        {
            id = 4493,
            x = 0.401,
            y = 0.487,
        },
        {
            id = 3605,
            x = 0.128,
            y = 0.570,
        },
        {
            id = 4494,
            x = 0.251,
            y = 0.478,
        },
        {
            id = 5057,
            x = 0.160,
            y = 0.414,
        },
        {
            id = 3666,
            x = 0.758,
            y = 0.475,
        },
        {
            id = 3797,
            x = 0.350,
            y = 0.410,
        },
        {
            id = 3703,
            x = 0.320,
            y = 0.600,
        },
        {
            id = 4493,
            x = 0.867,
            y = 0.410,
        },
        {
            id = 3838,
            x = 0.789,
            y = 0.396,
        },
        {
            id = 3611,
            x = 0.246,
            y = 0.605,
        },
        {
            id = 3703,
            x = 0.236,
            y = 0.602,
        },
        {
            id = 3893,
            x = 0.584,
            y = 0.378,
        },
        {
            id = 3818,
            x = 0.700,
            y = 0.481,
        },
        {
            id = 4493,
            x = 0.865,
            y = 0.409,
        },
        {
            id = 4493,
            x = 0.798,
            y = 0.464,
        },
        {
            id = 4607,
            x = 0.613,
            y = 0.557,
        },
        {
            id = 5103,
            x = 0.804,
            y = 0.410,
        },
        {
            id = 3624,
            x = 0.869,
            y = 0.496,
        },
        {
            id = 3620,
            x = 0.831,
            y = 0.529,
        },
        {
            id = 3818,
            x = 0.770,
            y = 0.410,
        },
        {
            id = 4455,
            x = 0.582,
            y = 0.540,
        },
        {
            id = 3820,
            x = 0.719,
            y = 0.499,
        },
        {
            id = 3818,
            x = 0.700,
            y = 0.479,
        },
        {
            id = 3820,
            x = 0.679,
            y = 0.442,
        },
        {
            id = 4552,
            x = 0.140,
            y = 0.439,
        },
        {
            id = 3818,
            x = 0.805,
            y = 0.406,
        },
        {
            id = 3880,
            x = 0.876,
            y = 0.411,
        },
        {
            id = 5057,
            x = 0.126,
            y = 0.413,
        },
        {
            id = 3728,
            x = 0.623,
            y = 0.558,
        },
        {
            id = 3820,
            x = 0.718,
            y = 0.538,
        },
    },
    ["stonefalls/dhalmora_base"] = {
        {
            id = 4041,
            x = 0.529,
            y = 0.533,
        },
        {
            id = 4024,
            x = 0.569,
            y = 0.452,
        },
        {
            id = 4041,
            x = 0.526,
            y = 0.528,
        },
        {
            id = 4041,
            x = 0.530,
            y = 0.533,
        },
        {
            id = 4024,
            x = 0.575,
            y = 0.452,
        },
        {
            id = 4024,
            x = 0.575,
            y = 0.449,
        },
        {
            id = 4041,
            x = 0.520,
            y = 0.540,
        },
        {
            id = 4024,
            x = 0.565,
            y = 0.438,
        },
        {
            id = 4024,
            x = 0.570,
            y = 0.447,
        },
        {
            id = 4041,
            x = 0.533,
            y = 0.528,
        },
        {
            id = 4041,
            x = 0.513,
            y = 0.547,
        },
        {
            id = 4041,
            x = 0.516,
            y = 0.532,
        },
        {
            id = 4041,
            x = 0.530,
            y = 0.540,
        },
        {
            id = 4831,
            x = 0.261,
            y = 0.635,
        },
    },
    ["alikr/divadschagrinmine_base"] = {
        {
            id = 4622,
            x = 0.144,
            y = 0.518,
        },
    },
    ["reapersmarch/dune_base"] = {
        {
            id = 4550,
            x = 0.119,
            y = 0.467,
        },
        {
            id = 4808,
            x = 0.143,
            y = 0.431,
        },
        {
            id = 4719,
            x = 0.639,
            y = 0.502,
        },
        {
            id = 4550,
            x = 0.119,
            y = 0.471,
        },
        {
            id = 4780,
            x = 0.639,
            y = 0.518,
        },
        {
            id = 4780,
            x = 0.640,
            y = 0.516,
        },
        {
            id = 4719,
            x = 0.647,
            y = 0.502,
        },
        {
            id = 4550,
            x = 0.120,
            y = 0.471,
        },
        {
            id = 4802,
            x = 0.121,
            y = 0.486,
        },
    },
    ["cyrodiil/eastelsweyrgate_base"] = {
        {
            id = 4704,
            x = 0.484,
            y = 0.448,
        },
        {
            id = 2613,
            x = 0.500,
            y = 0.397,
        },
        {
            id = 2608,
            x = 0.499,
            y = 0.400,
        },
        {
            id = 4704,
            x = 0.485,
            y = 0.451,
        },
        {
            id = 2612,
            x = 0.499,
            y = 0.399,
        },
        {
            id = 2759,
            x = 0.503,
            y = 0.434,
        },
        {
            id = 2609,
            x = 0.500,
            y = 0.400,
        },
        {
            id = 2917,
            x = 0.455,
            y = 0.480,
        },
        {
            id = 2917,
            x = 0.456,
            y = 0.479,
        },
        {
            id = 2700,
            x = 0.516,
            y = 0.423,
        },
        {
            id = 2918,
            x = 0.453,
            y = 0.480,
        },
        {
            id = 2613,
            x = 0.500,
            y = 0.400,
        },
        {
            id = 2675,
            x = 0.516,
            y = 0.424,
        },
        {
            id = 2702,
            x = 0.516,
            y = 0.423,
        },
        {
            id = 2939,
            x = 0.466,
            y = 0.470,
        },
        {
            id = 2915,
            x = 0.454,
            y = 0.480,
        },
        {
            id = 2674,
            x = 0.515,
            y = 0.423,
        },
        {
            id = 2958,
            x = 0.463,
            y = 0.472,
        },
        {
            id = 2699,
            x = 0.516,
            y = 0.424,
        },
        {
            id = 2611,
            x = 0.501,
            y = 0.398,
        },
        {
            id = 2698,
            x = 0.515,
            y = 0.424,
        },
        {
            id = 2923,
            x = 0.457,
            y = 0.479,
        },
        {
            id = 2929,
            x = 0.456,
            y = 0.479,
        },
        {
            id = 4704,
            x = 0.479,
            y = 0.442,
        },
        {
            id = 2752,
            x = 0.516,
            y = 0.424,
        },
        {
            id = 2947,
            x = 0.466,
            y = 0.470,
        },
        {
            id = 2922,
            x = 0.455,
            y = 0.478,
        },
        {
            id = 2676,
            x = 0.517,
            y = 0.422,
        },
        {
            id = 2728,
            x = 0.517,
            y = 0.423,
        },
        {
            id = 2924,
            x = 0.455,
            y = 0.480,
        },
        {
            id = 2937,
            x = 0.466,
            y = 0.471,
        },
        {
            id = 2612,
            x = 0.501,
            y = 0.401,
        },
        {
            id = 2697,
            x = 0.518,
            y = 0.422,
        },
        {
            id = 2609,
            x = 0.499,
            y = 0.400,
        },
        {
            id = 2920,
            x = 0.454,
            y = 0.478,
        },
        {
            id = 2701,
            x = 0.516,
            y = 0.423,
        },
        {
            id = 2609,
            x = 0.501,
            y = 0.398,
        },
        {
            id = 2611,
            x = 0.499,
            y = 0.400,
        },
        {
            id = 2723,
            x = 0.517,
            y = 0.422,
        },
        {
            id = 2919,
            x = 0.453,
            y = 0.480,
        },
        {
            id = 2750,
            x = 0.515,
            y = 0.423,
        },
        {
            id = 2954,
            x = 0.466,
            y = 0.470,
        },
        {
            id = 2926,
            x = 0.455,
            y = 0.480,
        },
        {
            id = 2747,
            x = 0.514,
            y = 0.425,
        },
        {
            id = 2920,
            x = 0.455,
            y = 0.480,
        },
        {
            id = 2741,
            x = 0.515,
            y = 0.424,
        },
        {
            id = 2610,
            x = 0.501,
            y = 0.399,
        },
        {
            id = 2731,
            x = 0.516,
            y = 0.424,
        },
        {
            id = 2708,
            x = 0.516,
            y = 0.425,
        },
        {
            id = 2677,
            x = 0.516,
            y = 0.424,
        },
        {
            id = 2749,
            x = 0.513,
            y = 0.426,
        },
        {
            id = 2756,
            x = 0.515,
            y = 0.425,
        },
        {
            id = 2611,
            x = 0.503,
            y = 0.404,
        },
    },
    ["eastmarch/eastmarch_base"] = {
        {
            id = 3973,
            x = 0.677,
            y = 0.585,
        },
        {
            id = 4075,
            x = 0.442,
            y = 0.542,
        },
        {
            id = 4099,
            x = 0.582,
            y = 0.475,
        },
        {
            id = 4588,
            x = 0.583,
            y = 0.555,
        },
        {
            id = 4062,
            x = 0.366,
            y = 0.414,
        },
        {
            id = 4118,
            x = 0.450,
            y = 0.496,
        },
        {
            id = 4075,
            x = 0.501,
            y = 0.490,
        },
        {
            id = 4096,
            x = 0.521,
            y = 0.509,
        },
        {
            id = 4104,
            x = 0.650,
            y = 0.513,
        },
        {
            id = 4118,
            x = 0.421,
            y = 0.568,
        },
        {
            id = 4075,
            x = 0.449,
            y = 0.558,
        },
        {
            id = 4126,
            x = 0.213,
            y = 0.617,
        },
        {
            id = 4037,
            x = 0.398,
            y = 0.293,
        },
        {
            id = 4034,
            x = 0.405,
            y = 0.303,
        },
        {
            id = 4071,
            x = 0.337,
            y = 0.382,
        },
        {
            id = 4177,
            x = 0.350,
            y = 0.406,
        },
        {
            id = 4062,
            x = 0.385,
            y = 0.363,
        },
        {
            id = 4018,
            x = 0.535,
            y = 0.330,
        },
        {
            id = 4056,
            x = 0.511,
            y = 0.419,
        },
        {
            id = 4055,
            x = 0.477,
            y = 0.430,
        },
        {
            id = 4030,
            x = 0.480,
            y = 0.404,
        },
        {
            id = 4043,
            x = 0.525,
            y = 0.337,
        },
        {
            id = 4075,
            x = 0.489,
            y = 0.508,
        },
        {
            id = 4034,
            x = 0.382,
            y = 0.303,
        },
        {
            id = 4118,
            x = 0.399,
            y = 0.572,
        },
        {
            id = 4212,
            x = 0.651,
            y = 0.628,
        },
        {
            id = 4118,
            x = 0.381,
            y = 0.453,
        },
        {
            id = 4070,
            x = 0.659,
            y = 0.571,
        },
        {
            id = 4070,
            x = 0.661,
            y = 0.572,
        },
        {
            id = 4204,
            x = 0.467,
            y = 0.595,
        },
        {
            id = 4115,
            x = 0.436,
            y = 0.637,
        },
        {
            id = 4206,
            x = 0.437,
            y = 0.384,
        },
        {
            id = 4205,
            x = 0.381,
            y = 0.678,
        },
        {
            id = 4086,
            x = 0.322,
            y = 0.452,
        },
        {
            id = 4169,
            x = 0.455,
            y = 0.675,
        },
        {
            id = 4104,
            x = 0.649,
            y = 0.513,
        },
        {
            id = 4138,
            x = 0.184,
            y = 0.595,
        },
        {
            id = 4118,
            x = 0.406,
            y = 0.464,
        },
        {
            id = 4117,
            x = 0.840,
            y = 0.493,
        },
        {
            id = 4123,
            x = 0.457,
            y = 0.674,
        },
        {
            id = 4069,
            x = 0.662,
            y = 0.605,
        },
        {
            id = 4116,
            x = 0.681,
            y = 0.516,
        },
        {
            id = 4075,
            x = 0.452,
            y = 0.558,
        },
        {
            id = 4087,
            x = 0.640,
            y = 0.563,
        },
        {
            id = 4096,
            x = 0.540,
            y = 0.497,
        },
        {
            id = 4106,
            x = 0.486,
            y = 0.512,
        },
        {
            id = 4078,
            x = 0.681,
            y = 0.578,
        },
        {
            id = 4095,
            x = 0.238,
            y = 0.436,
        },
        {
            id = 4150,
            x = 0.435,
            y = 0.636,
        },
        {
            id = 3919,
            x = 0.682,
            y = 0.578,
        },
        {
            id = 4055,
            x = 0.477,
            y = 0.429,
        },
        {
            id = 4177,
            x = 0.348,
            y = 0.405,
        },
        {
            id = 4018,
            x = 0.504,
            y = 0.348,
        },
        {
            id = 4141,
            x = 0.182,
            y = 0.612,
        },
        {
            id = 4069,
            x = 0.681,
            y = 0.577,
        },
    },
    ["cyrodiil/ava_ebonheart"] = {
        {
            id = 3662,
            x = 0.461,
            y = 0.685,
        },
        {
            id = 3645,
            x = 0.521,
            y = 0.255,
        },
        {
            id = 3865,
            x = 0.590,
            y = 0.780,
        },
        {
            id = 3863,
            x = 0.540,
            y = 0.509,
        },
        {
            id = 3645,
            x = 0.519,
            y = 0.253,
        },
        {
            id = 3865,
            x = 0.585,
            y = 0.833,
        },
        {
            id = 3645,
            x = 0.524,
            y = 0.414,
        },
        {
            id = 3667,
            x = 0.547,
            y = 0.189,
        },
        {
            id = 3858,
            x = 0.606,
            y = 0.592,
        },
        {
            id = 3662,
            x = 0.478,
            y = 0.754,
        },
        {
            id = 3667,
            x = 0.481,
            y = 0.855,
        },
        {
            id = 3865,
            x = 0.580,
            y = 0.834,
        },
        {
            id = 3667,
            x = 0.479,
            y = 0.853,
        },
        {
            id = 3667,
            x = 0.648,
            y = 0.767,
        },
        {
            id = 4435,
            x = 0.457,
            y = 0.583,
        },
        {
            id = 3916,
            x = 0.456,
            y = 0.572,
        },
        {
            id = 4474,
            x = 0.356,
            y = 0.590,
        },
        {
            id = 3667,
            x = 0.653,
            y = 0.768,
        },
        {
            id = 3639,
            x = 0.653,
            y = 0.769,
        },
        {
            id = 3639,
            x = 0.480,
            y = 0.859,
        },
        {
            id = 4474,
            x = 0.476,
            y = 0.754,
        },
        {
            id = 3667,
            x = 0.548,
            y = 0.190,
        },
        {
            id = 3639,
            x = 0.662,
            y = 0.747,
        },
        {
            id = 3639,
            x = 0.663,
            y = 0.768,
        },
        {
            id = 3667,
            x = 0.651,
            y = 0.772,
        },
        {
            id = 3639,
            x = 0.645,
            y = 0.251,
        },
        {
            id = 3667,
            x = 0.355,
            y = 0.591,
        },
        {
            id = 3667,
            x = 0.480,
            y = 0.860,
        },
        {
            id = 3858,
            x = 0.576,
            y = 0.602,
        },
        {
            id = 3639,
            x = 0.672,
            y = 0.750,
        },
        {
            id = 3639,
            x = 0.469,
            y = 0.610,
        },
        {
            id = 3858,
            x = 0.580,
            y = 0.593,
        },
        {
            id = 3858,
            x = 0.607,
            y = 0.588,
        },
        {
            id = 3667,
            x = 0.550,
            y = 0.187,
        },
        {
            id = 3639,
            x = 0.690,
            y = 0.786,
        },
        {
            id = 3667,
            x = 0.355,
            y = 0.589,
        },
        {
            id = 3639,
            x = 0.479,
            y = 0.853,
        },
        {
            id = 3863,
            x = 0.540,
            y = 0.610,
        },
        {
            id = 4474,
            x = 0.356,
            y = 0.588,
        },
        {
            id = 3639,
            x = 0.667,
            y = 0.756,
        },
        {
            id = 3639,
            x = 0.491,
            y = 0.866,
        },
        {
            id = 4474,
            x = 0.440,
            y = 0.650,
        },
        {
            id = 3858,
            x = 0.598,
            y = 0.581,
        },
        {
            id = 3639,
            x = 0.481,
            y = 0.861,
        },
        {
            id = 3858,
            x = 0.583,
            y = 0.606,
        },
        {
            id = 3667,
            x = 0.645,
            y = 0.770,
        },
        {
            id = 3639,
            x = 0.455,
            y = 0.578,
        },
        {
            id = 3865,
            x = 0.543,
            y = 0.615,
        },
        {
            id = 3639,
            x = 0.381,
            y = 0.792,
        },
        {
            id = 3667,
            x = 0.478,
            y = 0.861,
        },
        {
            id = 3863,
            x = 0.540,
            y = 0.609,
        },
        {
            id = 3863,
            x = 0.356,
            y = 0.590,
        },
    },
    ["deshaan/eidolonshollow2_base"] = {
        {
            id = 3831,
            x = 0.507,
            y = 0.092,
        },
        {
            id = 3810,
            x = 0.533,
            y = 0.777,
        },
        {
            id = 3831,
            x = 0.485,
            y = 0.088,
        },
        {
            id = 3810,
            x = 0.532,
            y = 0.782,
        },
        {
            id = 3831,
            x = 0.497,
            y = 0.094,
        },
        {
            id = 3831,
            x = 0.487,
            y = 0.090,
        },
        {
            id = 3831,
            x = 0.495,
            y = 0.087,
        },
        {
            id = 3831,
            x = 0.504,
            y = 0.088,
        },
    },
    ["grahtwood/eldenhollow_base"] = {
        {
            id = 4336,
            x = 0.356,
            y = 0.551,
        },
        {
            id = 4336,
            x = 0.361,
            y = 0.540,
        },
        {
            id = 4336,
            x = 0.357,
            y = 0.541,
        },
        {
            id = 4145,
            x = 0.139,
            y = 0.590,
        },
        {
            id = 4336,
            x = 0.356,
            y = 0.538,
        },
    },
    ["grahtwood/eldenrootgroundfloor_base"] = {
        {
            id = 4950,
            x = 0.676,
            y = 0.353,
        },
        {
            id = 4943,
            x = 0.730,
            y = 0.740,
        },
        {
            id = 5033,
            x = 0.668,
            y = 0.445,
        },
        {
            id = 4908,
            x = 0.403,
            y = 0.771,
        },
        {
            id = 4908,
            x = 0.645,
            y = 0.556,
        },
        {
            id = 4943,
            x = 0.657,
            y = 0.467,
        },
    },
    ["grahtwood/eldenrootthroneroom_base"] = {
        {
            id = 4943,
            x = 0.339,
            y = 0.428,
        },
        {
            id = 4951,
            x = 0.403,
            y = 0.526,
        },
        {
            id = 4922,
            x = 0.403,
            y = 0.526,
        },
    },
    ["rivenspire/erokii_base"] = {
        {
            id = 4840,
            x = 0.746,
            y = 0.365,
        },
        {
            id = 4840,
            x = 0.742,
            y = 0.358,
        },
        {
            id = 4840,
            x = 0.731,
            y = 0.366,
        },
    },
    ["bangkorai/evermore_base"] = {
        {
            id = 1799,
            x = 0.236,
            y = 0.599,
        },
        {
            id = 3280,
            x = 0.343,
            y = 0.503,
        },
        {
            id = 4981,
            x = 0.519,
            y = 0.343,
        },
        {
            id = 4981,
            x = 0.522,
            y = 0.349,
        },
        {
            id = 1799,
            x = 0.242,
            y = 0.601,
        },
        {
            id = 4988,
            x = 0.641,
            y = 0.724,
        },
        {
            id = 1799,
            x = 0.247,
            y = 0.594,
        },
        {
            id = 4980,
            x = 0.657,
            y = 0.217,
        },
        {
            id = 1799,
            x = 0.239,
            y = 0.600,
        },
        {
            id = 3281,
            x = 0.546,
            y = 0.617,
        },
        {
            id = 4981,
            x = 0.512,
            y = 0.339,
        },
    },
    ["guildmaps/eyevea_base"] = {
        {
            id = 4971,
            x = 0.529,
            y = 0.485,
        },
        {
            id = 4971,
            x = 0.530,
            y = 0.485,
        },
    },
    ["therift/ebonmeretower_base"] = {
        {
            id = 5011,
            x = 0.261,
            y = 0.489,
        },
    },
    ["auridon/firsthold_base"] = {
        {
            id = 4896,
            x = 0.502,
            y = 0.315,
        },
        {
            id = 4261,
            x = 0.505,
            y = 0.490,
        },
        {
            id = 4261,
            x = 0.501,
            y = 0.489,
        },
    },
    ["rivenspire/flyleafcatacombs_base"] = {
        {
            id = 657,
            x = 0.323,
            y = 0.191,
        },
        {
            id = 657,
            x = 0.319,
            y = 0.190,
        },
    },
    ["deshaan/forgottencrypts_base"] = {
        {
            id = 4151,
            x = 0.395,
            y = 0.436,
        },
        {
            id = 105,
            x = 0.360,
            y = 0.744,
        },
        {
            id = 105,
            x = 0.356,
            y = 0.745,
        },
        {
            id = 105,
            x = 0.368,
            y = 0.737,
        },
        {
            id = 4151,
            x = 0.388,
            y = 0.438,
        },
        {
            id = 4494,
            x = 0.354,
            y = 0.538,
        },
    },
    ["eastmarch/fortamol_base"] = {
        {
            id = 4150,
            x = 0.229,
            y = 0.096,
        },
        {
            id = 4166,
            x = 0.700,
            y = 0.424,
        },
        {
            id = 4150,
            x = 0.236,
            y = 0.105,
        },
        {
            id = 4218,
            x = 0.516,
            y = 0.060,
        },
        {
            id = 4150,
            x = 0.789,
            y = 0.093,
        },
        {
            id = 4203,
            x = 0.430,
            y = 0.756,
        },
        {
            id = 4150,
            x = 0.231,
            y = 0.098,
        },
        {
            id = 4158,
            x = 0.507,
            y = 0.340,
        },
        {
            id = 4158,
            x = 0.503,
            y = 0.339,
        },
        {
            id = 4218,
            x = 0.521,
            y = 0.069,
        },
        {
            id = 4166,
            x = 0.697,
            y = 0.425,
        },
        {
            id = 4203,
            x = 0.429,
            y = 0.755,
        },
        {
            id = 4126,
            x = 0.211,
            y = 0.306,
        },
    },
    ["therift/fortgreenwall_base"] = {
        {
            id = 5005,
            x = 0.328,
            y = 0.530,
        },
    },
    ["reapersmarch/fortsphinxmoth_base"] = {
        {
            id = 4717,
            x = 0.522,
            y = 0.210,
        },
        {
            id = 4717,
            x = 0.326,
            y = 0.146,
        },
        {
            id = 4717,
            x = 0.525,
            y = 0.200,
        },
    },
    ["guildmaps/fortvirakruin_base"] = {
        {
            id = 3633,
            x = 0.484,
            y = 0.883,
        },
        {
            id = 3633,
            x = 0.479,
            y = 0.883,
        },
        {
            id = 3633,
            x = 0.486,
            y = 0.890,
        },
        {
            id = 3633,
            x = 0.482,
            y = 0.876,
        },
        {
            id = 3633,
            x = 0.478,
            y = 0.879,
        },
        {
            id = 3633,
            x = 0.490,
            y = 0.880,
        },
        {
            id = 3633,
            x = 0.498,
            y = 0.877,
        },
        {
            id = 3633,
            x = 0.479,
            y = 0.893,
        },
    },
    ["stonefalls/fungalgrotto_base"] = {
        {
            id = 3993,
            x = 0.345,
            y = 0.774,
        },
        {
            id = 4107,
            x = 0.316,
            y = 0.460,
        },
        {
            id = 3993,
            x = 0.339,
            y = 0.777,
        },
        {
            id = 4303,
            x = 0.347,
            y = 0.797,
        },
        {
            id = 4303,
            x = 0.351,
            y = 0.794,
        },
    },
    ["shadowfen/gandranen_base"] = {
        {
            id = 4560,
            x = 0.731,
            y = 0.260,
        },
        {
            id = 4560,
            x = 0.729,
            y = 0.261,
        },
        {
            id = 4560,
            x = 0.734,
            y = 0.255,
        },
        {
            id = 4560,
            x = 0.725,
            y = 0.259,
        },
    },
    ["glenumbra/glenumbra_base"] = {
        {
            id = 3192,
            x = 0.746,
            y = 0.220,
        },
        {
            id = 3314,
            x = 0.554,
            y = 0.281,
        },
        {
            id = 3018,
            x = 0.544,
            y = 0.562,
        },
        {
            id = 3082,
            x = 0.622,
            y = 0.261,
        },
        {
            id = 3023,
            x = 0.582,
            y = 0.495,
        },
        {
            id = 3039,
            x = 0.607,
            y = 0.448,
        },
        {
            id = 2599,
            x = 0.432,
            y = 0.768,
        },
        {
            id = 3016,
            x = 0.432,
            y = 0.768,
        },
        {
            id = 3026,
            x = 0.434,
            y = 0.771,
        },
        {
            id = 3183,
            x = 0.349,
            y = 0.642,
        },
        {
            id = 3060,
            x = 0.407,
            y = 0.686,
        },
        {
            id = 4535,
            x = 0.338,
            y = 0.614,
        },
        {
            id = 3235,
            x = 0.338,
            y = 0.526,
        },
        {
            id = 3191,
            x = 0.374,
            y = 0.584,
        },
        {
            id = 3283,
            x = 0.339,
            y = 0.531,
        },
        {
            id = 3001,
            x = 0.479,
            y = 0.623,
        },
        {
            id = 3004,
            x = 0.508,
            y = 0.668,
        },
        {
            id = 3003,
            x = 0.509,
            y = 0.669,
        },
        {
            id = 3027,
            x = 0.518,
            y = 0.486,
        },
        {
            id = 3315,
            x = 0.439,
            y = 0.571,
        },
        {
            id = 3040,
            x = 0.538,
            y = 0.622,
        },
        {
            id = 4335,
            x = 0.494,
            y = 0.572,
        },
        {
            id = 3322,
            x = 0.438,
            y = 0.570,
        },
        {
            id = 3035,
            x = 0.677,
            y = 0.504,
        },
        {
            id = 3174,
            x = 0.537,
            y = 0.352,
        },
        {
            id = 3189,
            x = 0.534,
            y = 0.362,
        },
        {
            id = 4558,
            x = 0.525,
            y = 0.327,
        },
        {
            id = 3064,
            x = 0.564,
            y = 0.399,
        },
        {
            id = 3267,
            x = 0.521,
            y = 0.333,
        },
        {
            id = 3192,
            x = 0.746,
            y = 0.219,
        },
        {
            id = 3019,
            x = 0.442,
            y = 0.406,
        },
        {
            id = 3020,
            x = 0.398,
            y = 0.425,
        },
        {
            id = 4340,
            x = 0.483,
            y = 0.361,
        },
        {
            id = 3001,
            x = 0.467,
            y = 0.657,
        },
        {
            id = 3023,
            x = 0.602,
            y = 0.474,
        },
        {
            id = 3063,
            x = 0.389,
            y = 0.669,
        },
        {
            id = 3416,
            x = 0.259,
            y = 0.482,
        },
        {
            id = 4341,
            x = 0.430,
            y = 0.315,
        },
        {
            id = 3019,
            x = 0.451,
            y = 0.431,
        },
        {
            id = 4535,
            x = 0.284,
            y = 0.652,
        },
        {
            id = 3414,
            x = 0.375,
            y = 0.710,
        },
        {
            id = 3009,
            x = 0.426,
            y = 0.775,
        },
        {
            id = 3047,
            x = 0.493,
            y = 0.517,
        },
        {
            id = 3082,
            x = 0.665,
            y = 0.284,
        },
        {
            id = 3049,
            x = 0.462,
            y = 0.490,
        },
        {
            id = 3338,
            x = 0.624,
            y = 0.263,
        },
        {
            id = 3412,
            x = 0.624,
            y = 0.264,
        },
        {
            id = 3285,
            x = 0.783,
            y = 0.298,
        },
        {
            id = 3337,
            x = 0.635,
            y = 0.254,
        },
        {
            id = 3509,
            x = 0.708,
            y = 0.313,
        },
        {
            id = 3315,
            x = 0.439,
            y = 0.570,
        },
        {
            id = 3277,
            x = 0.593,
            y = 0.234,
        },
        {
            id = 3357,
            x = 0.667,
            y = 0.177,
        },
        {
            id = 3314,
            x = 0.555,
            y = 0.279,
        },
        {
            id = 3001,
            x = 0.462,
            y = 0.678,
        },
        {
            id = 3003,
            x = 0.510,
            y = 0.668,
        },
        {
            id = 3001,
            x = 0.463,
            y = 0.704,
        },
        {
            id = 4528,
            x = 0.599,
            y = 0.398,
        },
        {
            id = 974,
            x = 0.547,
            y = 0.563,
        },
        {
            id = 3440,
            x = 0.312,
            y = 0.395,
        },
        {
            id = 3013,
            x = 0.544,
            y = 0.562,
        },
        {
            id = 3063,
            x = 0.389,
            y = 0.670,
        },
        {
            id = 3330,
            x = 0.516,
            y = 0.490,
        },
        {
            id = 3509,
            x = 0.663,
            y = 0.283,
        },
        {
            id = 3184,
            x = 0.543,
            y = 0.562,
        },
        {
            id = 3183,
            x = 0.350,
            y = 0.642,
        },
        {
            id = 3019,
            x = 0.493,
            y = 0.439,
        },
        {
            id = 3416,
            x = 0.324,
            y = 0.382,
        },
        {
            id = 3330,
            x = 0.516,
            y = 0.489,
        },
        {
            id = 3509,
            x = 0.638,
            y = 0.338,
        },
        {
            id = 3001,
            x = 0.488,
            y = 0.704,
        },
        {
            id = 3416,
            x = 0.234,
            y = 0.488,
        },
        {
            id = 3019,
            x = 0.380,
            y = 0.386,
        },
        {
            id = 3509,
            x = 0.738,
            y = 0.312,
        },
        {
            id = 3050,
            x = 0.697,
            y = 0.261,
        },
        {
            id = 3322,
            x = 0.437,
            y = 0.571,
        },
        {
            id = 3414,
            x = 0.375,
            y = 0.708,
        },
        {
            id = 974,
            x = 0.535,
            y = 0.581,
        },
        {
            id = 3060,
            x = 0.391,
            y = 0.642,
        },
        {
            id = 4340,
            x = 0.442,
            y = 0.375,
        },
        {
            id = 3050,
            x = 0.721,
            y = 0.234,
        },
        {
            id = 3019,
            x = 0.494,
            y = 0.440,
        },
        {
            id = 3050,
            x = 0.715,
            y = 0.257,
        },
        {
            id = 4340,
            x = 0.395,
            y = 0.358,
        },
        {
            id = 3009,
            x = 0.379,
            y = 0.759,
        },
        {
            id = 4340,
            x = 0.409,
            y = 0.372,
        },
        {
            id = 3009,
            x = 0.378,
            y = 0.760,
        },
        {
            id = 3039,
            x = 0.682,
            y = 0.454,
        },
        {
            id = 3440,
            x = 0.226,
            y = 0.452,
        },
        {
            id = 3059,
            x = 0.770,
            y = 0.209,
        },
        {
            id = 3064,
            x = 0.563,
            y = 0.400,
        },
        {
            id = 3019,
            x = 0.429,
            y = 0.382,
        },
        {
            id = 3060,
            x = 0.381,
            y = 0.667,
        },
        {
            id = 3039,
            x = 0.632,
            y = 0.409,
        },
        {
            id = 3050,
            x = 0.774,
            y = 0.170,
        },
        {
            id = 3050,
            x = 0.694,
            y = 0.257,
        },
        {
            id = 3019,
            x = 0.379,
            y = 0.386,
        },
        {
            id = 3509,
            x = 0.728,
            y = 0.271,
        },
        {
            id = 4474,
            x = 0.496,
            y = 0.573,
        },
        {
            id = 3509,
            x = 0.661,
            y = 0.323,
        },
        {
            id = 3059,
            x = 0.770,
            y = 0.185,
        },
        {
            id = 4054,
            x = 0.712,
            y = 0.340,
        },
        {
            id = 3050,
            x = 0.709,
            y = 0.262,
        },
        {
            id = 3001,
            x = 0.480,
            y = 0.623,
        },
        {
            id = 3019,
            x = 0.430,
            y = 0.382,
        },
        {
            id = 3509,
            x = 0.687,
            y = 0.315,
        },
        {
            id = 4552,
            x = 0.714,
            y = 0.255,
        },
        {
            id = 4340,
            x = 0.470,
            y = 0.380,
        },
        {
            id = 3059,
            x = 0.736,
            y = 0.217,
        },
        {
            id = 4474,
            x = 0.375,
            y = 0.708,
        },
        {
            id = 4552,
            x = 0.472,
            y = 0.356,
        },
        {
            id = 4528,
            x = 0.600,
            y = 0.397,
        },
        {
            id = 3059,
            x = 0.740,
            y = 0.184,
        },
        {
            id = 3059,
            x = 0.769,
            y = 0.184,
        },
        {
            id = 3050,
            x = 0.773,
            y = 0.232,
        },
        {
            id = 4767,
            x = 0.712,
            y = 0.341,
        },
        {
            id = 4474,
            x = 0.462,
            y = 0.678,
        },
        {
            id = 3064,
            x = 0.532,
            y = 0.428,
        },
        {
            id = 3050,
            x = 0.714,
            y = 0.230,
        },
        {
            id = 3023,
            x = 0.657,
            y = 0.496,
        },
        {
            id = 3059,
            x = 0.770,
            y = 0.210,
        },
        {
            id = 4340,
            x = 0.471,
            y = 0.379,
        },
        {
            id = 4552,
            x = 0.752,
            y = 0.191,
        },
        {
            id = 4054,
            x = 0.715,
            y = 0.403,
        },
        {
            id = 3416,
            x = 0.260,
            y = 0.482,
        },
        {
            id = 3059,
            x = 0.739,
            y = 0.184,
        },
        {
            id = 3509,
            x = 0.634,
            y = 0.319,
        },
    },
    ["grahtwood/grahtwood_base"] = {
        {
            id = 4976,
            x = 0.433,
            y = 0.741,
        },
        {
            id = 4976,
            x = 0.629,
            y = 0.636,
        },
        {
            id = 4868,
            x = 0.426,
            y = 0.747,
        },
        {
            id = 4885,
            x = 0.472,
            y = 0.524,
        },
        {
            id = 4833,
            x = 0.753,
            y = 0.626,
        },
        {
            id = 4768,
            x = 0.551,
            y = 0.743,
        },
        {
            id = 4773,
            x = 0.471,
            y = 0.707,
        },
        {
            id = 4833,
            x = 0.783,
            y = 0.604,
        },
        {
            id = 4882,
            x = 0.650,
            y = 0.740,
        },
        {
            id = 4974,
            x = 0.467,
            y = 0.751,
        },
        {
            id = 4963,
            x = 0.553,
            y = 0.663,
        },
        {
            id = 4436,
            x = 0.630,
            y = 0.725,
        },
        {
            id = 4954,
            x = 0.195,
            y = 0.133,
        },
        {
            id = 4385,
            x = 0.499,
            y = 0.249,
        },
        {
            id = 4854,
            x = 0.534,
            y = 0.351,
        },
        {
            id = 4842,
            x = 0.727,
            y = 0.404,
        },
        {
            id = 4977,
            x = 0.456,
            y = 0.477,
        },
        {
            id = 4939,
            x = 0.616,
            y = 0.405,
        },
        {
            id = 4917,
            x = 0.576,
            y = 0.251,
        },
        {
            id = 4914,
            x = 0.330,
            y = 0.413,
        },
        {
            id = 4773,
            x = 0.437,
            y = 0.658,
        },
        {
            id = 4914,
            x = 0.356,
            y = 0.509,
        },
        {
            id = 4946,
            x = 0.766,
            y = 0.601,
        },
        {
            id = 4339,
            x = 0.657,
            y = 0.599,
        },
        {
            id = 4842,
            x = 0.684,
            y = 0.479,
        },
        {
            id = 4975,
            x = 0.449,
            y = 0.387,
        },
        {
            id = 4974,
            x = 0.589,
            y = 0.367,
        },
        {
            id = 4768,
            x = 0.559,
            y = 0.769,
        },
        {
            id = 4339,
            x = 0.657,
            y = 0.600,
        },
        {
            id = 4917,
            x = 0.546,
            y = 0.242,
        },
        {
            id = 4398,
            x = 0.207,
            y = 0.282,
        },
        {
            id = 4397,
            x = 0.210,
            y = 0.287,
        },
        {
            id = 4768,
            x = 0.518,
            y = 0.754,
        },
        {
            id = 4854,
            x = 0.603,
            y = 0.320,
        },
        {
            id = 4773,
            x = 0.487,
            y = 0.634,
        },
        {
            id = 4768,
            x = 0.496,
            y = 0.764,
        },
        {
            id = 4842,
            x = 0.735,
            y = 0.492,
        },
        {
            id = 4842,
            x = 0.695,
            y = 0.448,
        },
        {
            id = 4915,
            x = 0.359,
            y = 0.355,
        },
        {
            id = 4395,
            x = 0.240,
            y = 0.276,
        },
        {
            id = 4968,
            x = 0.469,
            y = 0.430,
        },
        {
            id = 4974,
            x = 0.441,
            y = 0.377,
        },
        {
            id = 4977,
            x = 0.318,
            y = 0.559,
        },
        {
            id = 4842,
            x = 0.764,
            y = 0.475,
        },
        {
            id = 4885,
            x = 0.443,
            y = 0.508,
        },
        {
            id = 4974,
            x = 0.376,
            y = 0.452,
        },
        {
            id = 4977,
            x = 0.322,
            y = 0.631,
        },
        {
            id = 4977,
            x = 0.346,
            y = 0.586,
        },
        {
            id = 4977,
            x = 0.277,
            y = 0.582,
        },
        {
            id = 4885,
            x = 0.421,
            y = 0.576,
        },
        {
            id = 4885,
            x = 0.386,
            y = 0.582,
        },
        {
            id = 4908,
            x = 0.517,
            y = 0.403,
        },
        {
            id = 4895,
            x = 0.565,
            y = 0.370,
        },
        {
            id = 4815,
            x = 0.594,
            y = 0.307,
        },
        {
            id = 4815,
            x = 0.599,
            y = 0.287,
        },
        {
            id = 4815,
            x = 0.610,
            y = 0.335,
        },
        {
            id = 4815,
            x = 0.657,
            y = 0.350,
        },
        {
            id = 4842,
            x = 0.751,
            y = 0.442,
        },
        {
            id = 4842,
            x = 0.715,
            y = 0.497,
        },
        {
            id = 4842,
            x = 0.717,
            y = 0.424,
        },
        {
            id = 4833,
            x = 0.757,
            y = 0.531,
        },
        {
            id = 4917,
            x = 0.602,
            y = 0.244,
        },
        {
            id = 4917,
            x = 0.575,
            y = 0.194,
        },
        {
            id = 4395,
            x = 0.257,
            y = 0.245,
        },
        {
            id = 4984,
            x = 0.300,
            y = 0.376,
        },
        {
            id = 4895,
            x = 0.382,
            y = 0.437,
        },
    },
    ["greenshade/greenshade_base"] = {
        {
            id = 4601,
            x = 0.363,
            y = 0.273,
        },
        {
            id = 4575,
            x = 0.267,
            y = 0.629,
        },
        {
            id = 4596,
            x = 0.638,
            y = 0.686,
        },
        {
            id = 4546,
            x = 0.698,
            y = 0.455,
        },
        {
            id = 4853,
            x = 0.451,
            y = 0.840,
        },
        {
            id = 4575,
            x = 0.351,
            y = 0.642,
        },
        {
            id = 4593,
            x = 0.646,
            y = 0.658,
        },
        {
            id = 4657,
            x = 0.665,
            y = 0.697,
        },
        {
            id = 4611,
            x = 0.315,
            y = 0.683,
        },
        {
            id = 4850,
            x = 0.369,
            y = 0.311,
        },
        {
            id = 4750,
            x = 0.606,
            y = 0.761,
        },
        {
            id = 4586,
            x = 0.609,
            y = 0.757,
        },
        {
            id = 4795,
            x = 0.376,
            y = 0.652,
        },
        {
            id = 4699,
            x = 0.705,
            y = 0.749,
        },
        {
            id = 5072,
            x = 0.562,
            y = 0.832,
        },
        {
            id = 4546,
            x = 0.629,
            y = 0.382,
        },
        {
            id = 4784,
            x = 0.438,
            y = 0.469,
        },
        {
            id = 4787,
            x = 0.612,
            y = 0.386,
        },
        {
            id = 4821,
            x = 0.240,
            y = 0.367,
        },
        {
            id = 4573,
            x = 0.662,
            y = 0.615,
        },
        {
            id = 4771,
            x = 0.510,
            y = 0.486,
        },
        {
            id = 4850,
            x = 0.566,
            y = 0.309,
        },
        {
            id = 4636,
            x = 0.360,
            y = 0.225,
        },
        {
            id = 4611,
            x = 0.299,
            y = 0.743,
        },
        {
            id = 4827,
            x = 0.293,
            y = 0.533,
        },
        {
            id = 5063,
            x = 0.549,
            y = 0.672,
        },
        {
            id = 4828,
            x = 0.499,
            y = 0.727,
        },
        {
            id = 5080,
            x = 0.556,
            y = 0.823,
        },
        {
            id = 4611,
            x = 0.360,
            y = 0.738,
        },
        {
            id = 4601,
            x = 0.437,
            y = 0.373,
        },
        {
            id = 4792,
            x = 0.598,
            y = 0.794,
        },
        {
            id = 4739,
            x = 0.283,
            y = 0.404,
        },
        {
            id = 4765,
            x = 0.216,
            y = 0.368,
        },
        {
            id = 4699,
            x = 0.686,
            y = 0.839,
        },
        {
            id = 4785,
            x = 0.401,
            y = 0.237,
        },
        {
            id = 4690,
            x = 0.484,
            y = 0.277,
        },
        {
            id = 4850,
            x = 0.692,
            y = 0.438,
        },
        {
            id = 4848,
            x = 0.334,
            y = 0.812,
        },
        {
            id = 4615,
            x = 0.345,
            y = 0.716,
        },
        {
            id = 5006,
            x = 0.461,
            y = 0.223,
        },
        {
            id = 4826,
            x = 0.562,
            y = 0.403,
        },
        {
            id = 4821,
            x = 0.239,
            y = 0.367,
        },
        {
            id = 4788,
            x = 0.483,
            y = 0.421,
        },
        {
            id = 4735,
            x = 0.697,
            y = 0.461,
        },
        {
            id = 4575,
            x = 0.277,
            y = 0.572,
        },
        {
            id = 4608,
            x = 0.595,
            y = 0.341,
        },
        {
            id = 4601,
            x = 0.471,
            y = 0.319,
        },
        {
            id = 4608,
            x = 0.520,
            y = 0.319,
        },
        {
            id = 4601,
            x = 0.471,
            y = 0.351,
        },
        {
            id = 4601,
            x = 0.455,
            y = 0.386,
        },
        {
            id = 4790,
            x = 0.474,
            y = 0.266,
        },
    },
    ["greenshade/gurzagsmine_base"] = {
        {
            id = 4770,
            x = 0.735,
            y = 0.477,
        },
        {
            id = 4770,
            x = 0.729,
            y = 0.480,
        },
        {
            id = 4770,
            x = 0.732,
            y = 0.480,
        },
    },
    ["bangkorai/hallofheroes_base"] = {
        {
            id = 4780,
            x = 0.742,
            y = 0.241,
        },
        {
            id = 4780,
            x = 0.742,
            y = 0.234,
        },
        {
            id = 4960,
            x = 0.725,
            y = 0.603,
        },
    },
    ["eastmarch/hallofthedead_base"] = {
        {
            id = 4316,
            x = 0.394,
            y = 0.562,
        },
        {
            id = 4322,
            x = 0.472,
            y = 0.336,
        },
        {
            id = 4316,
            x = 0.416,
            y = 0.124,
        },
        {
            id = 4316,
            x = 0.413,
            y = 0.133,
        },
        {
            id = 4322,
            x = 0.465,
            y = 0.340,
        },
    },
    ["bangkorai/hallinsstand_base"] = {
        {
            id = 2018,
            x = 0.451,
            y = 0.637,
        },
        {
            id = 2016,
            x = 0.560,
            y = 0.293,
        },
        {
            id = 2018,
            x = 0.449,
            y = 0.638,
        },
        {
            id = 2018,
            x = 0.450,
            y = 0.641,
        },
        {
            id = 2017,
            x = 0.524,
            y = 0.388,
        },
        {
            id = 4918,
            x = 0.306,
            y = 0.498,
        },
        {
            id = 2016,
            x = 0.547,
            y = 0.493,
        },
    },
    ["grahtwood/haven_base"] = {
        {
            id = 4396,
            x = 0.769,
            y = 0.668,
        },
        {
            id = 4404,
            x = 0.553,
            y = 0.288,
        },
        {
            id = 4396,
            x = 0.862,
            y = 0.707,
        },
        {
            id = 4404,
            x = 0.743,
            y = 0.509,
        },
        {
            id = 4405,
            x = 0.553,
            y = 0.288,
        },
        {
            id = 4396,
            x = 0.808,
            y = 0.801,
        },
        {
            id = 4953,
            x = 0.355,
            y = 0.344,
        },
    },
    ["rivenspire/hoarfrost_base"] = {
        {
            id = 5021,
            x = 0.398,
            y = 0.578,
        },
        {
            id = 5022,
            x = 0.396,
            y = 0.581,
        },
        {
            id = 5022,
            x = 0.401,
            y = 0.582,
        },
        {
            id = 5021,
            x = 0.401,
            y = 0.580,
        },
        {
            id = 5020,
            x = 0.350,
            y = 0.445,
        },
        {
            id = 5022,
            x = 0.386,
            y = 0.579,
        },
        {
            id = 5020,
            x = 0.356,
            y = 0.455,
        },
        {
            id = 5020,
            x = 0.662,
            y = 0.725,
        },
        {
            id = 5021,
            x = 0.393,
            y = 0.582,
        },
        {
            id = 5022,
            x = 0.406,
            y = 0.573,
        },
    },
    ["stonefalls/hozzinsfolley_base"] = {
        {
            id = 3996,
            x = 0.697,
            y = 0.691,
        },
        {
            id = 4016,
            x = 0.694,
            y = 0.690,
        },
    },
    ["alikr/imperviousvault_base"] = {
        {
            id = 3566,
            x = 0.737,
            y = 0.523,
        },
        {
            id = 3566,
            x = 0.736,
            y = 0.533,
        },
        {
            id = 3566,
            x = 0.741,
            y = 0.532,
        },
    },
    ["reapersmarch/khajrawlith_base"] = {
        {
            id = 4689,
            x = 0.456,
            y = 0.389,
        },
        {
            id = 4689,
            x = 0.466,
            y = 0.394,
        },
    },
    ["auridon/khenarthisroost_base"] = {
        {
            id = 4692,
            x = 0.455,
            y = 0.658,
        },
        {
            id = 4673,
            x = 0.271,
            y = 0.357,
        },
        {
            id = 4680,
            x = 0.563,
            y = 0.808,
        },
        {
            id = 4620,
            x = 0.363,
            y = 0.742,
        },
        {
            id = 4625,
            x = 0.733,
            y = 0.622,
        },
        {
            id = 4667,
            x = 0.571,
            y = 0.597,
        },
        {
            id = 4693,
            x = 0.609,
            y = 0.651,
        },
        {
            id = 4625,
            x = 0.646,
            y = 0.574,
        },
        {
            id = 4680,
            x = 0.564,
            y = 0.810,
        },
        {
            id = 4667,
            x = 0.361,
            y = 0.500,
        },
        {
            id = 4664,
            x = 0.361,
            y = 0.500,
        },
        {
            id = 4673,
            x = 0.301,
            y = 0.374,
        },
        {
            id = 4620,
            x = 0.382,
            y = 0.684,
        },
        {
            id = 4625,
            x = 0.654,
            y = 0.582,
        },
        {
            id = 4664,
            x = 0.235,
            y = 0.559,
        },
        {
            id = 4667,
            x = 0.529,
            y = 0.686,
        },
        {
            id = 4667,
            x = 0.400,
            y = 0.761,
        },
        {
            id = 4624,
            x = 0.537,
            y = 0.452,
        },
        {
            id = 4667,
            x = 0.399,
            y = 0.764,
        },
        {
            id = 4620,
            x = 0.350,
            y = 0.774,
        },
        {
            id = 4625,
            x = 0.670,
            y = 0.569,
        },
        {
            id = 4625,
            x = 0.643,
            y = 0.568,
        },
        {
            id = 4831,
            x = 0.776,
            y = 0.563,
        },
        {
            id = 4818,
            x = 0.610,
            y = 0.298,
        },
        {
            id = 4625,
            x = 0.654,
            y = 0.554,
        },
        {
            id = 4664,
            x = 0.706,
            y = 0.558,
        },
        {
            id = 4625,
            x = 0.727,
            y = 0.620,
        },
        {
            id = 4621,
            x = 0.456,
            y = 0.426,
        },
        {
            id = 4831,
            x = 0.747,
            y = 0.439,
        },
        {
            id = 4625,
            x = 0.647,
            y = 0.584,
        },
        {
            id = 4667,
            x = 0.581,
            y = 0.729,
        },
        {
            id = 4624,
            x = 0.502,
            y = 0.410,
        },
        {
            id = 4664,
            x = 0.309,
            y = 0.449,
        },
        {
            id = 4620,
            x = 0.380,
            y = 0.717,
        },
        {
            id = 4664,
            x = 0.307,
            y = 0.450,
        },
        {
            id = 4664,
            x = 0.254,
            y = 0.561,
        },
        {
            id = 4693,
            x = 0.667,
            y = 0.697,
        },
        {
            id = 4664,
            x = 0.268,
            y = 0.351,
        },
        {
            id = 4664,
            x = 0.741,
            y = 0.546,
        },
        {
            id = 4625,
            x = 0.655,
            y = 0.603,
        },
        {
            id = 4664,
            x = 0.711,
            y = 0.398,
        },
        {
            id = 4620,
            x = 0.367,
            y = 0.670,
        },
        {
            id = 4620,
            x = 0.313,
            y = 0.624,
        },
        {
            id = 4625,
            x = 0.651,
            y = 0.618,
        },
        {
            id = 4664,
            x = 0.776,
            y = 0.563,
        },
        {
            id = 4831,
            x = 0.616,
            y = 0.296,
        },
        {
            id = 4667,
            x = 0.531,
            y = 0.687,
        },
        {
            id = 4673,
            x = 0.299,
            y = 0.373,
        },
        {
            id = 4625,
            x = 0.636,
            y = 0.579,
        },
        {
            id = 4818,
            x = 0.610,
            y = 0.300,
        },
        {
            id = 4664,
            x = 0.451,
            y = 0.640,
        },
        {
            id = 4831,
            x = 0.552,
            y = 0.839,
        },
        {
            id = 4693,
            x = 0.610,
            y = 0.650,
        },
        {
            id = 4625,
            x = 0.649,
            y = 0.559,
        },
        {
            id = 4620,
            x = 0.348,
            y = 0.775,
        },
        {
            id = 4667,
            x = 0.656,
            y = 0.476,
        },
        {
            id = 4818,
            x = 0.609,
            y = 0.300,
        },
        {
            id = 4620,
            x = 0.352,
            y = 0.656,
        },
        {
            id = 4693,
            x = 0.710,
            y = 0.693,
        },
        {
            id = 4667,
            x = 0.580,
            y = 0.730,
        },
        {
            id = 4667,
            x = 0.583,
            y = 0.731,
        },
        {
            id = 4625,
            x = 0.661,
            y = 0.584,
        },
        {
            id = 4673,
            x = 0.268,
            y = 0.356,
        },
        {
            id = 4667,
            x = 0.529,
            y = 0.567,
        },
        {
            id = 4625,
            x = 0.659,
            y = 0.578,
        },
        {
            id = 4625,
            x = 0.689,
            y = 0.494,
        },
        {
            id = 4667,
            x = 0.570,
            y = 0.600,
        },
        {
            id = 4625,
            x = 0.634,
            y = 0.560,
        },
        {
            id = 4625,
            x = 0.782,
            y = 0.471,
        },
        {
            id = 4625,
            x = 0.651,
            y = 0.594,
        },
        {
            id = 4664,
            x = 0.617,
            y = 0.637,
        },
        {
            id = 4620,
            x = 0.224,
            y = 0.426,
        },
        {
            id = 4625,
            x = 0.674,
            y = 0.592,
        },
        {
            id = 4693,
            x = 0.608,
            y = 0.649,
        },
        {
            id = 4664,
            x = 0.451,
            y = 0.639,
        },
        {
            id = 4625,
            x = 0.731,
            y = 0.617,
        },
        {
            id = 4620,
            x = 0.368,
            y = 0.669,
        },
        {
            id = 4625,
            x = 0.656,
            y = 0.625,
        },
        {
            id = 4625,
            x = 0.670,
            y = 0.574,
        },
    },
    ["bangkorai/jaggerjaw_base"] = {
        {
            id = 4925,
            x = 0.451,
            y = 0.474,
        },
    },
    ["stormhaven/koeglinvillage_base"] = {
        {
            id = 4443,
            x = 0.363,
            y = 0.339,
        },
        {
            id = 2556,
            x = 0.379,
            y = 0.329,
        },
        {
            id = 2558,
            x = 0.614,
            y = 0.509,
        },
        {
            id = 2556,
            x = 0.385,
            y = 0.335,
        },
        {
            id = 2556,
            x = 0.381,
            y = 0.325,
        },
        {
            id = 2558,
            x = 0.601,
            y = 0.515,
        },
        {
            id = 4443,
            x = 0.366,
            y = 0.344,
        },
        {
            id = 2558,
            x = 0.623,
            y = 0.501,
        },
        {
            id = 2558,
            x = 0.608,
            y = 0.505,
        },
        {
            id = 4443,
            x = 0.356,
            y = 0.343,
        },
        {
            id = 4443,
            x = 0.358,
            y = 0.338,
        },
        {
            id = 2558,
            x = 0.590,
            y = 0.512,
        },
        {
            id = 2556,
            x = 0.376,
            y = 0.338,
        },
        {
            id = 2558,
            x = 0.589,
            y = 0.497,
        },
        {
            id = 2558,
            x = 0.590,
            y = 0.505,
        },
        {
            id = 2558,
            x = 0.597,
            y = 0.496,
        },
        {
            id = 2558,
            x = 0.585,
            y = 0.503,
        },
        {
            id = 2556,
            x = 0.391,
            y = 0.330,
        },
    },
    ["alikr/kozanset_base"] = {
        {
            id = 2364,
            x = 0.435,
            y = 0.731,
        },
    },
    ["stonefalls/kragenmoor_base"] = {
        {
            id = 3697,
            x = 0.531,
            y = 0.651,
        },
        {
            id = 4435,
            x = 0.616,
            y = 0.562,
        },
        {
            id = 3788,
            x = 0.507,
            y = 0.354,
        },
        {
            id = 3696,
            x = 0.438,
            y = 0.427,
        },
        {
            id = 3698,
            x = 0.508,
            y = 0.355,
        },
        {
            id = 3789,
            x = 0.465,
            y = 0.453,
        },
        {
            id = 3858,
            x = 0.412,
            y = 0.570,
        },
        {
            id = 3695,
            x = 0.473,
            y = 0.226,
        },
        {
            id = 3789,
            x = 0.470,
            y = 0.453,
        },
        {
            id = 3695,
            x = 0.504,
            y = 0.361,
        },
        {
            id = 3698,
            x = 0.504,
            y = 0.360,
        },
        {
            id = 3697,
            x = 0.534,
            y = 0.661,
        },
        {
            id = 3695,
            x = 0.654,
            y = 0.264,
        },
        {
            id = 3697,
            x = 0.529,
            y = 0.653,
        },
        {
            id = 3695,
            x = 0.659,
            y = 0.259,
        },
        {
            id = 3695,
            x = 0.665,
            y = 0.266,
        },
    },
    ["reapersmarch/kunasdelve_base"] = {
        {
            id = 4749,
            x = 0.713,
            y = 0.563,
        },
        {
            id = 4749,
            x = 0.709,
            y = 0.561,
        },
        {
            id = 4749,
            x = 0.711,
            y = 0.559,
        },
        {
            id = 4749,
            x = 0.708,
            y = 0.559,
        },
    },
    ["deshaan/kwamacolony_base"] = {
        {
            id = 4494,
            x = 0.585,
            y = 0.453,
        },
        {
            id = 4494,
            x = 0.578,
            y = 0.455,
        },
    },
    ["coldharbor/lightlessoubliette_base"] = {
        {
            id = 4602,
            x = 0.702,
            y = 0.570,
        },
        {
            id = 4602,
            x = 0.702,
            y = 0.558,
        },
        {
            id = 4602,
            x = 0.700,
            y = 0.572,
        },
        {
            id = 4602,
            x = 0.699,
            y = 0.575,
        },
        {
            id = 4602,
            x = 0.699,
            y = 0.560,
        },
    },
    ["shadowfen/loriasel_base"] = {
        {
            id = 3911,
            x = 0.856,
            y = 0.351,
        },
        {
            id = 3910,
            x = 0.424,
            y = 0.203,
        },
        {
            id = 3910,
            x = 0.427,
            y = 0.210,
        },
        {
            id = 3910,
            x = 0.428,
            y = 0.194,
        },
        {
            id = 3910,
            x = 0.431,
            y = 0.207,
        },
        {
            id = 3910,
            x = 0.434,
            y = 0.212,
        },
        {
            id = 3912,
            x = 0.232,
            y = 0.595,
        },
        {
            id = 3912,
            x = 0.231,
            y = 0.588,
        },
        {
            id = 3910,
            x = 0.397,
            y = 0.620,
        },
        {
            id = 3911,
            x = 0.607,
            y = 0.691,
        },
    },
    ["alikr/lostcity_base"] = {
        {
            id = 3970,
            x = 0.400,
            y = 0.533,
        },
        {
            id = 3964,
            x = 0.490,
            y = 0.906,
        },
        {
            id = 3970,
            x = 0.399,
            y = 0.533,
        },
    },
    ["eastmarch/lostknifecave_base"] = {
        {
            id = 4128,
            x = 0.730,
            y = 0.269,
        },
        {
            id = 4128,
            x = 0.727,
            y = 0.270,
        },
        {
            id = 4128,
            x = 0.729,
            y = 0.269,
        },
    },
    ["malabaltor/malabaltor_base"] = {
        {
            id = 4161,
            x = 0.798,
            y = 0.551,
        },
        {
            id = 4101,
            x = 0.673,
            y = 0.609,
        },
        {
            id = 4101,
            x = 0.603,
            y = 0.545,
        },
        {
            id = 4161,
            x = 0.782,
            y = 0.587,
        },
        {
            id = 4103,
            x = 0.617,
            y = 0.590,
        },
        {
            id = 4101,
            x = 0.586,
            y = 0.550,
        },
        {
            id = 4285,
            x = 0.509,
            y = 0.620,
        },
        {
            id = 4475,
            x = 0.621,
            y = 0.692,
        },
        {
            id = 4124,
            x = 0.739,
            y = 0.381,
        },
        {
            id = 4101,
            x = 0.629,
            y = 0.604,
        },
        {
            id = 4085,
            x = 0.771,
            y = 0.530,
        },
        {
            id = 4475,
            x = 0.665,
            y = 0.684,
        },
        {
            id = 4101,
            x = 0.596,
            y = 0.542,
        },
        {
            id = 4129,
            x = 0.567,
            y = 0.410,
        },
        {
            id = 4497,
            x = 0.372,
            y = 0.610,
        },
        {
            id = 4129,
            x = 0.567,
            y = 0.409,
        },
        {
            id = 4475,
            x = 0.708,
            y = 0.674,
        },
        {
            id = 4285,
            x = 0.509,
            y = 0.619,
        },
        {
            id = 4091,
            x = 0.799,
            y = 0.408,
        },
        {
            id = 4500,
            x = 0.392,
            y = 0.399,
        },
        {
            id = 4085,
            x = 0.770,
            y = 0.529,
        },
        {
            id = 4111,
            x = 0.201,
            y = 0.448,
        },
        {
            id = 4119,
            x = 0.227,
            y = 0.541,
        },
        {
            id = 4112,
            x = 0.253,
            y = 0.414,
        },
        {
            id = 4089,
            x = 0.271,
            y = 0.572,
        },
        {
            id = 4089,
            x = 0.318,
            y = 0.586,
        },
        {
            id = 4111,
            x = 0.263,
            y = 0.448,
        },
        {
            id = 4119,
            x = 0.252,
            y = 0.521,
        },
        {
            id = 4285,
            x = 0.511,
            y = 0.619,
        },
        {
            id = 4464,
            x = 0.245,
            y = 0.559,
        },
        {
            id = 4155,
            x = 0.601,
            y = 0.704,
        },
        {
            id = 4288,
            x = 0.523,
            y = 0.354,
        },
        {
            id = 4089,
            x = 0.217,
            y = 0.577,
        },
        {
            id = 4291,
            x = 0.340,
            y = 0.576,
        },
        {
            id = 4456,
            x = 0.422,
            y = 0.489,
        },
        {
            id = 4124,
            x = 0.678,
            y = 0.792,
        },
        {
            id = 4285,
            x = 0.511,
            y = 0.620,
        },
        {
            id = 4477,
            x = 0.709,
            y = 0.674,
        },
        {
            id = 4142,
            x = 0.842,
            y = 0.221,
        },
        {
            id = 4085,
            x = 0.761,
            y = 0.572,
        },
        {
            id = 4129,
            x = 0.538,
            y = 0.379,
        },
        {
            id = 4091,
            x = 0.764,
            y = 0.506,
        },
        {
            id = 4089,
            x = 0.269,
            y = 0.570,
        },
        {
            id = 4155,
            x = 0.508,
            y = 0.681,
        },
        {
            id = 4156,
            x = 0.562,
            y = 0.777,
        },
        {
            id = 4544,
            x = 0.709,
            y = 0.438,
        },
        {
            id = 4143,
            x = 0.738,
            y = 0.359,
        },
        {
            id = 4515,
            x = 0.777,
            y = 0.248,
        },
        {
            id = 4144,
            x = 0.722,
            y = 0.378,
        },
        {
            id = 4229,
            x = 0.866,
            y = 0.156,
        },
        {
            id = 4165,
            x = 0.822,
            y = 0.176,
        },
        {
            id = 4111,
            x = 0.259,
            y = 0.498,
        },
        {
            id = 4101,
            x = 0.597,
            y = 0.552,
        },
        {
            id = 4108,
            x = 0.254,
            y = 0.585,
        },
        {
            id = 4103,
            x = 0.617,
            y = 0.588,
        },
        {
            id = 4155,
            x = 0.643,
            y = 0.793,
        },
        {
            id = 4373,
            x = 0.387,
            y = 0.406,
        },
        {
            id = 4092,
            x = 0.790,
            y = 0.440,
        },
        {
            id = 4452,
            x = 0.404,
            y = 0.556,
        },
        {
            id = 4129,
            x = 0.652,
            y = 0.400,
        },
        {
            id = 4124,
            x = 0.694,
            y = 0.669,
        },
        {
            id = 4131,
            x = 0.603,
            y = 0.348,
        },
        {
            id = 4497,
            x = 0.373,
            y = 0.608,
        },
        {
            id = 4130,
            x = 0.571,
            y = 0.293,
        },
        {
            id = 4500,
            x = 0.301,
            y = 0.398,
        },
        {
            id = 4464,
            x = 0.244,
            y = 0.560,
        },
        {
            id = 4161,
            x = 0.800,
            y = 0.551,
        },
        {
            id = 4515,
            x = 0.746,
            y = 0.314,
        },
        {
            id = 4155,
            x = 0.599,
            y = 0.704,
        },
        {
            id = 4337,
            x = 0.621,
            y = 0.691,
        },
    },
    ["greenshade/marbruk_base"] = {
        {
            id = 5088,
            x = 0.233,
            y = 0.682,
        },
        {
            id = 5088,
            x = 0.233,
            y = 0.678,
        },
        {
            id = 4791,
            x = 0.412,
            y = 0.510,
        },
        {
            id = 4824,
            x = 0.398,
            y = 0.280,
        },
        {
            id = 4573,
            x = 0.397,
            y = 0.335,
        },
    },
    ["auridon/mehrunesspite_base"] = {
        {
            id = 4532,
            x = 0.538,
            y = 0.604,
        },
    },
    ["glenumbra/minesofkhuras_base"] = {
        {
            id = 4531,
            x = 0.378,
            y = 0.754,
        },
    },
    ["auridon/mistral_base"] = {
        {
            id = 4621,
            x = 0.242,
            y = 0.416,
        },
        {
            id = 4621,
            x = 0.238,
            y = 0.422,
        },
        {
            id = 4621,
            x = 0.237,
            y = 0.417,
        },
        {
            id = 4624,
            x = 0.416,
            y = 0.361,
        },
        {
            id = 4621,
            x = 0.240,
            y = 0.423,
        },
        {
            id = 4624,
            x = 0.544,
            y = 0.509,
        },
        {
            id = 4624,
            x = 0.416,
            y = 0.359,
        },
        {
            id = 4624,
            x = 0.420,
            y = 0.359,
        },
        {
            id = 4831,
            x = 0.462,
            y = 0.294,
        },
        {
            id = 4624,
            x = 0.540,
            y = 0.510,
        },
    },
    ["grahtwood/mobarmine_base"] = {
        {
            id = 4966,
            x = 0.882,
            y = 0.753,
        },
    },
    ["deshaan/mournhold_base"] = {
        {
            id = 3809,
            x = 0.464,
            y = 0.575,
        },
        {
            id = 3817,
            x = 0.294,
            y = 0.810,
        },
        {
            id = 3787,
            x = 0.427,
            y = 0.696,
        },
        {
            id = 3787,
            x = 0.433,
            y = 0.693,
        },
        {
            id = 4453,
            x = 0.211,
            y = 0.461,
        },
        {
            id = 3809,
            x = 0.456,
            y = 0.573,
        },
        {
            id = 3893,
            x = 0.718,
            y = 0.519,
        },
        {
            id = 4163,
            x = 0.168,
            y = 0.430,
        },
        {
            id = 4435,
            x = 0.222,
            y = 0.664,
        },
        {
            id = 3893,
            x = 0.717,
            y = 0.520,
        },
        {
            id = 4453,
            x = 0.291,
            y = 0.814,
        },
        {
            id = 3885,
            x = 0.403,
            y = 0.800,
        },
        {
            id = 3918,
            x = 0.274,
            y = 0.696,
        },
        {
            id = 4453,
            x = 0.220,
            y = 0.466,
        },
        {
            id = 3885,
            x = 0.400,
            y = 0.799,
        },
        {
            id = 3817,
            x = 0.296,
            y = 0.807,
        },
        {
            id = 3918,
            x = 0.277,
            y = 0.701,
        },
        {
            id = 4607,
            x = 0.223,
            y = 0.665,
        },
        {
            id = 3918,
            x = 0.269,
            y = 0.701,
        },
        {
            id = 4453,
            x = 0.290,
            y = 0.816,
        },
        {
            id = 4783,
            x = 0.435,
            y = 0.823,
        },
        {
            id = 5033,
            x = 0.597,
            y = 0.566,
        },
        {
            id = 5033,
            x = 0.592,
            y = 0.559,
        },
    },
    ["deshaan/mzithumz_base"] = {
        {
            id = 3721,
            x = 0.334,
            y = 0.890,
        },
        {
            id = 3721,
            x = 0.337,
            y = 0.888,
        },
        {
            id = 3721,
            x = 0.340,
            y = 0.889,
        },
        {
            id = 3721,
            x = 0.341,
            y = 0.890,
        },
    },
    ["eastmarch/mzulft_base"] = {
        {
            id = 4105,
            x = 0.477,
            y = 0.685,
        },
    },
    ["greenshade/narilnagaia_base"] = {
        {
            id = 4846,
            x = 0.755,
            y = 0.627,
        },
    },
    ["deshaan/narsis_base"] = {
        {
            id = 3659,
            x = 0.508,
            y = 0.459,
        },
        {
            id = 3660,
            x = 0.522,
            y = 0.466,
        },
        {
            id = 3652,
            x = 0.519,
            y = 0.465,
        },
        {
            id = 3653,
            x = 0.323,
            y = 0.605,
        },
        {
            id = 3659,
            x = 0.508,
            y = 0.461,
        },
        {
            id = 3610,
            x = 0.680,
            y = 0.466,
        },
        {
            id = 3955,
            x = 0.406,
            y = 0.297,
        },
        {
            id = 3659,
            x = 0.510,
            y = 0.459,
        },
        {
            id = 4494,
            x = 0.673,
            y = 0.502,
        },
        {
            id = 3610,
            x = 0.351,
            y = 0.524,
        },
        {
            id = 3660,
            x = 0.519,
            y = 0.465,
        },
        {
            id = 3658,
            x = 0.291,
            y = 0.608,
        },
        {
            id = 3610,
            x = 0.357,
            y = 0.537,
        },
        {
            id = 3652,
            x = 0.525,
            y = 0.467,
        },
        {
            id = 3658,
            x = 0.290,
            y = 0.608,
        },
        {
            id = 3610,
            x = 0.349,
            y = 0.521,
        },
        {
            id = 3659,
            x = 0.510,
            y = 0.460,
        },
        {
            id = 3653,
            x = 0.316,
            y = 0.605,
        },
        {
            id = 3610,
            x = 0.346,
            y = 0.531,
        },
    },
    ["therift/nimalten_base"] = {
        {
            id = 4153,
            x = 0.425,
            y = 0.370,
        },
        {
            id = 4286,
            x = 0.590,
            y = 0.650,
        },
        {
            id = 4153,
            x = 0.589,
            y = 0.652,
        },
        {
            id = 4167,
            x = 0.545,
            y = 0.502,
        },
        {
            id = 3923,
            x = 0.669,
            y = 0.778,
        },
        {
            id = 4153,
            x = 0.454,
            y = 0.523,
        },
    },
    ["cyrodiil/northhighrockgate_base"] = {
        {
            id = 4704,
            x = 0.428,
            y = 0.687,
        },
        {
            id = 4704,
            x = 0.430,
            y = 0.684,
        },
        {
            id = 4869,
            x = 0.396,
            y = 0.603,
        },
        {
            id = 4870,
            x = 0.398,
            y = 0.603,
        },
    },
    ["cyrodiil/northmorrowgate_base"] = {
        {
            id = 4705,
            x = 0.833,
            y = 0.915,
        },
        {
            id = 2613,
            x = 0.405,
            y = 0.501,
        },
        {
            id = 2613,
            x = 0.410,
            y = 0.497,
        },
        {
            id = 2611,
            x = 0.410,
            y = 0.497,
        },
        {
            id = 2928,
            x = 0.522,
            y = 0.499,
        },
        {
            id = 2610,
            x = 0.407,
            y = 0.501,
        },
        {
            id = 2759,
            x = 0.522,
            y = 0.479,
        },
        {
            id = 2611,
            x = 0.409,
            y = 0.501,
        },
        {
            id = 2956,
            x = 0.529,
            y = 0.494,
        },
        {
            id = 2740,
            x = 0.513,
            y = 0.483,
        },
        {
            id = 4704,
            x = 0.482,
            y = 0.474,
        },
        {
            id = 2755,
            x = 0.512,
            y = 0.485,
        },
        {
            id = 2915,
            x = 0.521,
            y = 0.498,
        },
        {
            id = 2759,
            x = 0.520,
            y = 0.480,
        },
        {
            id = 2608,
            x = 0.408,
            y = 0.502,
        },
        {
            id = 2758,
            x = 0.512,
            y = 0.483,
        },
        {
            id = 2744,
            x = 0.513,
            y = 0.483,
        },
        {
            id = 2674,
            x = 0.511,
            y = 0.485,
        },
        {
            id = 2759,
            x = 0.519,
            y = 0.478,
        },
        {
            id = 2692,
            x = 0.510,
            y = 0.484,
        },
        {
            id = 2738,
            x = 0.514,
            y = 0.483,
        },
        {
            id = 2917,
            x = 0.521,
            y = 0.498,
        },
        {
            id = 2932,
            x = 0.521,
            y = 0.500,
        },
        {
            id = 2723,
            x = 0.514,
            y = 0.481,
        },
        {
            id = 2610,
            x = 0.405,
            y = 0.499,
        },
        {
            id = 2972,
            x = 0.529,
            y = 0.495,
        },
        {
            id = 2926,
            x = 0.522,
            y = 0.499,
        },
        {
            id = 2966,
            x = 0.528,
            y = 0.494,
        },
        {
            id = 2609,
            x = 0.410,
            y = 0.497,
        },
        {
            id = 2612,
            x = 0.410,
            y = 0.498,
        },
        {
            id = 2673,
            x = 0.512,
            y = 0.483,
        },
        {
            id = 2741,
            x = 0.513,
            y = 0.482,
        },
        {
            id = 2608,
            x = 0.409,
            y = 0.498,
        },
        {
            id = 4704,
            x = 0.479,
            y = 0.478,
        },
        {
            id = 2706,
            x = 0.513,
            y = 0.482,
        },
        {
            id = 2739,
            x = 0.510,
            y = 0.484,
        },
        {
            id = 2708,
            x = 0.513,
            y = 0.484,
        },
        {
            id = 2693,
            x = 0.512,
            y = 0.483,
        },
        {
            id = 2608,
            x = 0.412,
            y = 0.499,
        },
        {
            id = 2722,
            x = 0.511,
            y = 0.484,
        },
        {
            id = 2745,
            x = 0.512,
            y = 0.484,
        },
        {
            id = 2742,
            x = 0.513,
            y = 0.483,
        },
        {
            id = 2689,
            x = 0.512,
            y = 0.485,
        },
        {
            id = 2970,
            x = 0.530,
            y = 0.495,
        },
        {
            id = 2743,
            x = 0.511,
            y = 0.484,
        },
        {
            id = 2930,
            x = 0.522,
            y = 0.500,
        },
        {
            id = 2931,
            x = 0.520,
            y = 0.498,
        },
        {
            id = 4704,
            x = 0.480,
            y = 0.480,
        },
        {
            id = 2610,
            x = 0.410,
            y = 0.497,
        },
        {
            id = 2686,
            x = 0.510,
            y = 0.486,
        },
        {
            id = 2927,
            x = 0.522,
            y = 0.499,
        },
    },
    ["rivenspire/northpoint_base"] = {
        {
            id = 5051,
            x = 0.311,
            y = 0.518,
        },
        {
            id = 4916,
            x = 0.640,
            y = 0.426,
        },
        {
            id = 5024,
            x = 0.509,
            y = 0.569,
        },
        {
            id = 4972,
            x = 0.458,
            y = 0.175,
        },
        {
            id = 5024,
            x = 0.504,
            y = 0.575,
        },
        {
            id = 5051,
            x = 0.315,
            y = 0.520,
        },
        {
            id = 4916,
            x = 0.638,
            y = 0.424,
        },
    },
    ["therift/northwindmine_base"] = {
        {
            id = 4176,
            x = 0.544,
            y = 0.536,
        },
        {
            id = 4176,
            x = 0.546,
            y = 0.524,
        },
    },
    ["stormhaven/norvulkruins_base"] = {
        {
            id = 4519,
            x = 0.598,
            y = 0.802,
        },
    },
    ["deshaan/obsidiangorge_base"] = {
        {
            id = 3705,
            x = 0.441,
            y = 0.365,
        },
        {
            id = 3705,
            x = 0.434,
            y = 0.365,
        },
    },
    ["rivenspire/obsidianscar_base"] = {
        {
            id = 3436,
            x = 0.332,
            y = 0.890,
        },
        {
            id = 3436,
            x = 0.333,
            y = 0.880,
        },
        {
            id = 3436,
            x = 0.334,
            y = 0.870,
        },
        {
            id = 3436,
            x = 0.333,
            y = 0.864,
        },
    },
    ["eastmarch/oldsordscave_base"] = {
        {
            id = 4584,
            x = 0.420,
            y = 0.379,
        },
        {
            id = 4584,
            x = 0.421,
            y = 0.384,
        },
    },
    ["rivenspire/orcsfingerruins_base"] = {
        {
            id = 4930,
            x = 0.677,
            y = 0.557,
        },
        {
            id = 4930,
            x = 0.681,
            y = 0.557,
        },
    },
    ["stonefalls/orkeyshollow_base"] = {
        {
            id = 4016,
            x = 0.494,
            y = 0.825,
        },
        {
            id = 3996,
            x = 0.499,
            y = 0.821,
        },
    },
    ["therift/pinepeakcaverns_base"] = {
        {
            id = 3980,
            x = 0.485,
            y = 0.268,
        },
        {
            id = 3980,
            x = 0.487,
            y = 0.270,
        },
    },
    ["glenumbra/porthunding_base"] = {
        {
            id = 4476,
            x = 0.336,
            y = 0.649,
        },
        {
            id = 4514,
            x = 0.990,
            y = 0.527,
        },
        {
            id = 4466,
            x = 0.494,
            y = 0.786,
        },
        {
            id = 4476,
            x = 0.447,
            y = 0.467,
        },
        {
            id = 4466,
            x = 0.583,
            y = 0.826,
        },
        {
            id = 4466,
            x = 0.486,
            y = 0.787,
        },
        {
            id = 4454,
            x = 0.611,
            y = 0.224,
        },
        {
            id = 4831,
            x = 0.282,
            y = 0.451,
        },
        {
            id = 4476,
            x = 0.452,
            y = 0.463,
        },
        {
            id = 4514,
            x = 0.707,
            y = 0.694,
        },
        {
            id = 4476,
            x = 0.326,
            y = 0.652,
        },
        {
            id = 4454,
            x = 0.438,
            y = 0.493,
        },
        {
            id = 4466,
            x = 0.301,
            y = 0.686,
        },
        {
            id = 4454,
            x = 0.445,
            y = 0.486,
        },
        {
            id = 4831,
            x = 0.394,
            y = 0.872,
        },
        {
            id = 4476,
            x = 0.333,
            y = 0.628,
        },
        {
            id = 4476,
            x = 0.330,
            y = 0.650,
        },
        {
            id = 4510,
            x = 0.707,
            y = 0.694,
        },
        {
            id = 4476,
            x = 0.686,
            y = 0.718,
        },
    },
    ["stormhaven/portdunwatch_base"] = {
        {
            id = 4565,
            x = 0.473,
            y = 0.311,
        },
        {
            id = 4565,
            x = 0.467,
            y = 0.306,
        },
        {
            id = 4565,
            x = 0.469,
            y = 0.312,
        },
        {
            id = 4565,
            x = 0.471,
            y = 0.309,
        },
    },
    ["reapersmarch/rawlkha_base"] = {
        {
            id = 5093,
            x = 0.643,
            y = 0.519,
        },
        {
            id = 4732,
            x = 0.385,
            y = 0.301,
        },
        {
            id = 4732,
            x = 0.372,
            y = 0.269,
        },
        {
            id = 4961,
            x = 0.390,
            y = 0.530,
        },
        {
            id = 4775,
            x = 0.675,
            y = 0.441,
        },
        {
            id = 4732,
            x = 0.374,
            y = 0.273,
        },
        {
            id = 4964,
            x = 0.502,
            y = 0.653,
        },
        {
            id = 4775,
            x = 0.685,
            y = 0.445,
        },
        {
            id = 4775,
            x = 0.689,
            y = 0.439,
        },
        {
            id = 4732,
            x = 0.388,
            y = 0.296,
        },
        {
            id = 4712,
            x = 0.710,
            y = 0.518,
        },
        {
            id = 4798,
            x = 0.624,
            y = 0.500,
        },
        {
            id = 4775,
            x = 0.675,
            y = 0.439,
        },
        {
            id = 4732,
            x = 0.390,
            y = 0.294,
        },
        {
            id = 5093,
            x = 0.645,
            y = 0.520,
        },
        {
            id = 4712,
            x = 0.703,
            y = 0.518,
        },
        {
            id = 4775,
            x = 0.692,
            y = 0.439,
        },
    },
    ["reapersmarch/rawlkhatemple_base"] = {
        {
            id = 4709,
            x = 0.514,
            y = 0.422,
        },
        {
            id = 4709,
            x = 0.500,
            y = 0.424,
        },
        {
            id = 4709,
            x = 0.507,
            y = 0.409,
        },
        {
            id = 4709,
            x = 0.518,
            y = 0.418,
        },
    },
    ["bangkorai/razakswheel_base"] = {
        {
            id = 3850,
            x = 0.329,
            y = 0.681,
        },
    },
    ["reapersmarch/reapersmarch_base"] = {
        {
            id = 4483,
            x = 0.597,
            y = 0.567,
        },
        {
            id = 4536,
            x = 0.245,
            y = 0.670,
        },
        {
            id = 4799,
            x = 0.246,
            y = 0.804,
        },
        {
            id = 4537,
            x = 0.341,
            y = 0.812,
        },
        {
            id = 4484,
            x = 0.647,
            y = 0.553,
        },
        {
            id = 4737,
            x = 0.282,
            y = 0.163,
        },
        {
            id = 4687,
            x = 0.637,
            y = 0.365,
        },
        {
            id = 4488,
            x = 0.322,
            y = 0.509,
        },
        {
            id = 4536,
            x = 0.242,
            y = 0.722,
        },
        {
            id = 4599,
            x = 0.452,
            y = 0.302,
        },
        {
            id = 4440,
            x = 0.401,
            y = 0.690,
        },
        {
            id = 4487,
            x = 0.359,
            y = 0.512,
        },
        {
            id = 4598,
            x = 0.498,
            y = 0.674,
        },
        {
            id = 4479,
            x = 0.329,
            y = 0.812,
        },
        {
            id = 4740,
            x = 0.419,
            y = 0.807,
        },
        {
            id = 4687,
            x = 0.615,
            y = 0.297,
        },
        {
            id = 4687,
            x = 0.613,
            y = 0.373,
        },
        {
            id = 4808,
            x = 0.613,
            y = 0.373,
        },
        {
            id = 4598,
            x = 0.490,
            y = 0.706,
        },
        {
            id = 4501,
            x = 0.410,
            y = 0.169,
        },
        {
            id = 4799,
            x = 0.330,
            y = 0.813,
        },
        {
            id = 4676,
            x = 0.753,
            y = 0.209,
        },
        {
            id = 4487,
            x = 0.337,
            y = 0.540,
        },
        {
            id = 4481,
            x = 0.576,
            y = 0.526,
        },
        {
            id = 4687,
            x = 0.595,
            y = 0.359,
        },
        {
            id = 4537,
            x = 0.301,
            y = 0.694,
        },
        {
            id = 4482,
            x = 0.598,
            y = 0.567,
        },
        {
            id = 4485,
            x = 0.625,
            y = 0.577,
        },
        {
            id = 4759,
            x = 0.461,
            y = 0.108,
        },
        {
            id = 4484,
            x = 0.599,
            y = 0.567,
        },
        {
            id = 4440,
            x = 0.378,
            y = 0.696,
        },
        {
            id = 4479,
            x = 0.293,
            y = 0.812,
        },
        {
            id = 4711,
            x = 0.334,
            y = 0.808,
        },
        {
            id = 4670,
            x = 0.516,
            y = 0.671,
        },
        {
            id = 4487,
            x = 0.296,
            y = 0.532,
        },
        {
            id = 4740,
            x = 0.448,
            y = 0.791,
        },
        {
            id = 4650,
            x = 0.491,
            y = 0.386,
        },
        {
            id = 4492,
            x = 0.262,
            y = 0.850,
        },
        {
            id = 4488,
            x = 0.321,
            y = 0.511,
        },
        {
            id = 4687,
            x = 0.684,
            y = 0.307,
        },
        {
            id = 4536,
            x = 0.301,
            y = 0.693,
        },
        {
            id = 4501,
            x = 0.408,
            y = 0.167,
        },
        {
            id = 4481,
            x = 0.591,
            y = 0.598,
        },
        {
            id = 4461,
            x = 0.310,
            y = 0.255,
        },
        {
            id = 4599,
            x = 0.411,
            y = 0.307,
        },
        {
            id = 4647,
            x = 0.512,
            y = 0.441,
        },
        {
            id = 4483,
            x = 0.648,
            y = 0.553,
        },
        {
            id = 4655,
            x = 0.544,
            y = 0.702,
        },
        {
            id = 4648,
            x = 0.490,
            y = 0.385,
        },
        {
            id = 4484,
            x = 0.625,
            y = 0.577,
        },
        {
            id = 4710,
            x = 0.461,
            y = 0.108,
        },
        {
            id = 4440,
            x = 0.360,
            y = 0.670,
        },
        {
            id = 4479,
            x = 0.330,
            y = 0.812,
        },
        {
            id = 4598,
            x = 0.510,
            y = 0.747,
        },
        {
            id = 4571,
            x = 0.434,
            y = 0.617,
        },
        {
            id = 4481,
            x = 0.565,
            y = 0.581,
        },
        {
            id = 4687,
            x = 0.589,
            y = 0.331,
        },
        {
            id = 4482,
            x = 0.647,
            y = 0.553,
        },
        {
            id = 4651,
            x = 0.491,
            y = 0.385,
        },
        {
            id = 4460,
            x = 0.244,
            y = 0.295,
        },
        {
            id = 4676,
            x = 0.754,
            y = 0.210,
        },
        {
            id = 4457,
            x = 0.369,
            y = 0.693,
        },
        {
            id = 4485,
            x = 0.598,
            y = 0.567,
        },
        {
            id = 4499,
            x = 0.412,
            y = 0.660,
        },
        {
            id = 4649,
            x = 0.491,
            y = 0.385,
        },
        {
            id = 4647,
            x = 0.546,
            y = 0.372,
        },
        {
            id = 4740,
            x = 0.376,
            y = 0.783,
        },
        {
            id = 4669,
            x = 0.513,
            y = 0.686,
        },
        {
            id = 4487,
            x = 0.338,
            y = 0.539,
        },
        {
            id = 4487,
            x = 0.348,
            y = 0.473,
        },
        {
            id = 4480,
            x = 0.216,
            y = 0.416,
        },
        {
            id = 4599,
            x = 0.420,
            y = 0.283,
        },
        {
            id = 4486,
            x = 0.245,
            y = 0.401,
        },
        {
            id = 4652,
            x = 0.499,
            y = 0.165,
        },
        {
            id = 4665,
            x = 0.424,
            y = 0.301,
        },
        {
            id = 4483,
            x = 0.625,
            y = 0.575,
        },
        {
            id = 4482,
            x = 0.624,
            y = 0.576,
        },
        {
            id = 4481,
            x = 0.591,
            y = 0.600,
        },
        {
            id = 4668,
            x = 0.515,
            y = 0.699,
        },
    },
    ["grahtwood/redfurtradingpost_base"] = {
        {
            id = 4786,
            x = 0.668,
            y = 0.408,
        },
        {
            id = 4893,
            x = 0.352,
            y = 0.572,
        },
        {
            id = 4893,
            x = 0.567,
            y = 0.854,
        },
    },
    ["grahtwood/reliquaryofstars_base"] = {
        {
            id = 4387,
            x = 0.340,
            y = 0.409,
        },
        {
            id = 4386,
            x = 0.437,
            y = 0.745,
        },
        {
            id = 4385,
            x = 0.437,
            y = 0.745,
        },
    },
    ["therift/riften_base"] = {
        {
            id = 4961,
            x = 0.683,
            y = 0.423,
        },
        {
            id = 4304,
            x = 0.670,
            y = 0.517,
        },
        {
            id = 4135,
            x = 0.511,
            y = 0.406,
        },
        {
            id = 3927,
            x = 0.713,
            y = 0.534,
        },
        {
            id = 4273,
            x = 0.585,
            y = 0.768,
        },
        {
            id = 4267,
            x = 0.487,
            y = 0.386,
        },
        {
            id = 4304,
            x = 0.674,
            y = 0.526,
        },
        {
            id = 4273,
            x = 0.586,
            y = 0.770,
        },
        {
            id = 4267,
            x = 0.489,
            y = 0.390,
        },
        {
            id = 4135,
            x = 0.504,
            y = 0.404,
        },
        {
            id = 4964,
            x = 0.752,
            y = 0.866,
        },
        {
            id = 3927,
            x = 0.414,
            y = 0.919,
        },
    },
    ["rivenspire/rivenspire_base"] = {
        {
            id = 5014,
            x = 0.651,
            y = 0.668,
        },
        {
            id = 4952,
            x = 0.465,
            y = 0.619,
        },
        {
            id = 4902,
            x = 0.459,
            y = 0.739,
        },
        {
            id = 5018,
            x = 0.700,
            y = 0.412,
        },
        {
            id = 4858,
            x = 0.607,
            y = 0.663,
        },
        {
            id = 4942,
            x = 0.182,
            y = 0.623,
        },
        {
            id = 5014,
            x = 0.618,
            y = 0.639,
        },
        {
            id = 4931,
            x = 0.688,
            y = 0.442,
        },
        {
            id = 5012,
            x = 0.335,
            y = 0.672,
        },
        {
            id = 4934,
            x = 0.276,
            y = 0.629,
        },
        {
            id = 4937,
            x = 0.267,
            y = 0.635,
        },
        {
            id = 4888,
            x = 0.677,
            y = 0.265,
        },
        {
            id = 4923,
            x = 0.587,
            y = 0.517,
        },
        {
            id = 4958,
            x = 0.600,
            y = 0.480,
        },
        {
            id = 4924,
            x = 0.663,
            y = 0.183,
        },
        {
            id = 4843,
            x = 0.548,
            y = 0.573,
        },
        {
            id = 523,
            x = 0.296,
            y = 0.515,
        },
        {
            id = 465,
            x = 0.293,
            y = 0.452,
        },
        {
            id = 5027,
            x = 0.694,
            y = 0.470,
        },
        {
            id = 4857,
            x = 0.215,
            y = 0.646,
        },
        {
            id = 4844,
            x = 0.633,
            y = 0.560,
        },
        {
            id = 4843,
            x = 0.545,
            y = 0.501,
        },
        {
            id = 4920,
            x = 0.730,
            y = 0.230,
        },
        {
            id = 5014,
            x = 0.629,
            y = 0.625,
        },
        {
            id = 4931,
            x = 0.704,
            y = 0.364,
        },
        {
            id = 523,
            x = 0.257,
            y = 0.645,
        },
        {
            id = 4956,
            x = 0.605,
            y = 0.168,
        },
        {
            id = 5012,
            x = 0.370,
            y = 0.689,
        },
        {
            id = 5012,
            x = 0.369,
            y = 0.688,
        },
        {
            id = 5014,
            x = 0.649,
            y = 0.668,
        },
        {
            id = 5027,
            x = 0.693,
            y = 0.468,
        },
        {
            id = 4858,
            x = 0.588,
            y = 0.630,
        },
        {
            id = 4858,
            x = 0.549,
            y = 0.656,
        },
        {
            id = 4858,
            x = 0.589,
            y = 0.629,
        },
        {
            id = 4927,
            x = 0.296,
            y = 0.460,
        },
        {
            id = 4929,
            x = 0.286,
            y = 0.469,
        },
        {
            id = 4928,
            x = 0.287,
            y = 0.467,
        },
        {
            id = 4902,
            x = 0.460,
            y = 0.740,
        },
        {
            id = 4844,
            x = 0.634,
            y = 0.559,
        },
        {
            id = 5014,
            x = 0.658,
            y = 0.611,
        },
        {
            id = 4902,
            x = 0.460,
            y = 0.739,
        },
        {
            id = 4858,
            x = 0.542,
            y = 0.670,
        },
        {
            id = 5014,
            x = 0.617,
            y = 0.640,
        },
        {
            id = 4936,
            x = 0.319,
            y = 0.377,
        },
        {
            id = 3286,
            x = 0.460,
            y = 0.690,
        },
    },
    ["grahtwood/rootsunder_base"] = {
        {
            id = 4406,
            x = 0.505,
            y = 0.570,
        },
        {
            id = 4406,
            x = 0.400,
            y = 0.870,
        },
    },
    ["bangkorai/rubblebutte_base"] = {
        {
            id = 4887,
            x = 0.827,
            y = 0.290,
        },
    },
    ["greenshade/rulanyilsfall_base"] = {
        {
            id = 4462,
            x = 0.521,
            y = 0.172,
        },
        {
            id = 4463,
            x = 0.306,
            y = 0.452,
        },
        {
            id = 4463,
            x = 0.632,
            y = 0.525,
        },
    },
    ["alikr/salasen_base"] = {
        {
            id = 3305,
            x = 0.221,
            y = 0.714,
        },
        {
            id = 3305,
            x = 0.213,
            y = 0.715,
        },
    },
    ["shadowfen/sanguinesdemesne_base"] = {
        {
            id = 4237,
            x = 0.074,
            y = 0.621,
        },
        {
            id = 4259,
            x = 0.147,
            y = 0.790,
        },
        {
            id = 4237,
            x = 0.074,
            y = 0.618,
        },
        {
            id = 4259,
            x = 0.151,
            y = 0.785,
        },
        {
            id = 4259,
            x = 0.151,
            y = 0.792,
        },
        {
            id = 4259,
            x = 0.147,
            y = 0.788,
        },
    },
    ["reapersmarch/selenesweb_base"] = {
        {
            id = 4733,
            x = 0.707,
            y = 0.919,
        },
        {
            id = 4733,
            x = 0.706,
            y = 0.920,
        },
    },
    ["alikr/sentinel_base"] = {
        {
            id = 2130,
            x = 0.287,
            y = 0.711,
        },
        {
            id = 2161,
            x = 0.366,
            y = 0.532,
        },
        {
            id = 3333,
            x = 0.298,
            y = 0.158,
        },
        {
            id = 3187,
            x = 0.204,
            y = 0.580,
        },
        {
            id = 3187,
            x = 0.203,
            y = 0.581,
        },
        {
            id = 2408,
            x = 0.681,
            y = 0.694,
        },
        {
            id = 2146,
            x = 0.674,
            y = 0.465,
        },
        {
            id = 2130,
            x = 0.177,
            y = 0.455,
        },
        {
            id = 2408,
            x = 0.679,
            y = 0.695,
        },
    },
    ["greenshade/serpentsgrotto_base"] = {
        {
            id = 4681,
            x = 0.352,
            y = 0.228,
        },
    },
    ["shadowfen/shadowfen_base"] = {
        {
            id = 4390,
            x = 0.369,
            y = 0.356,
        },
        {
            id = 4590,
            x = 0.666,
            y = 0.408,
        },
        {
            id = 3815,
            x = 0.625,
            y = 0.449,
        },
        {
            id = 3840,
            x = 0.537,
            y = 0.325,
        },
        {
            id = 3828,
            x = 0.783,
            y = 0.471,
        },
        {
            id = 3827,
            x = 0.730,
            y = 0.479,
        },
        {
            id = 4587,
            x = 0.619,
            y = 0.378,
        },
        {
            id = 3822,
            x = 0.480,
            y = 0.386,
        },
        {
            id = 3840,
            x = 0.563,
            y = 0.339,
        },
        {
            id = 3709,
            x = 0.245,
            y = 0.352,
        },
        {
            id = 3685,
            x = 0.245,
            y = 0.352,
        },
        {
            id = 3712,
            x = 0.262,
            y = 0.300,
        },
        {
            id = 4390,
            x = 0.370,
            y = 0.357,
        },
        {
            id = 3824,
            x = 0.440,
            y = 0.447,
        },
        {
            id = 3905,
            x = 0.768,
            y = 0.733,
        },
        {
            id = 3900,
            x = 0.729,
            y = 0.741,
        },
        {
            id = 3680,
            x = 0.362,
            y = 0.727,
        },
        {
            id = 3890,
            x = 0.815,
            y = 0.845,
        },
        {
            id = 3799,
            x = 0.518,
            y = 0.817,
        },
        {
            id = 3889,
            x = 0.798,
            y = 0.838,
        },
        {
            id = 3731,
            x = 0.577,
            y = 0.746,
        },
        {
            id = 4388,
            x = 0.823,
            y = 0.672,
        },
        {
            id = 3676,
            x = 0.784,
            y = 0.619,
        },
        {
            id = 3888,
            x = 0.761,
            y = 0.775,
        },
        {
            id = 3729,
            x = 0.572,
            y = 0.768,
        },
        {
            id = 3914,
            x = 0.743,
            y = 0.724,
        },
        {
            id = 3678,
            x = 0.409,
            y = 0.719,
        },
        {
            id = 3840,
            x = 0.562,
            y = 0.340,
        },
        {
            id = 3845,
            x = 0.221,
            y = 0.575,
        },
        {
            id = 3799,
            x = 0.484,
            y = 0.764,
        },
        {
            id = 3681,
            x = 0.370,
            y = 0.689,
        },
        {
            id = 4606,
            x = 0.522,
            y = 0.585,
        },
        {
            id = 3822,
            x = 0.478,
            y = 0.386,
        },
        {
            id = 3718,
            x = 0.369,
            y = 0.477,
        },
        {
            id = 3909,
            x = 0.269,
            y = 0.712,
        },
        {
            id = 4646,
            x = 0.536,
            y = 0.620,
        },
        {
            id = 3719,
            x = 0.372,
            y = 0.498,
        },
        {
            id = 3717,
            x = 0.363,
            y = 0.571,
        },
        {
            id = 3685,
            x = 0.315,
            y = 0.307,
        },
        {
            id = 3678,
            x = 0.410,
            y = 0.718,
        },
        {
            id = 3845,
            x = 0.305,
            y = 0.524,
        },
        {
            id = 3791,
            x = 0.507,
            y = 0.557,
        },
        {
            id = 3845,
            x = 0.232,
            y = 0.586,
        },
        {
            id = 3799,
            x = 0.379,
            y = 0.819,
        },
        {
            id = 3845,
            x = 0.298,
            y = 0.521,
        },
        {
            id = 3822,
            x = 0.431,
            y = 0.391,
        },
        {
            id = 3685,
            x = 0.300,
            y = 0.364,
        },
        {
            id = 3712,
            x = 0.235,
            y = 0.325,
        },
        {
            id = 3717,
            x = 0.356,
            y = 0.516,
        },
        {
            id = 3730,
            x = 0.561,
            y = 0.640,
        },
        {
            id = 3909,
            x = 0.197,
            y = 0.632,
        },
        {
            id = 3795,
            x = 0.164,
            y = 0.738,
        },
        {
            id = 3827,
            x = 0.730,
            y = 0.480,
        },
        {
            id = 4553,
            x = 0.609,
            y = 0.618,
        },
        {
            id = 3685,
            x = 0.290,
            y = 0.340,
        },
        {
            id = 4587,
            x = 0.620,
            y = 0.377,
        },
        {
            id = 3678,
            x = 0.336,
            y = 0.714,
        },
        {
            id = 3822,
            x = 0.472,
            y = 0.400,
        },
        {
            id = 4553,
            x = 0.610,
            y = 0.619,
        },
        {
            id = 3730,
            x = 0.514,
            y = 0.764,
        },
        {
            id = 3678,
            x = 0.393,
            y = 0.689,
        },
        {
            id = 3815,
            x = 0.626,
            y = 0.450,
        },
        {
            id = 3679,
            x = 0.372,
            y = 0.770,
        },
        {
            id = 3802,
            x = 0.402,
            y = 0.806,
        },
        {
            id = 3845,
            x = 0.320,
            y = 0.567,
        },
        {
            id = 4551,
            x = 0.562,
            y = 0.640,
        },
        {
            id = 3795,
            x = 0.192,
            y = 0.754,
        },
        {
            id = 4391,
            x = 0.279,
            y = 0.828,
        },
        {
            id = 3718,
            x = 0.370,
            y = 0.478,
        },
        {
            id = 3828,
            x = 0.785,
            y = 0.469,
        },
        {
            id = 3822,
            x = 0.453,
            y = 0.394,
        },
        {
            id = 3791,
            x = 0.554,
            y = 0.494,
        },
        {
            id = 3804,
            x = 0.177,
            y = 0.788,
        },
        {
            id = 3827,
            x = 0.782,
            y = 0.474,
        },
        {
            id = 3795,
            x = 0.196,
            y = 0.735,
        },
        {
            id = 3685,
            x = 0.291,
            y = 0.341,
        },
        {
            id = 3681,
            x = 0.369,
            y = 0.689,
        },
        {
            id = 3845,
            x = 0.316,
            y = 0.533,
        },
        {
            id = 3732,
            x = 0.379,
            y = 0.742,
        },
        {
            id = 4391,
            x = 0.280,
            y = 0.829,
        },
        {
            id = 3845,
            x = 0.319,
            y = 0.563,
        },
        {
            id = 3900,
            x = 0.730,
            y = 0.742,
        },
        {
            id = 3900,
            x = 0.758,
            y = 0.755,
        },
        {
            id = 3799,
            x = 0.418,
            y = 0.754,
        },
        {
            id = 3717,
            x = 0.409,
            y = 0.495,
        },
        {
            id = 3730,
            x = 0.579,
            y = 0.740,
        },
        {
            id = 3827,
            x = 0.729,
            y = 0.480,
        },
        {
            id = 3888,
            x = 0.845,
            y = 0.772,
        },
        {
            id = 3849,
            x = 0.572,
            y = 0.783,
        },
        {
            id = 3982,
            x = 0.461,
            y = 0.390,
        },
        {
            id = 3846,
            x = 0.251,
            y = 0.550,
        },
        {
            id = 3804,
            x = 0.176,
            y = 0.790,
        },
        {
            id = 3900,
            x = 0.819,
            y = 0.757,
        },
        {
            id = 3732,
            x = 0.381,
            y = 0.742,
        },
        {
            id = 3730,
            x = 0.580,
            y = 0.738,
        },
        {
            id = 3731,
            x = 0.581,
            y = 0.742,
        },
        {
            id = 3909,
            x = 0.270,
            y = 0.711,
        },
    },
    ["therift/shorsstone_base"] = {
        {
            id = 4307,
            x = 0.291,
            y = 0.319,
        },
        {
            id = 4306,
            x = 0.291,
            y = 0.291,
        },
        {
            id = 3974,
            x = 0.379,
            y = 0.519,
        },
        {
            id = 3919,
            x = 0.353,
            y = 0.492,
        },
        {
            id = 4276,
            x = 0.436,
            y = 0.527,
        },
        {
            id = 3959,
            x = 0.153,
            y = 0.707,
        },
        {
            id = 4276,
            x = 0.443,
            y = 0.528,
        },
        {
            id = 4446,
            x = 0.118,
            y = 0.741,
        },
        {
            id = 4276,
            x = 0.439,
            y = 0.530,
        },
        {
            id = 4446,
            x = 0.121,
            y = 0.744,
        },
        {
            id = 3974,
            x = 0.381,
            y = 0.512,
        },
        {
            id = 4276,
            x = 0.442,
            y = 0.530,
        },
        {
            id = 4307,
            x = 0.291,
            y = 0.321,
        },
    },
    ["therift/shorsstonemine_base"] = {
        {
            id = 3921,
            x = 0.580,
            y = 0.283,
        },
        {
            id = 3920,
            x = 0.769,
            y = 0.432,
        },
        {
            id = 3921,
            x = 0.583,
            y = 0.282,
        },
    },
    ["rivenspire/shornhelm_base"] = {
        {
            id = 3898,
            x = 0.766,
            y = 0.675,
        },
        {
            id = 4965,
            x = 0.460,
            y = 0.633,
        },
        {
            id = 4965,
            x = 0.456,
            y = 0.629,
        },
        {
            id = 3898,
            x = 0.745,
            y = 0.643,
        },
        {
            id = 4903,
            x = 0.594,
            y = 0.209,
        },
        {
            id = 3953,
            x = 0.361,
            y = 0.641,
        },
        {
            id = 4945,
            x = 0.521,
            y = 0.309,
        },
        {
            id = 4949,
            x = 0.593,
            y = 0.224,
        },
        {
            id = 4926,
            x = 0.523,
            y = 0.317,
        },
        {
            id = 4945,
            x = 0.524,
            y = 0.316,
        },
        {
            id = 3953,
            x = 0.357,
            y = 0.649,
        },
        {
            id = 4903,
            x = 0.593,
            y = 0.214,
        },
        {
            id = 4945,
            x = 0.516,
            y = 0.307,
        },
        {
            id = 4965,
            x = 0.459,
            y = 0.633,
        },
    },
    ["therift/shroudhearth_base"] = {
        {
            id = 5007,
            x = 0.172,
            y = 0.374,
        },
        {
            id = 5007,
            x = 0.192,
            y = 0.367,
        },
    },
    ["rivenspire/shroudedpass_base"] = {
        {
            id = 4884,
            x = 0.221,
            y = 0.256,
        },
        {
            id = 4884,
            x = 0.211,
            y = 0.242,
        },
    },
    ["auridon/skywatch_base"] = {
        {
            id = 4260,
            x = 0.657,
            y = 0.472,
        },
        {
            id = 4365,
            x = 0.660,
            y = 0.469,
        },
        {
            id = 4409,
            x = 0.449,
            y = 0.621,
        },
        {
            id = 4409,
            x = 0.443,
            y = 0.619,
        },
        {
            id = 4408,
            x = 0.399,
            y = 0.242,
        },
        {
            id = 4330,
            x = 0.234,
            y = 0.466,
        },
        {
            id = 4365,
            x = 0.657,
            y = 0.471,
        },
        {
            id = 4408,
            x = 0.400,
            y = 0.244,
        },
        {
            id = 4435,
            x = 0.504,
            y = 0.376,
        },
        {
            id = 4410,
            x = 0.516,
            y = 0.353,
        },
        {
            id = 3858,
            x = 0.507,
            y = 0.565,
        },
        {
            id = 4408,
            x = 0.389,
            y = 0.242,
        },
        {
            id = 4409,
            x = 0.451,
            y = 0.619,
        },
        {
            id = 4435,
            x = 0.501,
            y = 0.385,
        },
        {
            id = 3858,
            x = 0.499,
            y = 0.563,
        },
        {
            id = 4408,
            x = 0.375,
            y = 0.241,
        },
        {
            id = 4365,
            x = 0.659,
            y = 0.469,
        },
        {
            id = 4411,
            x = 0.149,
            y = 0.457,
        },
        {
            id = 4330,
            x = 0.232,
            y = 0.470,
        },
        {
            id = 4330,
            x = 0.268,
            y = 0.698,
        },
        {
            id = 4408,
            x = 0.377,
            y = 0.239,
        },
        {
            id = 3856,
            x = 0.517,
            y = 0.568,
        },
        {
            id = 4330,
            x = 0.442,
            y = 0.679,
        },
        {
            id = 4410,
            x = 0.520,
            y = 0.350,
        },
        {
            id = 4330,
            x = 0.441,
            y = 0.680,
        },
        {
            id = 3858,
            x = 0.481,
            y = 0.560,
        },
        {
            id = 4330,
            x = 0.265,
            y = 0.701,
        },
        {
            id = 4409,
            x = 0.450,
            y = 0.620,
        },
        {
            id = 4435,
            x = 0.499,
            y = 0.378,
        },
        {
            id = 3858,
            x = 0.527,
            y = 0.552,
        },
        {
            id = 4260,
            x = 0.646,
            y = 0.478,
        },
        {
            id = 4260,
            x = 0.653,
            y = 0.469,
        },
        {
            id = 4220,
            x = 0.428,
            y = 0.165,
        },
        {
            id = 4411,
            x = 0.149,
            y = 0.449,
        },
        {
            id = 4435,
            x = 0.499,
            y = 0.383,
        },
        {
            id = 4365,
            x = 0.660,
            y = 0.470,
        },
        {
            id = 3916,
            x = 0.521,
            y = 0.378,
        },
        {
            id = 4411,
            x = 0.150,
            y = 0.450,
        },
    },
    ["cyrodiil/southhighrockgate_base"] = {
        {
            id = 4704,
            x = 0.439,
            y = 0.548,
        },
        {
            id = 2612,
            x = 0.610,
            y = 0.563,
        },
        {
            id = 4704,
            x = 0.436,
            y = 0.550,
        },
        {
            id = 4704,
            x = 0.445,
            y = 0.546,
        },
        {
            id = 2610,
            x = 0.607,
            y = 0.564,
        },
        {
            id = 2611,
            x = 0.607,
            y = 0.566,
        },
        {
            id = 2608,
            x = 0.616,
            y = 0.564,
        },
        {
            id = 2613,
            x = 0.615,
            y = 0.564,
        },
        {
            id = 2611,
            x = 0.610,
            y = 0.562,
        },
        {
            id = 2608,
            x = 0.607,
            y = 0.565,
        },
        {
            id = 2609,
            x = 0.609,
            y = 0.561,
        },
        {
            id = 2610,
            x = 0.614,
            y = 0.563,
        },
        {
            id = 2759,
            x = 0.558,
            y = 0.534,
        },
        {
            id = 2986,
            x = 0.551,
            y = 0.506,
        },
        {
            id = 2759,
            x = 0.560,
            y = 0.532,
        },
        {
            id = 2922,
            x = 0.551,
            y = 0.487,
        },
        {
            id = 2612,
            x = 0.607,
            y = 0.565,
        },
        {
            id = 2926,
            x = 0.550,
            y = 0.489,
        },
        {
            id = 2728,
            x = 0.569,
            y = 0.549,
        },
        {
            id = 2946,
            x = 0.553,
            y = 0.507,
        },
        {
            id = 2745,
            x = 0.567,
            y = 0.548,
        },
        {
            id = 2927,
            x = 0.553,
            y = 0.487,
        },
        {
            id = 2736,
            x = 0.568,
            y = 0.548,
        },
        {
            id = 2944,
            x = 0.551,
            y = 0.504,
        },
        {
            id = 2613,
            x = 0.605,
            y = 0.564,
        },
        {
            id = 2921,
            x = 0.550,
            y = 0.488,
        },
        {
            id = 2932,
            x = 0.551,
            y = 0.489,
        },
        {
            id = 2710,
            x = 0.570,
            y = 0.548,
        },
        {
            id = 2930,
            x = 0.551,
            y = 0.488,
        },
        {
            id = 2961,
            x = 0.552,
            y = 0.505,
        },
        {
            id = 2679,
            x = 0.568,
            y = 0.548,
        },
        {
            id = 2709,
            x = 0.569,
            y = 0.548,
        },
        {
            id = 2757,
            x = 0.570,
            y = 0.549,
        },
        {
            id = 2925,
            x = 0.551,
            y = 0.489,
        },
        {
            id = 2730,
            x = 0.568,
            y = 0.548,
        },
        {
            id = 2981,
            x = 0.550,
            y = 0.503,
        },
        {
            id = 2694,
            x = 0.568,
            y = 0.548,
        },
        {
            id = 2684,
            x = 0.568,
            y = 0.549,
        },
        {
            id = 2678,
            x = 0.566,
            y = 0.548,
        },
        {
            id = 2931,
            x = 0.553,
            y = 0.486,
        },
        {
            id = 2729,
            x = 0.566,
            y = 0.548,
        },
        {
            id = 2966,
            x = 0.550,
            y = 0.504,
        },
        {
            id = 2980,
            x = 0.552,
            y = 0.508,
        },
        {
            id = 2685,
            x = 0.566,
            y = 0.548,
        },
        {
            id = 2923,
            x = 0.551,
            y = 0.489,
        },
        {
            id = 2740,
            x = 0.568,
            y = 0.548,
        },
        {
            id = 2951,
            x = 0.552,
            y = 0.508,
        },
        {
            id = 2928,
            x = 0.551,
            y = 0.489,
        },
        {
            id = 2924,
            x = 0.550,
            y = 0.487,
        },
        {
            id = 2952,
            x = 0.550,
            y = 0.505,
        },
        {
            id = 5220,
            x = 0.556,
            y = 0.533,
        },
        {
            id = 5229,
            x = 0.557,
            y = 0.538,
        },
        {
            id = 5226,
            x = 0.558,
            y = 0.535,
        },
    },
    ["cyrodiil/southmorrowgate_base"] = {
        {
            id = 4704,
            x = 0.483,
            y = 0.502,
        },
        {
            id = 4704,
            x = 0.473,
            y = 0.506,
        },
        {
            id = 4869,
            x = 0.514,
            y = 0.352,
        },
    },
    ["glenumbra/spindleclutch_base"] = {
        {
            id = 4555,
            x = 0.175,
            y = 0.351,
        },
        {
            id = 4054,
            x = 0.243,
            y = 0.383,
        },
        {
            id = 4054,
            x = 0.176,
            y = 0.356,
        },
        {
            id = 4054,
            x = 0.148,
            y = 0.365,
        },
        {
            id = 4054,
            x = 0.150,
            y = 0.362,
        },
        {
            id = 3993,
            x = 0.440,
            y = 0.857,
        },
        {
            id = 4054,
            x = 0.134,
            y = 0.367,
        },
        {
            id = 3993,
            x = 0.445,
            y = 0.861,
        },
        {
            id = 4107,
            x = 0.446,
            y = 0.860,
        },
        {
            id = 4054,
            x = 0.239,
            y = 0.383,
        },
        {
            id = 4107,
            x = 0.442,
            y = 0.859,
        },
        {
            id = 4054,
            x = 0.137,
            y = 0.372,
        },
        {
            id = 4555,
            x = 0.161,
            y = 0.350,
        },
    },
    ["stonefalls/stonefalls_base"] = {
        {
            id = 3590,
            x = 0.850,
            y = 0.406,
        },
        {
            id = 3598,
            x = 0.815,
            y = 0.435,
        },
        {
            id = 3594,
            x = 0.812,
            y = 0.411,
        },
        {
            id = 3643,
            x = 0.229,
            y = 0.478,
        },
        {
            id = 3751,
            x = 0.248,
            y = 0.416,
        },
        {
            id = 3632,
            x = 0.238,
            y = 0.260,
        },
        {
            id = 3634,
            x = 0.181,
            y = 0.248,
        },
        {
            id = 3752,
            x = 0.233,
            y = 0.368,
        },
        {
            id = 4894,
            x = 0.344,
            y = 0.703,
        },
        {
            id = 3917,
            x = 0.245,
            y = 0.375,
        },
        {
            id = 3585,
            x = 0.904,
            y = 0.390,
        },
        {
            id = 3863,
            x = 0.558,
            y = 0.502,
        },
        {
            id = 3860,
            x = 0.890,
            y = 0.375,
        },
        {
            id = 3602,
            x = 0.803,
            y = 0.508,
        },
        {
            id = 3592,
            x = 0.812,
            y = 0.482,
        },
        {
            id = 5074,
            x = 0.890,
            y = 0.375,
        },
        {
            id = 3594,
            x = 0.863,
            y = 0.424,
        },
        {
            id = 3583,
            x = 0.632,
            y = 0.638,
        },
        {
            id = 3581,
            x = 0.415,
            y = 0.438,
        },
        {
            id = 3737,
            x = 0.724,
            y = 0.551,
        },
        {
            id = 3616,
            x = 0.771,
            y = 0.644,
        },
        {
            id = 3736,
            x = 0.703,
            y = 0.533,
        },
        {
            id = 3617,
            x = 0.765,
            y = 0.622,
        },
        {
            id = 3671,
            x = 0.464,
            y = 0.536,
        },
        {
            id = 3735,
            x = 0.732,
            y = 0.410,
        },
        {
            id = 3615,
            x = 0.743,
            y = 0.579,
        },
        {
            id = 3734,
            x = 0.725,
            y = 0.549,
        },
        {
            id = 3591,
            x = 0.631,
            y = 0.692,
        },
        {
            id = 3855,
            x = 0.725,
            y = 0.549,
        },
        {
            id = 3751,
            x = 0.233,
            y = 0.369,
        },
        {
            id = 3626,
            x = 0.288,
            y = 0.418,
        },
        {
            id = 3627,
            x = 0.317,
            y = 0.365,
        },
        {
            id = 3670,
            x = 0.664,
            y = 0.565,
        },
        {
            id = 3583,
            x = 0.615,
            y = 0.656,
        },
        {
            id = 3590,
            x = 0.849,
            y = 0.406,
        },
        {
            id = 3854,
            x = 0.324,
            y = 0.605,
        },
        {
            id = 1489,
            x = 0.335,
            y = 0.593,
        },
        {
            id = 3865,
            x = 0.566,
            y = 0.547,
        },
        {
            id = 3621,
            x = 0.279,
            y = 0.443,
        },
        {
            id = 5045,
            x = 0.821,
            y = 0.457,
        },
        {
            id = 3667,
            x = 0.581,
            y = 0.535,
        },
        {
            id = 5037,
            x = 0.272,
            y = 0.562,
        },
        {
            id = 5075,
            x = 0.899,
            y = 0.347,
        },
        {
            id = 3856,
            x = 0.899,
            y = 0.347,
        },
        {
            id = 3855,
            x = 0.725,
            y = 0.550,
        },
        {
            id = 3520,
            x = 0.515,
            y = 0.652,
        },
        {
            id = 3631,
            x = 0.317,
            y = 0.448,
        },
        {
            id = 5040,
            x = 0.362,
            y = 0.613,
        },
        {
            id = 3662,
            x = 0.544,
            y = 0.530,
        },
        {
            id = 3621,
            x = 0.326,
            y = 0.519,
        },
        {
            id = 5039,
            x = 0.184,
            y = 0.531,
        },
        {
            id = 3622,
            x = 0.496,
            y = 0.635,
        },
        {
            id = 5038,
            x = 0.358,
            y = 0.446,
        },
        {
            id = 3648,
            x = 0.139,
            y = 0.583,
        },
        {
            id = 3699,
            x = 0.167,
            y = 0.522,
        },
        {
            id = 3621,
            x = 0.362,
            y = 0.503,
        },
        {
            id = 3734,
            x = 0.725,
            y = 0.550,
        },
        {
            id = 3806,
            x = 0.110,
            y = 0.506,
        },
        {
            id = 3794,
            x = 0.110,
            y = 0.506,
        },
        {
            id = 3647,
            x = 0.137,
            y = 0.570,
        },
        {
            id = 3697,
            x = 0.226,
            y = 0.658,
        },
        {
            id = 3837,
            x = 0.376,
            y = 0.645,
        },
        {
            id = 3646,
            x = 0.160,
            y = 0.552,
        },
        {
            id = 3642,
            x = 0.225,
            y = 0.425,
        },
        {
            id = 3826,
            x = 0.362,
            y = 0.613,
        },
        {
            id = 3868,
            x = 0.388,
            y = 0.655,
        },
        {
            id = 3595,
            x = 0.816,
            y = 0.434,
        },
        {
            id = 3592,
            x = 0.840,
            y = 0.483,
        },
        {
            id = 3584,
            x = 0.474,
            y = 0.545,
        },
        {
            id = 3667,
            x = 0.545,
            y = 0.553,
        },
        {
            id = 3639,
            x = 0.545,
            y = 0.553,
        },
        {
            id = 3626,
            x = 0.326,
            y = 0.353,
        },
        {
            id = 3631,
            x = 0.294,
            y = 0.456,
        },
        {
            id = 3646,
            x = 0.159,
            y = 0.551,
        },
        {
            id = 3592,
            x = 0.839,
            y = 0.483,
        },
        {
            id = 5044,
            x = 0.469,
            y = 0.524,
        },
        {
            id = 3639,
            x = 0.593,
            y = 0.541,
        },
        {
            id = 3592,
            x = 0.825,
            y = 0.513,
        },
        {
            id = 3621,
            x = 0.327,
            y = 0.520,
        },
        {
            id = 3699,
            x = 0.138,
            y = 0.445,
        },
        {
            id = 4474,
            x = 0.630,
            y = 0.693,
        },
        {
            id = 5043,
            x = 0.238,
            y = 0.261,
        },
        {
            id = 3585,
            x = 0.891,
            y = 0.375,
        },
        {
            id = 3618,
            x = 0.771,
            y = 0.639,
        },
        {
            id = 3860,
            x = 0.878,
            y = 0.345,
        },
        {
            id = 3648,
            x = 0.140,
            y = 0.584,
        },
        {
            id = 3635,
            x = 0.155,
            y = 0.234,
        },
        {
            id = 3695,
            x = 0.217,
            y = 0.586,
        },
        {
            id = 3990,
            x = 0.905,
            y = 0.329,
        },
        {
            id = 3592,
            x = 0.766,
            y = 0.545,
        },
        {
            id = 3621,
            x = 0.315,
            y = 0.441,
        },
        {
            id = 4831,
            x = 0.900,
            y = 0.434,
        },
        {
            id = 4831,
            x = 0.741,
            y = 0.524,
        },
        {
            id = 3699,
            x = 0.141,
            y = 0.439,
        },
        {
            id = 4831,
            x = 0.847,
            y = 0.406,
        },
        {
            id = 4767,
            x = 0.917,
            y = 0.339,
        },
        {
            id = 3632,
            x = 0.237,
            y = 0.259,
        },
        {
            id = 4894,
            x = 0.342,
            y = 0.624,
        },
        {
            id = 3634,
            x = 0.179,
            y = 0.248,
        },
        {
            id = 4552,
            x = 0.154,
            y = 0.235,
        },
        {
            id = 3699,
            x = 0.171,
            y = 0.437,
        },
        {
            id = 3699,
            x = 0.165,
            y = 0.519,
        },
        {
            id = 3639,
            x = 0.581,
            y = 0.534,
        },
        {
            id = 4474,
            x = 0.529,
            y = 0.363,
        },
        {
            id = 3735,
            x = 0.731,
            y = 0.409,
        },
        {
            id = 4767,
            x = 0.096,
            y = 0.445,
        },
        {
            id = 3699,
            x = 0.150,
            y = 0.430,
        },
        {
            id = 4474,
            x = 0.601,
            y = 0.542,
        },
        {
            id = 3632,
            x = 0.203,
            y = 0.281,
        },
        {
            id = 3643,
            x = 0.230,
            y = 0.478,
        },
        {
            id = 3618,
            x = 0.770,
            y = 0.640,
        },
        {
            id = 3584,
            x = 0.469,
            y = 0.524,
        },
        {
            id = 4474,
            x = 0.514,
            y = 0.645,
        },
        {
            id = 3699,
            x = 0.094,
            y = 0.447,
        },
        {
            id = 3806,
            x = 0.109,
            y = 0.506,
        },
        {
            id = 3865,
            x = 0.663,
            y = 0.565,
        },
        {
            id = 4552,
            x = 0.185,
            y = 0.532,
        },
        {
            id = 3794,
            x = 0.109,
            y = 0.506,
        },
        {
            id = 3868,
            x = 0.390,
            y = 0.656,
        },
        {
            id = 4474,
            x = 0.725,
            y = 0.550,
        },
        {
            id = 3865,
            x = 0.601,
            y = 0.564,
        },
        {
            id = 4474,
            x = 0.657,
            y = 0.374,
        },
        {
            id = 3699,
            x = 0.166,
            y = 0.436,
        },
        {
            id = 4474,
            x = 0.602,
            y = 0.565,
        },
        {
            id = 3584,
            x = 0.470,
            y = 0.524,
        },
        {
            id = 3647,
            x = 0.137,
            y = 0.571,
        },
        {
            id = 4474,
            x = 0.743,
            y = 0.580,
        },
        {
            id = 4474,
            x = 0.464,
            y = 0.536,
        },
        {
            id = 4552,
            x = 0.160,
            y = 0.537,
        },
        {
            id = 3646,
            x = 0.171,
            y = 0.569,
        },
        {
            id = 3699,
            x = 0.152,
            y = 0.429,
        },
        {
            id = 5450,
            x = 0.864,
            y = 0.375,
        },
    },
    ["glenumbra/stonetoothfortress_base"] = {
        {
            id = 4559,
            x = 0.614,
            y = 0.360,
        },
        {
            id = 4449,
            x = 0.392,
            y = 0.390,
        },
        {
            id = 4478,
            x = 0.362,
            y = 0.662,
        },
        {
            id = 4523,
            x = 0.651,
            y = 0.591,
        },
        {
            id = 4566,
            x = 0.453,
            y = 0.454,
        },
        {
            id = 4559,
            x = 0.616,
            y = 0.359,
        },
        {
            id = 4523,
            x = 0.648,
            y = 0.594,
        },
        {
            id = 4449,
            x = 0.393,
            y = 0.388,
        },
        {
            id = 4478,
            x = 0.358,
            y = 0.667,
        },
    },
    ["stormhaven/stormhaven_base"] = {
        {
            id = 1437,
            x = 0.743,
            y = 0.485,
        },
        {
            id = 1341,
            x = 0.737,
            y = 0.471,
        },
        {
            id = 1339,
            x = 0.723,
            y = 0.547,
        },
        {
            id = 2504,
            x = 0.811,
            y = 0.474,
        },
        {
            id = 2494,
            x = 0.205,
            y = 0.407,
        },
        {
            id = 2561,
            x = 0.203,
            y = 0.352,
        },
        {
            id = 1678,
            x = 0.209,
            y = 0.368,
        },
        {
            id = 728,
            x = 0.178,
            y = 0.501,
        },
        {
            id = 2578,
            x = 0.183,
            y = 0.329,
        },
        {
            id = 2552,
            x = 0.202,
            y = 0.290,
        },
        {
            id = 1637,
            x = 0.282,
            y = 0.492,
        },
        {
            id = 1709,
            x = 0.270,
            y = 0.365,
        },
        {
            id = 728,
            x = 0.201,
            y = 0.519,
        },
        {
            id = 2497,
            x = 0.296,
            y = 0.578,
        },
        {
            id = 3918,
            x = 0.738,
            y = 0.483,
        },
        {
            id = 1529,
            x = 0.432,
            y = 0.371,
        },
        {
            id = 3637,
            x = 0.741,
            y = 0.484,
        },
        {
            id = 1527,
            x = 0.433,
            y = 0.592,
        },
        {
            id = 2496,
            x = 0.296,
            y = 0.578,
        },
        {
            id = 1639,
            x = 0.451,
            y = 0.417,
        },
        {
            id = 1384,
            x = 0.665,
            y = 0.556,
        },
        {
            id = 2538,
            x = 0.652,
            y = 0.433,
        },
        {
            id = 1346,
            x = 0.752,
            y = 0.431,
        },
        {
            id = 2495,
            x = 0.317,
            y = 0.612,
        },
        {
            id = 1633,
            x = 0.310,
            y = 0.614,
        },
        {
            id = 499,
            x = 0.451,
            y = 0.417,
        },
        {
            id = 2536,
            x = 0.717,
            y = 0.545,
        },
        {
            id = 1383,
            x = 0.622,
            y = 0.407,
        },
        {
            id = 614,
            x = 0.686,
            y = 0.430,
        },
        {
            id = 1541,
            x = 0.448,
            y = 0.394,
        },
        {
            id = 1687,
            x = 0.285,
            y = 0.327,
        },
        {
            id = 1591,
            x = 0.441,
            y = 0.390,
        },
        {
            id = 1536,
            x = 0.430,
            y = 0.371,
        },
        {
            id = 736,
            x = 0.296,
            y = 0.305,
        },
        {
            id = 467,
            x = 0.327,
            y = 0.301,
        },
        {
            id = 1735,
            x = 0.332,
            y = 0.298,
        },
        {
            id = 737,
            x = 0.297,
            y = 0.304,
        },
        {
            id = 2068,
            x = 0.513,
            y = 0.497,
        },
        {
            id = 2549,
            x = 0.408,
            y = 0.589,
        },
        {
            id = 2550,
            x = 0.379,
            y = 0.610,
        },
        {
            id = 2451,
            x = 0.452,
            y = 0.616,
        },
        {
            id = 1637,
            x = 0.253,
            y = 0.489,
        },
        {
            id = 2450,
            x = 0.440,
            y = 0.660,
        },
        {
            id = 2047,
            x = 0.547,
            y = 0.320,
        },
        {
            id = 2046,
            x = 0.486,
            y = 0.386,
        },
        {
            id = 1554,
            x = 0.522,
            y = 0.440,
        },
        {
            id = 1678,
            x = 0.229,
            y = 0.417,
        },
        {
            id = 1637,
            x = 0.235,
            y = 0.511,
        },
        {
            id = 5052,
            x = 0.347,
            y = 0.591,
        },
        {
            id = 614,
            x = 0.609,
            y = 0.453,
        },
        {
            id = 1536,
            x = 0.469,
            y = 0.402,
        },
        {
            id = 2561,
            x = 0.172,
            y = 0.352,
        },
        {
            id = 2494,
            x = 0.191,
            y = 0.358,
        },
        {
            id = 1678,
            x = 0.210,
            y = 0.368,
        },
        {
            id = 2578,
            x = 0.184,
            y = 0.330,
        },
        {
            id = 3412,
            x = 0.076,
            y = 0.313,
        },
        {
            id = 2046,
            x = 0.495,
            y = 0.402,
        },
        {
            id = 4473,
            x = 0.560,
            y = 0.447,
        },
        {
            id = 614,
            x = 0.687,
            y = 0.429,
        },
        {
            id = 1384,
            x = 0.689,
            y = 0.537,
        },
        {
            id = 4472,
            x = 0.555,
            y = 0.418,
        },
        {
            id = 521,
            x = 0.742,
            y = 0.484,
        },
        {
            id = 1568,
            x = 0.559,
            y = 0.446,
        },
        {
            id = 2549,
            x = 0.429,
            y = 0.624,
        },
        {
            id = 728,
            x = 0.201,
            y = 0.524,
        },
        {
            id = 1637,
            x = 0.247,
            y = 0.507,
        },
        {
            id = 2550,
            x = 0.406,
            y = 0.605,
        },
        {
            id = 1536,
            x = 0.404,
            y = 0.413,
        },
        {
            id = 2068,
            x = 0.478,
            y = 0.562,
        },
        {
            id = 2549,
            x = 0.407,
            y = 0.590,
        },
        {
            id = 1637,
            x = 0.232,
            y = 0.507,
        },
        {
            id = 4403,
            x = 0.160,
            y = 0.550,
        },
        {
            id = 2537,
            x = 0.669,
            y = 0.517,
        },
        {
            id = 1637,
            x = 0.244,
            y = 0.493,
        },
        {
            id = 2550,
            x = 0.379,
            y = 0.609,
        },
        {
            id = 2549,
            x = 0.380,
            y = 0.600,
        },
        {
            id = 1637,
            x = 0.251,
            y = 0.490,
        },
        {
            id = 4403,
            x = 0.161,
            y = 0.549,
        },
        {
            id = 2552,
            x = 0.231,
            y = 0.289,
        },
        {
            id = 2569,
            x = 0.287,
            y = 0.327,
        },
        {
            id = 1384,
            x = 0.726,
            y = 0.496,
        },
        {
            id = 4473,
            x = 0.559,
            y = 0.447,
        },
        {
            id = 2552,
            x = 0.231,
            y = 0.291,
        },
        {
            id = 1637,
            x = 0.227,
            y = 0.509,
        },
        {
            id = 2549,
            x = 0.430,
            y = 0.625,
        },
        {
            id = 728,
            x = 0.196,
            y = 0.524,
        },
        {
            id = 728,
            x = 0.155,
            y = 0.592,
        },
        {
            id = 2550,
            x = 0.411,
            y = 0.635,
        },
        {
            id = 2451,
            x = 0.485,
            y = 0.618,
        },
        {
            id = 2046,
            x = 0.505,
            y = 0.415,
        },
        {
            id = 2451,
            x = 0.445,
            y = 0.616,
        },
        {
            id = 2561,
            x = 0.184,
            y = 0.329,
        },
        {
            id = 2068,
            x = 0.481,
            y = 0.561,
        },
        {
            id = 4764,
            x = 0.810,
            y = 0.473,
        },
        {
            id = 1554,
            x = 0.582,
            y = 0.433,
        },
        {
            id = 1384,
            x = 0.691,
            y = 0.537,
        },
        {
            id = 2451,
            x = 0.446,
            y = 0.608,
        },
        {
            id = 2450,
            x = 0.440,
            y = 0.659,
        },
        {
            id = 2569,
            x = 0.244,
            y = 0.352,
        },
        {
            id = 1678,
            x = 0.242,
            y = 0.364,
        },
        {
            id = 1568,
            x = 0.560,
            y = 0.446,
        },
        {
            id = 1554,
            x = 0.522,
            y = 0.439,
        },
        {
            id = 5050,
            x = 0.739,
            y = 0.482,
        },
        {
            id = 1637,
            x = 0.279,
            y = 0.493,
        },
        {
            id = 2451,
            x = 0.474,
            y = 0.609,
        },
        {
            id = 2569,
            y = 0.278,
            x = 0.246,
        },
        {
            id = 4401,
            x = 0.177,
            y = 0.472,
        },
    },
    ["shadowfen/stormhold_base"] = {
        {
            id = 4554,
            x = 0.578,
            y = 0.480,
        },
        {
            id = 3690,
            x = 0.637,
            y = 0.630,
        },
        {
            id = 3688,
            x = 0.424,
            y = 0.203,
        },
        {
            id = 3687,
            x = 0.582,
            y = 0.579,
        },
        {
            id = 3898,
            x = 0.516,
            y = 0.612,
        },
        {
            id = 3686,
            x = 0.851,
            y = 0.305,
        },
        {
            id = 3690,
            x = 0.640,
            y = 0.634,
        },
        {
            id = 3688,
            x = 0.414,
            y = 0.206,
        },
        {
            id = 3953,
            x = 0.424,
            y = 0.581,
        },
        {
            id = 3686,
            x = 0.595,
            y = 0.580,
        },
        {
            id = 3686,
            x = 0.583,
            y = 0.582,
        },
        {
            id = 3898,
            x = 0.510,
            y = 0.593,
        },
        {
            id = 3953,
            x = 0.428,
            y = 0.579,
        },
        {
            id = 3953,
            x = 0.427,
            y = 0.591,
        },
        {
            id = 4554,
            x = 0.581,
            y = 0.486,
        },
        {
            id = 3690,
            x = 0.639,
            y = 0.629,
        },
        {
            id = 3686,
            x = 0.585,
            y = 0.580,
        },
        {
            id = 3898,
            x = 0.507,
            y = 0.592,
        },
        {
            id = 3687,
            x = 0.580,
            y = 0.579,
        },
        {
            id = 3898,
            x = 0.521,
            y = 0.618,
        },
        {
            id = 3898,
            x = 0.512,
            y = 0.581,
        },
        {
            id = 4554,
            x = 0.577,
            y = 0.479,
        },
        {
            id = 4554,
            x = 0.570,
            y = 0.491,
        },
        {
            id = 3686,
            x = 0.593,
            y = 0.588,
        },
        {
            id = 3688,
            x = 0.411,
            y = 0.199,
        },
        {
            id = 3687,
            x = 0.590,
            y = 0.576,
        },
        {
            id = 4554,
            x = 0.571,
            y = 0.493,
        },
        {
            id = 4554,
            x = 0.568,
            y = 0.489,
        },
    },
    ["glenumbra/strosmkai_base"] = {
        {
            id = 4381,
            x = 0.848,
            y = 0.218,
        },
        {
            id = 4380,
            x = 0.404,
            y = 0.635,
        },
        {
            id = 4344,
            x = 0.571,
            y = 0.663,
        },
        {
            id = 4506,
            x = 0.830,
            y = 0.222,
        },
        {
            id = 4431,
            x = 0.409,
            y = 0.452,
        },
        {
            id = 4471,
            x = 0.403,
            y = 0.639,
        },
        {
            id = 4372,
            x = 0.558,
            y = 0.290,
        },
        {
            id = 4382,
            x = 0.415,
            y = 0.411,
        },
        {
            id = 4344,
            x = 0.463,
            y = 0.719,
        },
        {
            id = 4508,
            x = 0.841,
            y = 0.371,
        },
        {
            id = 4471,
            x = 0.615,
            y = 0.696,
        },
        {
            id = 4506,
            x = 0.829,
            y = 0.222,
        },
        {
            id = 4454,
            x = 0.634,
            y = 0.414,
        },
        {
            id = 4476,
            x = 0.588,
            y = 0.483,
        },
        {
            id = 4344,
            x = 0.570,
            y = 0.667,
        },
        {
            id = 4372,
            x = 0.557,
            y = 0.291,
        },
        {
            id = 4382,
            x = 0.416,
            y = 0.409,
        },
        {
            id = 4431,
            x = 0.351,
            y = 0.613,
        },
        {
            id = 4431,
            x = 0.402,
            y = 0.507,
        },
        {
            id = 4344,
            x = 0.496,
            y = 0.685,
        },
        {
            id = 4506,
            x = 0.831,
            y = 0.218,
        },
        {
            id = 4508,
            x = 0.843,
            y = 0.369,
        },
        {
            id = 4471,
            x = 0.484,
            y = 0.827,
        },
        {
            id = 4344,
            x = 0.551,
            y = 0.802,
        },
        {
            id = 4381,
            x = 0.465,
            y = 0.231,
        },
        {
            id = 4344,
            x = 0.546,
            y = 0.672,
        },
        {
            id = 4514,
            x = 0.330,
            y = 0.639,
        },
        {
            id = 4471,
            x = 0.432,
            y = 0.811,
        },
        {
            id = 4344,
            x = 0.432,
            y = 0.811,
        },
        {
            id = 4381,
            x = 0.543,
            y = 0.611,
        },
        {
            id = 4431,
            x = 0.409,
            y = 0.449,
        },
        {
            id = 4344,
            x = 0.416,
            y = 0.800,
        },
        {
            id = 4381,
            x = 0.416,
            y = 0.800,
        },
        {
            id = 4831,
            x = 0.361,
            y = 0.365,
        },
        {
            id = 4471,
            x = 0.577,
            y = 0.665,
        },
        {
            id = 4344,
            x = 0.489,
            y = 0.892,
        },
        {
            id = 4381,
            x = 0.463,
            y = 0.229,
        },
        {
            id = 4344,
            x = 0.500,
            y = 0.679,
        },
        {
            id = 4471,
            x = 0.438,
            y = 0.800,
        },
        {
            id = 4381,
            x = 0.851,
            y = 0.217,
        },
        {
            id = 4344,
            x = 0.438,
            y = 0.800,
        },
        {
            id = 4344,
            x = 0.443,
            y = 0.756,
        },
        {
            id = 4344,
            x = 0.417,
            y = 0.799,
        },
        {
            id = 4344,
            x = 0.552,
            y = 0.671,
        },
        {
            id = 4344,
            x = 0.502,
            y = 0.681,
        },
        {
            id = 4381,
            x = 0.420,
            y = 0.800,
        },
        {
            id = 4471,
            x = 0.540,
            y = 0.610,
        },
        {
            id = 4511,
            x = 0.798,
            y = 0.128,
        },
        {
            id = 4514,
            x = 0.342,
            y = 0.637,
        },
        {
            id = 4514,
            x = 0.610,
            y = 0.690,
        },
        {
            id = 4381,
            x = 0.418,
            y = 0.799,
        },
        {
            id = 4431,
            x = 0.400,
            y = 0.510,
        },
        {
            id = 4471,
            x = 0.316,
            y = 0.644,
        },
        {
            id = 4431,
            x = 0.349,
            y = 0.611,
        },
        {
            id = 4344,
            x = 0.554,
            y = 0.664,
        },
        {
            id = 4471,
            x = 0.400,
            y = 0.640,
        },
        {
            id = 4344,
            x = 0.432,
            y = 0.798,
        },
        {
            id = 4471,
            x = 0.530,
            y = 0.764,
        },
        {
            id = 4431,
            x = 0.410,
            y = 0.450,
        },
        {
            id = 4471,
            x = 0.416,
            y = 0.800,
        },
        {
            id = 4381,
            x = 0.420,
            y = 0.799,
        },
        {
            id = 4344,
            x = 0.449,
            y = 0.806,
        },
        {
            id = 4344,
            x = 0.442,
            y = 0.798,
        },
        {
            id = 4344,
            x = 0.482,
            y = 0.701,
        },
        {
            id = 4471,
            x = 0.429,
            y = 0.813,
        },
        {
            id = 4344,
            x = 0.448,
            y = 0.742,
        },
        {
            id = 4344,
            x = 0.427,
            y = 0.810,
        },
    },
    ["bangkorai/sunkenroad_base"] = {
        {
            id = 4911,
            x = 0.898,
            y = 0.244,
        },
        {
            id = 4911,
            x = 0.273,
            y = 0.566,
        },
        {
            id = 4979,
            x = 0.411,
            y = 0.554,
        },
    },
    ["therift/taarengrav_base"] = {
        {
            id = 4185,
            x = 0.540,
            y = 0.226,
        },
        {
            id = 4185,
            x = 0.539,
            y = 0.235,
        },
        {
            id = 4185,
            x = 0.533,
            y = 0.228,
        },
        {
            id = 4184,
            x = 0.537,
            y = 0.234,
        },
        {
            id = 4185,
            x = 0.542,
            y = 0.239,
        },
    },
    ["deshaan/taldeiccrypts_base"] = {
        {
            id = 3702,
            x = 0.196,
            y = 0.370,
        },
        {
            id = 3702,
            x = 0.199,
            y = 0.367,
        },
        {
            id = 3702,
            x = 0.200,
            y = 0.374,
        },
    },
    ["malabaltor/tempestisland_base"] = {
        {
            id = 4538,
            x = 0.371,
            y = 0.811,
        },
        {
            id = 4538,
            x = 0.364,
            y = 0.810,
        },
    },
    ["auridon/thebanishedcells_base"] = {
        {
            id = 4107,
            x = 0.491,
            y = 0.856,
        },
        {
            id = 4107,
            x = 0.482,
            y = 0.854,
        },
        {
            id = 4107,
            x = 0.483,
            y = 0.848,
        },
        {
            id = 4107,
            x = 0.479,
            y = 0.854,
        },
        {
            id = 4107,
            x = 0.493,
            y = 0.848,
        },
        {
            id = 4597,
            x = 0.433,
            y = 0.858,
        },
        {
            id = 4597,
            x = 0.444,
            y = 0.854,
        },
        {
            id = 4597,
            x = 0.435,
            y = 0.869,
        },
    },
    ["reapersmarch/planeofjodecave_base"] = {
        {
            id = 4720,
            x = 0.493,
            y = 0.386,
        },
    },
    ["glenumbra/thegrave_base"] = {
        {
            id = 4454,
            x = 0.468,
            y = 0.445,
        },
        {
            id = 4454,
            x = 0.475,
            y = 0.449,
        },
        {
            id = 4454,
            x = 0.462,
            y = 0.457,
        },
        {
            id = 4454,
            x = 0.468,
            y = 0.463,
        },
        {
            id = 4454,
            x = 0.477,
            y = 0.461,
        },
        {
            id = 4454,
            x = 0.470,
            y = 0.450,
        },
    },
    ["coldharbor/greatshackle1_base"] = {
        {
            id = 4730,
            x = 0.240,
            y = 0.645,
        },
        {
            id = 4730,
            x = 0.239,
            y = 0.645,
        },
    },
    ["coldharbor/hollowcity_base"] = {
        {
            id = 4610,
            x = 0.536,
            y = 0.481,
        },
        {
            id = 4847,
            x = 0.600,
            y = 0.501,
        },
        {
            id = 4610,
            x = 0.534,
            y = 0.472,
        },
        {
            id = 4847,
            x = 0.597,
            y = 0.495,
        },
        {
            id = 4847,
            x = 0.600,
            y = 0.499,
        },
        {
            id = 4347,
            x = 0.764,
            y = 0.623,
        },
        {
            id = 4610,
            x = 0.715,
            y = 0.692,
        },
        {
            id = 4746,
            x = 0.760,
            y = 0.624,
        },
        {
            id = 4743,
            x = 0.760,
            y = 0.623,
        },
        {
            id = 4610,
            x = 0.533,
            y = 0.417,
        },
        {
            id = 4847,
            x = 0.656,
            y = 0.473,
        },
        {
            id = 4610,
            x = 0.535,
            y = 0.420,
        },
        {
            id = 4610,
            x = 0.529,
            y = 0.424,
        },
    },
    ["therift/thelionsden_base"] = {
        {
            id = 4332,
            x = 0.738,
            y = 0.298,
        },
        {
            id = 4333,
            x = 0.059,
            y = 0.131,
        },
        {
            id = 4333,
            x = 0.060,
            y = 0.137,
        },
        {
            id = 4332,
            x = 0.646,
            y = 0.453,
        },
    },
    ["grahtwood/orrery_base"] = {
        {
            id = 4735,
            x = 0.605,
            y = 0.467,
        },
    },
    ["therift/therift_base"] = {
        {
            id = 3925,
            x = 0.596,
            y = 0.519,
        },
        {
            id = 5036,
            x = 0.114,
            y = 0.270,
        },
        {
            id = 4961,
            x = 0.789,
            y = 0.422,
        },
        {
            id = 4253,
            x = 0.169,
            y = 0.309,
        },
        {
            id = 5007,
            x = 0.126,
            y = 0.290,
        },
        {
            id = 4139,
            x = 0.392,
            y = 0.510,
        },
        {
            id = 3925,
            x = 0.567,
            y = 0.518,
        },
        {
            id = 4174,
            x = 0.475,
            y = 0.299,
        },
        {
            id = 5035,
            x = 0.409,
            y = 0.525,
        },
        {
            id = 3959,
            x = 0.597,
            y = 0.358,
        },
        {
            id = 3923,
            x = 0.313,
            y = 0.427,
        },
        {
            id = 4133,
            x = 0.299,
            y = 0.440,
        },
        {
            id = 3923,
            x = 0.333,
            y = 0.457,
        },
        {
            id = 4147,
            x = 0.135,
            y = 0.381,
        },
        {
            id = 4140,
            x = 0.383,
            y = 0.445,
        },
        {
            id = 3981,
            x = 0.115,
            y = 0.269,
        },
        {
            id = 3959,
            x = 0.642,
            y = 0.355,
        },
        {
            id = 3924,
            x = 0.597,
            y = 0.528,
        },
        {
            id = 4133,
            x = 0.296,
            y = 0.410,
        },
        {
            id = 4147,
            x = 0.142,
            y = 0.410,
        },
        {
            id = 5007,
            x = 0.109,
            y = 0.309,
        },
        {
            id = 3959,
            x = 0.570,
            y = 0.312,
        },
        {
            id = 3924,
            x = 0.607,
            y = 0.547,
        },
        {
            id = 4140,
            x = 0.431,
            y = 0.492,
        },
        {
            id = 4248,
            x = 0.157,
            y = 0.316,
        },
        {
            id = 3959,
            x = 0.612,
            y = 0.326,
        },
        {
            id = 4964,
            x = 0.723,
            y = 0.252,
        },
        {
            id = 4321,
            x = 0.112,
            y = 0.310,
        },
        {
            id = 4248,
            x = 0.187,
            y = 0.290,
        },
        {
            id = 4140,
            x = 0.408,
            y = 0.499,
        },
        {
            id = 5104,
            x = 0.835,
            y = 0.647,
        },
        {
            id = 4185,
            x = 0.127,
            y = 0.407,
        },
        {
            id = 4173,
            x = 0.901,
            y = 0.582,
        },
        {
            id = 4254,
            x = 0.815,
            y = 0.534,
        },
        {
            id = 4254,
            x = 0.825,
            y = 0.525,
        },
        {
            id = 4287,
            x = 0.699,
            y = 0.625,
        },
        {
            id = 5007,
            x = 0.110,
            y = 0.306,
        },
        {
            id = 4283,
            x = 0.830,
            y = 0.500,
        },
        {
            id = 4139,
            x = 0.431,
            y = 0.537,
        },
        {
            id = 4201,
            x = 0.815,
            y = 0.614,
        },
        {
            id = 4189,
            x = 0.805,
            y = 0.683,
        },
        {
            id = 4311,
            x = 0.305,
            y = 0.479,
        },
        {
            id = 4133,
            x = 0.301,
            y = 0.440,
        },
        {
            id = 4287,
            x = 0.700,
            y = 0.624,
        },
        {
            id = 4289,
            x = 0.662,
            y = 0.573,
        },
        {
            id = 3957,
            x = 0.436,
            y = 0.308,
        },
        {
            id = 4320,
            x = 0.158,
            y = 0.262,
        },
        {
            id = 4133,
            x = 0.295,
            y = 0.389,
        },
        {
            id = 4249,
            x = 0.173,
            y = 0.314,
        },
        {
            id = 4250,
            x = 0.165,
            y = 0.324,
        },
        {
            id = 4317,
            x = 0.099,
            y = 0.295,
        },
        {
            id = 4248,
            x = 0.210,
            y = 0.327,
        },
        {
            id = 3961,
            x = 0.571,
            y = 0.394,
        },
        {
            id = 3977,
            x = 0.632,
            y = 0.276,
        },
        {
            id = 4321,
            x = 0.112,
            y = 0.309,
        },
        {
            id = 4448,
            x = 0.403,
            y = 0.285,
        },
        {
            id = 3978,
            x = 0.114,
            y = 0.267,
        },
        {
            id = 4447,
            x = 0.521,
            y = 0.313,
        },
        {
            id = 3968,
            x = 0.431,
            y = 0.306,
        },
        {
            id = 4171,
            x = 0.633,
            y = 0.276,
        },
        {
            id = 4251,
            x = 0.174,
            y = 0.330,
        },
        {
            id = 3928,
            x = 0.450,
            y = 0.298,
        },
        {
            id = 4174,
            x = 0.522,
            y = 0.296,
        },
        {
            id = 4253,
            x = 0.171,
            y = 0.309,
        },
        {
            id = 4225,
            x = 0.435,
            y = 0.308,
        },
        {
            id = 4252,
            x = 0.189,
            y = 0.317,
        },
        {
            id = 3923,
            x = 0.309,
            y = 0.367,
        },
        {
            id = 5007,
            x = 0.121,
            y = 0.294,
        },
        {
            id = 4178,
            x = 0.864,
            y = 0.632,
        },
        {
            id = 4201,
            x = 0.847,
            y = 0.605,
        },
        {
            id = 4147,
            x = 0.130,
            y = 0.402,
        },
        {
            id = 4302,
            x = 0.791,
            y = 0.787,
        },
        {
            id = 5035,
            x = 0.410,
            y = 0.526,
        },
        {
            id = 4188,
            x = 0.786,
            y = 0.746,
        },
        {
            id = 4160,
            x = 0.878,
            y = 0.584,
        },
        {
            id = 4311,
            x = 0.306,
            y = 0.480,
        },
        {
            id = 4292,
            x = 0.544,
            y = 0.425,
        },
        {
            id = 4186,
            x = 0.800,
            y = 0.678,
        },
        {
            id = 3925,
            x = 0.596,
            y = 0.520,
        },
        {
            id = 4780,
            x = 0.783,
            y = 0.747,
        },
        {
            id = 4164,
            x = 0.413,
            y = 0.524,
        },
        {
            id = 5036,
            x = 0.115,
            y = 0.269,
        },
        {
            id = 4139,
            x = 0.413,
            y = 0.524,
        },
        {
            id = 4318,
            x = 0.393,
            y = 0.569,
        },
        {
            id = 5104,
            x = 0.786,
            y = 0.528,
        },
        {
            id = 4317,
            x = 0.820,
            y = 0.261,
        },
        {
            id = 4147,
            x = 0.095,
            y = 0.429,
        },
    },
    ["reapersmarch/thevilemansefirstfloor_base"] = {
        {
            id = 4738,
            x = 0.557,
            y = 0.360,
        },
        {
            id = 4738,
            x = 0.561,
            y = 0.362,
        },
        {
            id = 4738,
            x = 0.562,
            y = 0.359,
        },
    },
    ["coldharbor/wailingmaw_base"] = {
        {
            id = 4747,
            x = 0.323,
            y = 0.214,
        },
        {
            id = 4747,
            x = 0.319,
            y = 0.213,
        },
        {
            id = 4747,
            x = 0.318,
            y = 0.201,
        },
        {
            id = 4747,
            x = 0.323,
            y = 0.205,
        },
    },
    ["reapersmarch/thibautscairn_base"] = {
        {
            id = 4812,
            x = 0.313,
            y = 0.195,
        },
        {
            id = 4812,
            x = 0.326,
            y = 0.194,
        },
        {
            id = 4812,
            x = 0.331,
            y = 0.190,
        },
    },
    ["auridon/toothmaulgully_base"] = {
        {
            id = 4450,
            x = 0.504,
            y = 0.540,
        },
        {
            id = 4441,
            x = 0.513,
            y = 0.109,
        },
        {
            id = 4450,
            x = 0.506,
            y = 0.538,
        },
        {
            id = 4450,
            x = 0.510,
            y = 0.539,
        },
        {
            id = 4450,
            x = 0.510,
            y = 0.540,
        },
        {
            id = 4441,
            x = 0.509,
            y = 0.103,
        },
        {
            id = 4441,
            x = 0.510,
            y = 0.110,
        },
        {
            id = 4450,
            x = 0.313,
            y = 0.875,
        },
    },
    ["bangkorai/murciensclaim_base"] = {
        {
            id = 4852,
            x = 0.470,
            y = 0.660,
        },
    },
    ["rivenspire/tribulationcrypt_base"] = {
        {
            id = 4834,
            x = 0.292,
            y = 0.192,
        },
        {
            id = 4834,
            x = 0.305,
            y = 0.192,
        },
    },
    ["deshaan/tribunaltemple_base"] = {
        {
            id = 3966,
            x = 0.511,
            y = 0.752,
        },
        {
            id = 3966,
            x = 0.508,
            y = 0.754,
        },
        {
            id = 3966,
            x = 0.514,
            y = 0.749,
        },
        {
            id = 3966,
            x = 0.513,
            y = 0.760,
        },
    },
    ["bangkorai/trollstoothpick_base"] = {
        {
            id = 4863,
            x = 0.355,
            y = 0.701,
        },
    },
    ["coldharbor/vaultsofmadness1_base"] = {
        {
            id = 4822,
            x = 0.171,
            y = 0.814,
        },
        {
            id = 4822,
            x = 0.166,
            y = 0.816,
        },
    },
    ["malabaltor/velynharbor_base"] = {
        {
            id = 3898,
            x = 0.390,
            y = 0.614,
        },
        {
            id = 3997,
            x = 0.386,
            y = 0.433,
        },
        {
            id = 4458,
            x = 0.545,
            y = 0.237,
        },
        {
            id = 4194,
            x = 0.688,
            y = 0.504,
        },
        {
            id = 4195,
            x = 0.624,
            y = 0.577,
        },
        {
            id = 4193,
            x = 0.389,
            y = 0.797,
        },
        {
            id = 4193,
            x = 0.390,
            y = 0.797,
        },
        {
            id = 4194,
            x = 0.690,
            y = 0.503,
        },
        {
            id = 4458,
            x = 0.540,
            y = 0.228,
        },
        {
            id = 4195,
            x = 0.630,
            y = 0.577,
        },
        {
            id = 4193,
            x = 0.388,
            y = 0.803,
        },
    },
    ["coldharbor/villageofthelost_base"] = {
        {
            id = 4543,
            x = 0.405,
            y = 0.699,
        },
        {
            id = 4541,
            x = 0.390,
            y = 0.838,
        },
        {
            id = 4543,
            x = 0.403,
            y = 0.700,
        },
        {
            id = 4541,
            x = 0.388,
            y = 0.835,
        },
    },
    ["grahtwood/vindeathcave_base"] = {
        {
            id = 4950,
            x = 0.660,
            y = 0.721,
        },
    },
    ["alikr/volenfell_base"] = {
        {
            id = 4432,
            x = 0.132,
            y = 0.434,
        },
    },
    ["auridon/vulkhelguard_base"] = {
        {
            id = 4256,
            x = 0.648,
            y = 0.357,
        },
        {
            id = 4257,
            x = 0.559,
            y = 0.600,
        },
        {
            id = 5071,
            x = 0.648,
            y = 0.357,
        },
        {
            id = 4258,
            x = 0.538,
            y = 0.462,
        },
        {
            id = 3856,
            x = 0.048,
            y = 0.543,
        },
        {
            id = 4767,
            x = 0.405,
            y = 0.618,
        },
        {
            id = 4208,
            x = 0.084,
            y = 0.428,
        },
        {
            id = 3916,
            x = 0.178,
            y = 0.427,
        },
        {
            id = 4256,
            x = 0.650,
            y = 0.349,
        },
        {
            id = 4258,
            x = 0.537,
            y = 0.458,
        },
        {
            id = 4255,
            x = 0.617,
            y = 0.534,
        },
        {
            id = 4255,
            x = 0.621,
            y = 0.532,
        },
        {
            id = 4256,
            x = 0.645,
            y = 0.349,
        },
        {
            id = 4211,
            x = 0.409,
            y = 0.365,
        },
        {
            id = 3916,
            x = 0.178,
            y = 0.430,
        },
        {
            id = 3858,
            x = 0.141,
            y = 0.558,
        },
        {
            id = 5071,
            x = 0.216,
            y = 0.454,
        },
        {
            id = 3856,
            x = 0.048,
            y = 0.539,
        },
        {
            id = 5071,
            x = 0.663,
            y = 0.305,
        },
        {
            id = 5073,
            x = 0.621,
            y = 0.531,
        },
        {
            id = 5071,
            x = 0.588,
            y = 0.449,
        },
        {
            id = 3916,
            x = 0.180,
            y = 0.429,
        },
        {
            id = 3858,
            x = 0.145,
            y = 0.549,
        },
        {
            id = 5071,
            x = 0.431,
            y = 0.295,
        },
        {
            id = 4208,
            x = 0.642,
            y = 0.176,
        },
        {
            id = 4208,
            x = 0.638,
            y = 0.175,
        },
        {
            id = 4524,
            x = 0.638,
            y = 0.175,
        },
        {
            id = 4211,
            x = 0.410,
            y = 0.359,
        },
        {
            id = 4255,
            x = 0.588,
            y = 0.422,
        },
        {
            id = 4258,
            x = 0.755,
            y = 0.470,
        },
        {
            id = 4435,
            x = 0.217,
            y = 0.481,
        },
        {
            id = 4680,
            x = 0.630,
            y = 0.489,
        },
        {
            id = 4255,
            x = 0.590,
            y = 0.418,
        },
        {
            id = 4258,
            x = 0.753,
            y = 0.466,
        },
        {
            id = 4680,
            x = 0.629,
            y = 0.490,
        },
        {
            id = 4257,
            x = 0.523,
            y = 0.692,
        },
        {
            id = 4255,
            x = 0.589,
            y = 0.419,
        },
        {
            id = 5071,
            x = 0.588,
            y = 0.421,
        },
        {
            id = 4257,
            x = 0.521,
            y = 0.689,
        },
        {
            id = 5073,
            x = 0.103,
            y = 0.548,
        },
        {
            id = 4435,
            x = 0.219,
            y = 0.479,
        },
        {
            id = 4524,
            x = 0.640,
            y = 0.173,
        },
        {
            id = 5071,
            x = 0.587,
            y = 0.419,
        },
        {
            id = 4767,
            x = 0.413,
            y = 0.614,
        },
        {
            id = 3858,
            x = 0.150,
            y = 0.564,
        },
        {
            id = 4255,
            x = 0.610,
            y = 0.265,
        },
        {
            id = 4208,
            x = 0.084,
            y = 0.430,
        },
        {
            id = 4256,
            x = 0.650,
            y = 0.350,
        },
        {
            id = 5073,
            x = 0.100,
            y = 0.550,
        },
        {
            id = 5071,
            x = 0.591,
            y = 0.417,
        },
        {
            id = 4680,
            x = 0.660,
            y = 0.639,
        },
        {
            id = 4474,
            x = 0.180,
            y = 0.426,
        },
        {
            id = 4255,
            x = 0.087,
            y = 0.475,
        },
        {
            id = 4831,
            x = 0.415,
            y = 0.361,
        },
        {
            id = 3856,
            x = 0.050,
            y = 0.544,
        },
        {
            id = 4680,
            x = 0.630,
            y = 0.490,
        },
        {
            id = 5071,
            x = 0.538,
            y = 0.445,
        },
        {
            id = 4255,
            x = 0.590,
            y = 0.420,
        },
        {
            id = 4255,
            x = 0.608,
            y = 0.264,
        },
        {
            id = 4680,
            x = 0.659,
            y = 0.638,
        },
        {
            id = 4474,
            x = 0.178,
            y = 0.426,
        },
        {
            id = 4208,
            x = 0.078,
            y = 0.428,
        },
        {
            id = 4524,
            x = 0.427,
            y = 0.300,
        },
        {
            id = 4680,
            x = 0.670,
            y = 0.637,
        },
        {
            id = 3858,
            x = 0.145,
            y = 0.561,
        },
        {
            id = 4680,
            x = 0.660,
            y = 0.640,
        },
        {
            id = 4524,
            x = 0.660,
            y = 0.305,
        },
        {
            id = 3858,
            x = 0.153,
            y = 0.536,
        },
        {
            id = 4435,
            x = 0.222,
            y = 0.481,
        },
        {
            id = 4524,
            x = 0.523,
            y = 0.690,
        },
        {
            id = 3885,
            x = 0.148,
            y = 0.548,
        },
        {
            id = 4524,
            x = 0.622,
            y = 0.467,
        },
        {
            id = 3898,
            x = 0.150,
            y = 0.569,
        },
        {
            id = 3885,
            x = 0.141,
            y = 0.556,
        },
        {
            id = 4783,
            x = 0.089,
            y = 0.546,
        },
        {
            id = 4783,
            x = 0.091,
            y = 0.545,
        },
        {
            id = 5071,
            x = 0.646,
            y = 0.349,
        },
        {
            id = 5073,
            x = 0.096,
            y = 0.552,
        },
        {
            id = 3898,
            x = 0.142,
            y = 0.555,
        },
        {
            id = 4211,
            x = 0.410,
            y = 0.360,
        },
        {
            id = 4524,
            x = 0.237,
            y = 0.560,
        },
        {
            id = 4524,
            x = 0.046,
            y = 0.544,
        },
        {
            id = 4680,
            x = 0.659,
            y = 0.628,
        },
        {
            id = 5450,
            x = 0.553,
            y = 0.432,
        },
    },
    ["malabaltor/vulkwasten_base"] = {
        {
            id = 3898,
            x = 0.557,
            y = 0.653,
        },
        {
            id = 4134,
            x = 0.469,
            y = 0.333,
        },
        {
            id = 3973,
            x = 0.594,
            y = 0.650,
        },
        {
            id = 4337,
            x = 0.508,
            y = 0.613,
        },
        {
            id = 3997,
            x = 0.556,
            y = 0.660,
        },
        {
            id = 4134,
            x = 0.457,
            y = 0.335,
        },
        {
            id = 3885,
            x = 0.554,
            y = 0.650,
        },
        {
            id = 4134,
            x = 0.542,
            y = 0.547,
        },
        {
            id = 4134,
            x = 0.458,
            y = 0.326,
        },
        {
            id = 4137,
            x = 0.528,
            y = 0.622,
        },
        {
            id = 3973,
            x = 0.597,
            y = 0.647,
        },
        {
            id = 4137,
            x = 0.536,
            y = 0.625,
        },
        {
            id = 3997,
            x = 0.554,
            y = 0.655,
        },
        {
            id = 3898,
            x = 0.578,
            y = 0.647,
        },
        {
            id = 3885,
            x = 0.560,
            y = 0.640,
        },
        {
            id = 3973,
            x = 0.602,
            y = 0.645,
        },
    },
    ["stormhaven/wayrest_base"] = {
        {
            id = 1485,
            x = 0.236,
            y = 0.055,
        },
        {
            id = 2481,
            x = 0.439,
            y = 0.179,
        },
        {
            id = 2068,
            x = 0.277,
            y = 0.135,
        },
        {
            id = 3918,
            x = 0.533,
            y = 0.464,
        },
        {
            id = 2481,
            x = 0.448,
            y = 0.177,
        },
        {
            id = 3885,
            x = 0.402,
            y = 0.291,
        },
        {
            id = 2436,
            x = 0.213,
            y = 0.319,
        },
        {
            id = 4901,
            x = 0.379,
            y = 0.461,
        },
        {
            id = 2436,
            x = 0.206,
            y = 0.322,
        },
        {
            id = 575,
            x = 0.430,
            y = 0.464,
        },
        {
            id = 3885,
            x = 0.405,
            y = 0.288,
        },
        {
            id = 1485,
            x = 0.233,
            y = 0.049,
        },
        {
            id = 575,
            x = 0.429,
            y = 0.463,
        },
        {
            id = 3885,
            x = 0.413,
            y = 0.305,
        },
        {
            id = 4783,
            x = 0.362,
            y = 0.298,
        },
        {
            id = 4783,
            x = 0.360,
            y = 0.302,
        },
        {
            id = 2436,
            x = 0.207,
            y = 0.315,
        },
        {
            id = 2481,
            x = 0.440,
            y = 0.180,
        },
        {
            id = 4901,
            x = 0.380,
            y = 0.463,
        },
        {
            id = 2481,
            x = 0.437,
            y = 0.181,
        },
        {
            id = 2068,
            x = 0.275,
            y = 0.127,
        },
        {
            id = 2488,
            x = 0.207,
            y = 0.320,
        },
        {
            id = 2488,
            x = 0.236,
            y = 0.291,
        },
        {
            id = 5033,
            x = 0.408,
            y = 0.150,
        },
        {
            id = 2436,
            x = 0.210,
            y = 0.321,
        },
        {
            id = 5935,
            x = 0.486,
            y = 0.111,
        },
    },
    ["stormhaven/wayrestsewers_base"] = {
        {
            id = 4246,
            x = 0.164,
            y = 0.833,
        },
        {
            id = 4246,
            x = 0.159,
            y = 0.834,
        },
    },
    ["cyrodiil/westelsweyrgate_base"] = {
        {
            id = 4704,
            x = 0.585,
            y = 0.577,
        },
        {
            id = 4704,
            x = 0.545,
            y = 0.576,
        },
        {
            id = 4704,
            x = 0.553,
            y = 0.587,
        },
        {
            id = 4704,
            x = 0.536,
            y = 0.578,
        },
        {
            id = 4704,
            x = 0.569,
            y = 0.583,
        },
    },
    ["shadowfen/whiteroseprison_base"] = {
        {
            id = 3847,
            x = 0.778,
            y = 0.690,
        },
        {
            id = 3847,
            x = 0.785,
            y = 0.690,
        },
        {
            id = 3847,
            x = 0.785,
            y = 0.688,
        },
    },
    ["eastmarch/windhelm_base"] = {
        {
            id = 4149,
            x = 0.463,
            y = 0.595,
        },
        {
            id = 3997,
            x = 0.495,
            y = 0.538,
        },
        {
            id = 4058,
            x = 0.844,
            y = 0.360,
        },
        {
            id = 4058,
            x = 0.506,
            y = 0.329,
        },   
        {
            id = 4061,
            x = 0.506,
            y = 0.329,
        },
        {
            id = 4197,
            x = 0.506,
            y = 0.329,
        },
        {
            id = 4836,
            x = 0.506,
            y = 0.329,
        },
        {
            id = 4059,
            x = 0.506,
            y = 0.329,
        },
        {
            id = 4060,
            x = 0.506,
            y = 0.329,
        },
    },
    ["greenshade/woodhearth_base"] = {
        {
            id = 4580,
            x = 0.434,
            y = 0.360,
        },
        {
            id = 4744,
            x = 0.436,
            y = 0.360,
        },
        {
            id = 4574,
            x = 0.675,
            y = 0.542,
        },
        {
            id = 4574,
            x = 0.682,
            y = 0.546,
        },
        {
            id = 4580,
            x = 0.434,
            y = 0.358,
        },
        {
            id = 4744,
            x = 0.437,
            y = 0.359,
        },
        {
            id = 4793,
            x = 0.443,
            y = 0.707,
        },
        {
            id = 4779,
            x = 0.598,
            y = 0.361,
        },
        {
            id = 4794,
            x = 0.302,
            y = 0.499,
        },
    },
    ["eastmarch/icehammersvault_base"] = {
        {
            id = 4583,
            x = 0.882,
            y = 0.643,
        },
    },
    ["eastmarch/thebastardstomb_base"] = {
        {
            id = 4585,
            x = 0.665,
            y = 0.479,
        },
    },
    ["therift/brokenhelm_base"] = {
        {
            id = 5008,
            x = 0.235,
            y = 0.225,
        },
    },
    ["glenumbra/ilessantower_base"] = {
        {
            id = 4529,
            x = 0.542,
            y = 0.764,
        },
    },
    ["glenumbra/cryptwatchfort_base"] = {
        {
            id = 4533,
            x = 0.389,
            y = 0.298,
        },
    },
    ["rivenspire/hildunessecretrefuge_base"] = {
        {
            id = 4839,
            x = 0.700,
            y = 0.321,
        },
    },
    ["stormhaven/farangelsdelve_base"] = {
        {
            id = 4516,
            x = 0.433,
            y = 0.436,
        },
    },
    ["stormhaven/bearclawmine_base"] = {
        {
            id = 1615,
            x = 0.323,
            y = 0.489,
        },
    },
    ["alikr/sandblownmine_base"] = {
        {
            id = 4638,
            x = 0.553,
            y = 0.502,
        },
    },
    ["coldharbor/depravedgrotto_base"] = {
        {
            id = 4743,
            x = 0.777,
            y = 0.578,
        },
    },
    ["therift/trolhettacave_base"] = {
        {
            id = 4189,
            x = 0.517,
            y = 0.082,
        },
    },
    ["glenumbra/dresankeep_base"] = {
        {
            id = 3437,
            x = 0.576,
            y = 0.508,
        },
    },
    ["wrothgar/wrothgar_base"] = {
        {
            id = 5450,
            x = 0.591,
            y = 0.774,
        },
        {
            id = 5450,
            x = 0.599,
            y = 0.734,
        },
        {
            id = 5468,
            x = 0.654,
            y = 0.606,
        },
        {
            id = 5462,
            x = 0.289,
            y = 0.876,
        },
        {
            id = 5340,
            x = 0.674,
            y = 0.301,
        },
        {
            id = 5469,
            x = 0.768,
            y = 0.510,
        },
        {
            id = 5452,
            x = 0.453,
            y = 0.495,
        },
        {
            id = 5439,
            x = 0.412,
            y = 0.571,
        },
        {
            id = 5439,
            x = 0.436,
            y = 0.603,
        },
        {
            id = 5320,
            x = 0.558,
            y = 0.640,
        },
        {
            id = 5472,
            x = 0.707,
            y = 0.429,
        },
        {
            id = 5464,
            x = 0.100,
            y = 0.768,
        },
        {
            id = 5470,
            x = 0.707,
            y = 0.429,
        },
        {
            id = 5318,
            x = 0.394,
            y = 0.769,
        },
        {
            id = 5454,
            x = 0.707,
            y = 0.430,
        },
        {
            id = 5484,
            x = 0.578,
            y = 0.375,
        },
        {
            id = 5474,
            x = 0.447,
            y = 0.676,
        },
        {
            id = 5326,
            x = 0.526,
            y = 0.712,
        },
        {
            id = 5337,
            x = 0.760,
            y = 0.522,
        },
        {
            id = 5449,
            x = 0.578,
            y = 0.477,
        },
        {
            id = 5335,
            x = 0.548,
            y = 0.563,
        },
        {
            id = 5444,
            x = 0.806,
            y = 0.265,
        },
        {
            id = 5471,
            x = 0.707,
            y = 0.429,
        },
        {
            id = 5443,
            x = 0.296,
            y = 0.727,
        },
        {
            id = 5466,
            x = 0.226,
            y = 0.755,
        },
        {
            id = 5316,
            x = 0.713,
            y = 0.380,
        },
        {
            id = 5446,
            x = 0.582,
            y = 0.383,
        },
        {
            id = 5499,
            x = 0.615,
            y = 0.680,
        },
    },
    ["wrothgar/orsinium_base"] = {
        {
            id = 5329,
            x = 0.724,
            y = 0.708,
        },
        {
            id = 5447,
            x = 0.266,
            y = 0.413,
        },
        {
            id = 5447,
            x = 0.314,
            y = 0.890,
        },
        {
            id = 5447,
            x = 0.445,
            y = 0.477,
        },
        {
            id = 5458,
            x = 0.265,
            y = 0.412,
        },
        {
            id = 5458,
            x = 0.313,
            y = 0.889,
        },
        {
            id = 5458,
            x = 0.444,
            y = 0.476,
        },
        {
            id = 5348,
            x = 0.535,
            y = 0.731,
        },
        {
            id = 5468,
            x = 0.332,
            y = 0.879,
        },
        {
            id = 5468,
            x = 0.471,
            y = 0.460,
        },
        {
            id = 5349,
            x = 0.279,
            y = 0.422,
        },
        {
            id = 5349,
            x = 0.441,
            y = 0.475,
        },
        {
            id = 5349,
            x = 0.313,
            y = 0.888,
        },
        {
            id = 5481,
            x = 0.634,
            y = 0.676,
        },
        {
            id = 5476,
            x = 0.367,
            y = 0.631,
        },
        {
            id = 5476,
            x = 0.452,
            y = 0.558,
        },
        {
            id = 5479,
            x = 0.367,
            y = 0.631,
        },
        {
            id = 5485,
            x = 0.704,
            y = 0.585,
        },
        {
            id = 5522,
            x = 0.354,
            y = 0.290,
        },
        {
            id = 5521,
            x = 0.353,
            y = 0.288,
        },
        {
            id = 5518,
            x = 0.352,
            y = 0.289,
        },
        {
            id = 5524,
            x = 0.353,
            y = 0.289,
        },
        {
            id = 5519,
            x = 0.351,
            y = 0.289,
        },
        {
            id = 5523,
            x = 0.351,
            y = 0.290,
        },
    },
    ["wrothgar/scarpkeeplower_base"] = {
        {
            id = 5494,
            x = 0.526,
            y = 0.515,
        },
        {
            id = 5474,
            x = 0.650,
            y = 0.223,
        },
    },
    ["wrothgar/morkul_base"] = {
        {
            id = 5497,
            x = 0.364,
            y = 0.791,
        },
        {
            id = 5442,
            x = 0.215,
            y = 0.233,
        },
        {
            id = 5441,
            x = 0.555,
            y = 0.299,
        },
        {
            id = 5507,
            x = 0.253,
            y = 0.543,
        },
        {
            id = 5505,
            x = 0.251,
            y = 0.545,
        },
        {
            id = 5515,
            x = 0.252,
            y = 0.544,
        },
        {
            id = 5514,
            x = 0.252,
            y = 0.543,
        },
        {
            id = 5509,
            x = 0.251,
            y = 0.543,
        },
        {
            id = 5504,
            x = 0.252,
            y = 0.542,
        },
    },
    ["wrothgar/coldperchcavern_base"] = {
        {
            id = 5319,
            x = 0.511,
            y = 0.679,
        },
    },
    ["wrothgar/watchershold_base"] = {
        {
            id = 5317,
            x = 0.553,
            y = 0.641,
        },
    },
    ["wrothgar/kennelrun_base"] = {
        {
            id = 5320,
            x = 0.236,
            y = 0.528,
        },
    },
    ["tamriel/tamriel_0"] = {
        {
            id = 5520,
            x = 0.210,
            y = 0.271,
        },
        {
            id = 5321,
            x = 0.316,
            y = 0.237,
        },
    },
    ["wrothgar/rkindaleftoutside_base"] = {
        {
            id = 5328,
            x = 0.300,
            y = 0.402,
        },
    },
    ["wrothgar/bonerock_caverns"] = {
        {
            id = 5453,
            x = 0.717,
            y = 0.628,
        },
    },
    ["wrothgar/arenaslobbyexterior_base"] = {
        {
            id = 5448,
            x = 0.458,
            y = 0.422,
        },
    },
    ["wrothgar/exilesbarrow_map"] = {
        {
            id = 5445,
            x = 0.550,
            y = 0.282,
        },
    },
    ["wrothgar/zthenganaz_base"] = {
        {
            id = 5316,
            x = 0.562,
            y = 0.565,
        },
    },
}

function QuestMap:GetQuestList(zone)
    if type(zone) == "string" and quests[zone] ~= nil then
        return quests[zone]
    else
        return {}
    end
end
